Contents

XTR WinControl – Outline

Installation and starting the program

XTR WinControl Key Points

Integration and networking

Quick Introduction

XTR WinControl - Windows

The Main Window

The window "Channels, Devices and Connections"

The Value Display

The Bar Graph

The Analog Instrument

The Line Diagram

The X/Y Diagram

The Data Table

The File Summary Window

The Project Drawing Window

The Event Log

XTR WinControl - Menus

The File Menu

The Edit Menu

The View Menu

The Data Menu

The Programming Menu

The Settings Menu

The Window Menu

The Help Menu

XTR WinControl - Dataserver

Server Operation

Server Interface

Application Examples

XTR WinControl - Webserver

Scope of function

Requirements

Functioning of the Web Server

Extended settings

How do I...

change the properties of the active window

establish a connection to the measuring devices

set the sampling rate

create a new value display

create a new bar graph

print a bar graph

create a new data table

print a data table

create a project drawing

create a new line diagram

print a line diagram

print line diagrams over several pages

print the channel list

define a global calculation channel

define a local calculation channel

define counters, sums or averages throughout the measurement

create averages for definable time areas (e.g. daily or hourly averages)

analyze a curve

display overlapping characteristic curves

save and use display properties

creating line diagrams from a template

automatically connect files to a standard template when opening

add or amend channel comments

add notes to a measurement data file

insert a WinControl diagram into a text document

save data to a file

save part of a data set

load a saved data file

merge data files with one another

automatically create daily files

automatically store several files onto the hard disk per day

export an event log

automatically save an event log

display my data in a spreadsheet program

transfer my data to Excel using DDE

transfer data to Excel online

automatically continue polling after power failure

find the configuration file

administer multiple program configurations

automatically load a specific configuration when starting the program

working with several instances of WinControl

transfer call parameters to a program to be started in case of alarm

automatically send eMails in case of alarm

define a default directory for data files

OLE server registration in Windows 2000

change the size of the sample history

Appendix

Formulae

Support of Exponential Value Display

Data formats of the Export Function

Special settings for sending alarm messages via eMail

The Password Protection

The Test Bench Manager

The OPC Export

Line diagram - Print Protocol

License administration within the network via hardware copy protection

The additional protocols


Installation and starting the program

More:

Systemrequirements

Installation

Program Start

Registration

Copy Protection

Upgrade

readme.wri


Systemrequirements

XTR WinControl Outline > Installation and starting the program

Systemrequirements

XTR WinControl requires an IBM-compatible computer with Windows 2000 or higher, at least 32MB of free RAM and a minimum of 15 MB free hard disk space.


Installation

Before installing this program you should make a backup copy of the original program disks. Once you have done this, you should install the program using this copy. Remember to store the original and indeed the backup in a safe place as with all discs. In order to install XTR WinControl on your computer use the installation program SETUP on the program disc:

· Place the CD in CD-ROM drive.

· After a few seconds a program will start, which makes it easy to install the software.

· Select (if necessary) your language.

· Select "Software" à " XTR WinControl " and follow the installation instructions.

Attention!

If your CD-ROM drive does not have an autostart, you can use the Windows Explorer to start the CD. Click on the file cdstart.exe to start the cd guide.


Program Start

Following installation, XTR WinControl can be started like any other Windows program. You can either start the program from the Windows Program Manager, by double clicking with the left mouse button on the program icon, or by entering the source directory and then XTRWinControl.exe under File/Run in the Program Manager.


Registration

If the dialog " XTR WinControl License Information" appears after starting the program, your license has not been registered. The term of an unregistered version is limited to a Max Evaluation Time of 30 days. The time left of that term is given under "Remaining Evaluation Time".

In order to license the acquired software, simply click on the internet address indicated under "Registration" in the " XTR WinControl License Information" dialog box. In the site that will appear, enter your information (e.g. Disc-ID, Serial Number, Name) into the form and click on "send".

Once we have received and checked your details, we will send you your Unlock Code. After entering the code into the respective field in the " XTR WinControl License Information" dialog, the limitation to the term will be cleared.

Of course you can also contact us by phone or fax. You can find our numbers in the "Help/Info" as well as in the " XTR WinControl License Information" dialog.

If you want to register now, click on http://www.akrobit.de/xtr/register.htm


Copy Protection

XTR WinControl Outline > Installation and starting the program

Copy Protection

XTR WinControl can also be operated with a hardlock (dongle), in which case the software needn’t be released by an unlock code. Dongles are available for various ports (serial/parallel, USB, ISA, PCI).

The dongle solution is especially recommended if the same software is applied on several computers (e.g. laptop and desktop pc).


Upgrade

The Light and Standard version of XTR WinControl can be extended by individual optional functions (network of devices, timed saving, modem connections, alarm functions and U-value assistent) or changed into the professional version (all optional functions are available).

In order to do this, use the button "Upgrade" in the "Help/Info" dialog. This will take you to the " XTR WinControl License Information" dialog. The procedure of activating the additional functions or the upgrade to the professional version is the same as for Registration.


readme.wri

Changes or additions to XTR WinControl made after the printing of this manual will be documented in the readme.wri file.


XTR WinControl Key Points

More:

Introduction

The Program Windows

On and Offline Calculations - Calculation Channels

Measuring Cursors / Statistics Function

Context-Sensitive Menus


Introduction

Supported Channels

Using XTR WinControl and Windows you can control as many channels per measuring device as desired (within the limitations of your hardware). Channels will be automatically recognised and listed once a connection between your devices and the computer has been established. The interval between measurements can be varied according to your requirements.

Protocols

Further protocols are supported optionally, in addition to the standard protocol (cf. The additional protocols).

Connections

XTR WinControl defines each connection to a measurement device via an interface as a connection. Each connection is allocated an interface (serial, network or modem). Several connections can be operated simultaneously, with identical or different types of interfaces (cf. Manage connections).

Modem / Cell modem

If it is necessary to read data from a remote location, this can be done using a modem or cell modem.

Telemetrics, Radio Modem Operation

If a measuring device cannot be connected to the computer via wire (direct or by telephone), radio modules can be used for communication between computer and measuring devices .

More:

Connections by Ethernet


Connections by Ethernet

XTR WinControl offers the option of communication with the measurement system via the computer network (a TCP/IP address) instead of a serial interface.

XTR WinControl as File Server

In the server operating mode of XTR WinControl , captured data can be passed on to up to 200 clients. A XTR WinControl server can be accessed via network (intranet or internet).

Remote Access via WinControl

With REMOTE WinControl, measurement values captured by the XTR WinControl file server can be taken over and processed with all available functions.

Data Display

Data can be displayed numerically, in the form of a bar graph, data table, X/Y and/or line diagram. It is also possible to display one or more channels simultaneously in the different viewing forms mentioned previously.

Saving Data

There are different possibilities for archiving data: Auto Saving on the hard disk; saving as a line diagram or in a data table; or simply as numerical values.

Interference Log

Any values that exceed the set limits or sensor errors will temporarily be displayed in a table or on a line diagram (cf. Channel List). This display feature means that any interference that occurs whilst using the program will be visible to the user. Interference can be distinguished by distinct breaks in the line of a graph. It is also possible to log any interference in the channel list window.

Saving Data

There are different possibilities for archiving data: Auto Saving on the hard disk; saving as a line diagram or in a data table; or simply as numerical values.

Interference Log

Any values that exceed the set limits or sensor errors will temporarily be displayed in a table or on a line diagram (cf. Channel List/Channel Properties). This display feature means that any interference that occurs whilst using the program will be visible to the user. Interference can be distinguished by distinct breaks in the line of a graph. It is also possible to log any interference in the channel list window.

Alarms

An Alarm can arise from both measured and calculated data. Special events and actions can be assigned to such an alarm (for example, starting another application, sending an email or sms). These events and actions are dependent on program settings.

Analysis and Evaluation

Using the calculation channels it is possible to analyse your data in both on and offline modes. It is also possible to transfer your data using DDE or OLE transfer, to copy the information to the clipboard or to save the data in different formats.

Printing

You can create technical documentation of your data by printing out diagrams, tables and the channel list together with correction values. These printouts can be viewed prior to printing using the "Print Preview" command. All printers and plotters with Windows drivers are supported.

Documentation

To help you create documents related to the data that XTR WinControl can store, line diagrams can be imported into text documents either using OLE or by copying the information to the clipboard.

Operating Systems

XTR WinControl will operate under Windows 2000 and higher.

Offline Operation

XTR WinControl can be used simultaneously in On and Offline mode.

Program Use

Keyboard shortcuts and the toolbar enable fast access to the most important program functions. Important information and advice appears in the status bar.


The Program Windows

More:

Channels, Devices and Connections

Value Display

Bar Graph

Analog Instrument

Line Diagram

X/Y Diagram

Data Table

File Summary

Project drawings

Event Log


Channels, Devices and Connections

Once you have established a connection between your computer and the measuring devices , by entering or selecting the appropriate information in the Connection Settings dialog box, then the window "Channels, Devices and Connections" should appear.

On the register card "Channels" this window contains a list of all connected and programmed channels as well as calculation channels. In the dialog box "Channel List/Channel Properties" you can change the channel settings.

The register card "Devices" lists all connected measuring devices .

All active connections are listed on the register card "Connections". In addition to the connection properties, such as COM port and baud rate or IP address and TCP port, information about errors occurred and the current status will be indicated as well. The dialog "Connection properties" can be used to change settings to a connection.

The window "Channels, Devices and Connections" is always open and cannot be closed.


Value Display

The numerical display of data appears in the Value Display window. The Dialog "Value Display Properties" allows you to select the channels that should be displayed and define a window title.

You can open as many windows of this type as you wish and display them simultaneously.


Bar Graph

This is one graphical method for displaying data. The bar graph window lets you display a single channel or a group of them. The basic characteristics of a bar graph are: automatic monitoring of limits, the labeling of limits and the display of minimum and maximum values. In the Dialog "Bar Graph Properties", you can select the channels to be displayed.

You can open as many bar graphs as you wish and display them simultaneously. Each window can display all of the channels that are available to the system.


Analog Instrument

The window type Analog Instrument is designed for simple visualizing of measurement data. To do this, the symbols arc, wind rose and needle are available. One of these instruments can symbolize the value of a channel in each window. In addition to the analog display, the value will also be displayed as a figure.

If limits have been set for the displayed channel, violation of these limits will be shown in color. If the limits are not violated, the display will be green, if the upper limit is exceeded, it will be red and blue for violation of the lower limit.

You can open as many analog intruments as you wish and display them simultaneously. Each window can display all of the channels that are available to the system.


Line Diagram

Another graphical method of measurement display is the line diagram. In contrast to the numerical data display and bar graph, the data for a line diagram is buffered in the computer’s memory. This data can be saved as a file either during or after polling and subsequently used for DDE transfer or with another application (for example, a spreadsheet program). Like the other program windows, the Dialog "Line Diagram Properties" allows you to set the properties of such a diagram and the channels that are displayed in it.

Two measurement cursors and an integrated statistics function are available for detailed examination and evaluation of the measurement curves of the line diagrams. The cursors are available for all active line diagrams (also simultaneously), online as well as offline.

You can open as many line diagrams as you wish and display them simultaneously. Each diagram can display as many channels as you want with a maximum of four different y-axes. It is also possible to display the data in a table or as an X/Y diagram at any time.


X/Y Diagram

Whereas a line diagram always plots a measurement over time, the X/Y diagram can be used to plot against other axes. Like the data for a line diagram, that of the X/Y diagram is buffered in the computer’s memory. This data can be saved as a file either during or after polling and subsequently used for DDE transfer or with another application (for example, a spreadsheet program). Like the other program windows, the Dialog "X/Y Diagram Properties" allows you to set the properties of such a diagram and the channels that are displayed in it.

You can open as many X/Y diagrams as you wish and display them simultaneously. Each window can display all channels that are available to the system with up to four different axes. It is also possible to display data in a table or as a line diagram at any time.


Data Table

This displays data in a table and also buffers it in the computer’s memory. This data can be saved as a file either during or after polling and subsequently used for DDE transfer or with another application (for example, a spreadsheet program). Like the other program windows, the Dialog "Data Table Properties" allows you to set the properties of such a diagram and the channels that are displayed in it.

You can open as many tables as you wish and display them simultaneously. Each table can display all channels that are available to the system. It is also possible to display the data in a line or X/Y diagram at any time.


File Summary

If a file is saved using the commands Data/AutoSave, then this file will be displayed in a file summary window when you use the Open command. The text in this window provides you with important information, such as the time the data was recorded and which channels were recorded.

To create a new line diagram, data table or X/Y diagram from the information displayed in an active file summary window, use the commands Data/New Line Diagram, Data/New Data Table or Data/New X/Y Diagram. In order to change the way you view your data, select from one of the following: View/View as Line Diagram, View/View as Data Table and View/View as X/Y Diagram.

You can open as many windows of this type as you wish and display them simultaneously.


Project drawings

XTR WinControl features the option to display the measurement structure in a particular window. Graphics (bitmaps, enhanced metafiles), text boxes and the captured data can be displayed in data fields (only number and frame) at any random position.

Connection between channels can be indicated by connecting the value displays with (colored) lines; the display of simple flow diagrams is easily possible.

Line diagrams which have been inserted via the buffer as Enhanced Metafiles can be commented in text fields (with transparent backgrounds).

Links can make project drawings into a control center: e.g. clicking on a value field will open a line diagram with defined properties or a further project drawing.

To create a project drawing, execute the menu function Data/New Project drawing .

In order to define the properties of the project drawing, open the menu View/Diagram properties and then Diagram properties in the context menu, or press <Enter> to open the corresponding properties dialog.

In order to insert objects into a project drawing, choose the function Edit/Insert Object… Drawing objects (lines, polygons, etc.) can be inserted with the function Edit/Draw.

Any number of objects of every type can be integrated into one project drawing, and any number of project drawings can be active in the program simultaneously. Among others, this feature can be used to display both overall and partial views of a project at the same time.

Once created, a project drawing can be saved and reloaded in file format. When loading a project drawing from memory, choose the file type " XTR Project drawings" (*.amb) in the standard dialog.


Event Log

You can determine that a protocol is made for each alarm situation that might occur. That means that if this function is activated, the beginning and the end of the disturbance are entered into a special list (window) in case of an alarm.

This list can be saved together with the relevant measurement data (also automatically).


On and Offline Calculations - Calculation Channels

The mathematical functions allow for the calculation of physical sizes (values) from polled data.

Using the calculation channels, data can be processed and displayed both on and offline. Calculation channels can take on two forms, depending on their definition. These are global and local channels.

More:

Global calculation channels

Local calculation channels


Global calculation channels

If you wish to make a calculation channel available to the entire system, then you should define it using the "Channel List/Channel Properties" dialog box. Once this dialog box has been opened (by activating the channel list window and giving the View/Properties command) you should select the "Calculation Channels" window.

Call!

Other ways of giving this command are:

· By double clicking with the left mouse button in the current channel window

· By clicking once with the right mouse button in the active window and selecting the Calculation Channels command from the context menu

· By pressing <ENTER> when the "Calculation Channels" window is activated, or

· By giving the command Programming/Calculation Channels


Local calculation channels

If you just want a calculation channel to be made available to a specific data set (for example, a diagram or data table), then you should define the channel using the Edit/Add Calculation Channel command. This command is only available when the specific data set is active (that is, as an X/Y diagram, a line diagram or a data table).

Call!

Another way of giving this command is:

· By clicking once with the right mouse button in the active window and selecting the Calculation Channels command from the context menu


Measuring Cursors / Statistics Function

Two measuring cursors are available as an additional analysis function of the program, and are used to examine and evaluate – with the help of the integrated statistics function – the measurement curves of the line diagrams. These measuring cursors are available for all active line diagrams (also simultaneously) both on and offline.

In order to analyse the course of a curve, the data file is opened and displayed in the view form "Line Diagram". The menu View as well as the context-sensitive menu can use the function "Cursors" to activate and deactivate the measuring cursors.

Activated cursors are shown as two vertical lines in the diagram, and a table in the bottom part of the line diagram window shows the data of all lines below the cursors.

Furthermore, the integrated statistics function calculates the following values for each curve in the line diagram:

· Difference between the two data below the cursor

· Minimum, maximum and average of the area within the cursors

· Difference between minimum and maximum

These values will be listed in the chart, too.

The ratio between the size of the line diagram and the statistics table can be determined individually. If the mouse pointer is moved over the line between diagram and table, its form will change and the line can be moved while pressing the left mouse button. The size of the line diagram will be adapted and the table will be shown complete or with a vertical bar.

Printing

The following options are available for printing:

· Direct print of diagram and statistics table

· Direct print of statistics table

· Copying of diagram or statistics table, e. g. into text documents or spreadsheets.


Context-Sensitive Menus

Due to the different properties and functions of the program’s windows, there are different menu functions for each window. As a result, the menu may change depending on the active window. The most effective method of displaying the most important functions at a glance are context menus. These menus can be opened by clicking with the right mouse button in the desired window.


Integration and networking

XTR WinControl offers a variety of options to capture the data of various device types and make them available to other software systems. This enables the simplification of an existing measuring system, its extension by new technology or its integration into a new XTR WinControl system. The system provides a large number of options for both import and export of measurement data.

Tip!

Should you wish to capture data from your measuring system with XTR WinControl or feed it with data from our software, please contact us (e-mail: support@akrobit.de).

More:

Capturing measurement data

Transferring measurement data


Capturing measurement data

XTR WinControl can operate several connections to different measuring devices simultaneously. Different types of devices can be integrated into XTR WinControl . All available protocols can be selected for each connection in XTR WinControl (cf.: Connection settings).

More:

Capturing climate data

Universal Measuring systems

Integrate other software

WinControl remote access

Capturing other measuring systems


Capturing climate data

· Feutron: Capturing data from climate-testing chambers by company Feutron.

· VIT/ASCII-2: Capturing data from climate-testing chambers by company Weiss Umwelttechnik.

· CTS/ITC: Capturing data from climate-testing chambers by company Weiss Umwelttechnik.


Universal Measuring systems

· ALMEMO: Capturing data from ALMEMO data loggers by company Ahlborn).


Integrate other software

· SimpleASCII: Capturing data from other software via a text-based protocol (cf.: The SimpleASCII Protocol).

· OPC Import: Capturing data from OPC server variables (cf.: The OPC Import Protocol).


WinControl remote access

· WinControl-Data Server: Capturing data from other WinControls and members of the WinControl family (cf.: WinControl - The Data Server, The Data Server Protocol).


Capturing other measuring systems

· DPM 373: Capturing Dew Point Mirror 373 by company MBW Calibration.

· Simeas-T: Capturing Simeas-T devices by Siemens.

· LiquiSonic: Capturing LiquiSonic measuring devices by company SensoTech.

Tip!

Further protocols can be specially adapted for implementation in XTR WinControl .


Transferring measurement data

More:

Online Excel Export

Online OPC Export

Offline Export

Windows Compatibilit


Online Excel Export

An Excel connection is used to transfer current data on-line to MS Excel. Several Excel connections can be activated simultaneously, transferring data into different spread sheets (cf.: Data/New Excel connection).


Online OPC Export

Optionally, XTR WinControl can act as client according to the OPC-DA standard. OPC export enables the transfer of up-to-date values of any channel from XTR WinControl on-line to an OPC server within the network (cf.: The OPC Export).


Offline Export

Of course, measurement data can also be exported into different formats after being collected (cf.: File/Export). This can be carried out manually or automatically after changing the file for AutoSave (cf.: Data/Autosave).


Windows Compatibilit

DDE

If you have more than one program running simultaneously in the Windows environment, for example data acquisition and a spreadsheet program, then data can be transferred between these programs without having to save the data in a file or copy it to the clipboard. This means that you can use your spreadsheet program to immediately analyze your most recently acquired data. This is also possible whilst data acquisition is active.

OLE

A combination of word processing and data acquisition is recommended particularly for the logging of repetitive measurements. Using OLE, you can insert a line diagram into text document. In doing so, the user can access XTR WinControl functions from within the text editor (see also: insert a WinControl diagram into a text document).


Quick Introduction

The "First Steps" should help you to gain a first understanding of the program’s main functions. The "First Steps with XTR WinControl " online assistant is designed to assist you when starting with the program. If you prefer to work with this handbook, the information provided by the online assistant is also contained in the section The First Steps.

More:

The First Steps Assistant

The First Steps


The First Steps Assistant

This assistant provides you with online help on working with XTR WinControl . Depending on the program settings, it is possible to start the assistant automatically when the program is started. Alternatively, it can be activated using the Help/First Steps menu command or by pressing <F2>.

To obtain help on a specific topic, select one of the topics from the list (found on the left) by clicking on it once with the left mouse button.

Links have been inserted into explanatory texts, in a different colour from the actual text. These links are either connected to similar topics in the Help program or open a dialog box in direct relation to the respective topic.

If you do not want the assistant to appear when starting the program, deactivate the check box in the lower half of the assistant’s window. Clicking on Close will exit the assistant.

Attention!

For correct operation, the Internet explorer 3.0 or higher (recommended: at least 5.5) has to be installed.


The First Steps

Connecting a measuring device

Using the Settings/Add Connection menu command, open the connection dialog box and enter the settings. Confirm these entries by clicking on OK. If the settings are correct, the dialog box will close and shortly afterwards a list will appear displaying the channels of the connected devices.

Creating a data file

In order to create a file to save your measured data, select AutoSave from the "Data" menu or press <F8>. In the dialog box that appears, select the channel(s) whose data you wish to save (to do so, hold down the <CTRL> key and click in the list with the left mouse button). By clicking on the Start button, a dialog box will appear for the file. In the field "File name", you should enter the name that you want to give to the data file and then click on OK to confirm this name and close the dialog box. Once polling starts, all data for the selected channel(s) will be saved under the given file name.

Polling

To start reading the data from the connected climatic chamber(s), you need to start polling. This is done by using the Polling command from the "Data" menu or by pressing <F12>. It is possible that the "AutoSave" dialog box will appear at this point, it depends on the program settings. (cf. "Creating a data file"). If you do not wish to save the data then click on Cancel. The current sampling rate should appear in the status bar (field dt:...). This rate can be altered by using the Settings/Sampling Rate command or by using the <CTRL+R> keyboard combination. The polled data can be viewed in value display mode, as a bar graph, in a data table and as a line and X/Y diagram.

New value display

By using the Data/New Value Display command or by clicking on the toolbar icon with the left mouse button, a numerical data display window will be opened. In the "Value Display Properties" dialog box, you can select the channel that you wish to display. This is done by clicking on the desired channel from the list with the left mouse button. You should then confirm your selection by clicking on OK. The resulting display can be repositioned and resized according to your requirements. During polling, the most recent data will appear in this display (cf. Polling).

New bar graph

The Data/New Bar Graph command or <F6> will open a bar graph. In the "Bar Graph Properties" dialog box, you can select the channel(s) that you wish to display on the bar graph. To do so, select the channel(s) from the list and activate the check box next to the channel description. Confirm your selection by clicking on OK. The resulting display can be repositioned and resized according to your requirements. During polling, the most recent data will appear in this display (cf. Polling). If you press <ENTER> when this window is active, the dialog box will reappear.

New data table

The Data/New Data Table command or <F10> will open a data table. In the "Data Table Properties" dialog box, you can select the channel(s) that you wish to display in the table. To do so, select the channel(s) from the list and activate the check box next to the channel description. Confirm your selection by clicking on OK. The resulting display can be repositioned and resized according to your requirements. If you press <ENTER> when this window is active, the dialog box will reappear.

New X/Y diagram

The Data/New X/Y Diagram command or <F11> will open an X/Y diagram. In the "X/Y Diagram Properties" dialog box, you can select the channel(s) that you wish to display on the X/Y diagram. From the list, you need to select a channel for the x-axis and at least one for the y-axis. The latter is done by activating the check box for the desired channel. Additional settings can be made in the same way as for a line diagram. Confirm your selections by clicking on OK. The resulting display can be repositioned and resized according to your requirements. If you press <ENTER> when this window is active, the dialog box will reappear.

New line diagram

The Data/New Line Diagram command or F5 will open a line diagram. In the "Line Diagram Properties" dialog box, you can select the channel(s) that you wish to display on the line diagram. To do so, select the channel(s) from the list and activate the check box next to the channel description. Confirm your selection by clicking on OK. The resulting display can be repositioned and resized according to your requirements. If you press <ENTER> when this window is active, the dialog box will reappear.

Changing a line diagram

To change the properties of a line diagram, you should open it’s properties dialog box. If the line diagram window is currently active, then this can be done by pressing <ENTER>. In order to change the line colors, select the appropriate channel from the list and then the desired color from the list of colors. To display the limit values for a channel, select it from the list and then activate the "Show Limits " check box. If you wish to assign a channel to another y-axis then select the channel from the list and click on the desired y-axis. To display gridlines on this diagram, activate the "Show Gridlines" check box.

Saving a line diagram

To save a line diagram, the line diagram window needs to be active (this can be done by clicking in the window with the left mouse button), then use the File/Save As command. In the resulting dialog box enter a file name in the file name field and select the drive and directory that you want the file to be saved to and in.

Copying a line diagram

It is possible to insert a XTR WinControl line diagram into a text document. To do so, activate the line diagram window within XTR WinControl (done by clicking in the window with the left mouse button) and then give the Edit/Copy command. Start your text or word processing program and then position the cursor at the point where you would like to insert the diagram. Within this program use the Edit/Insert command.

Alarm and event log

Open a dialog in the menu Settings/Alarm to make all alarm settings. The settings are divided into categories listed on register cards:

· On the register card "Alarm" the user can determine whether alarms are to be triggered in the first place. All other settings are only effective if this option has been activated.

· On the register card "Alarm reactions" the user can activate the option "Entry into event log" to display alarms and status reports on screen.

· On the register card "Reminder" the user can set the period > 0 to suppress alarm messages for a certain period of time if an on-screen confirmation has taken place but the alarm situation prevails.

Stop polling

To stop polling use the Data/Polling command, press <F12> or click on the red Start/Stop button on the far left of the toolbar. To stop saving the data (see also: "Creating a data file"), use the Data/AutoSave command and click on Stop.

Viewing a data file

Using the File/Open command you can view a data file. Depending on the program settings either a line diagram, an X/Y diagram, a data table or a text window containing the most important file information will be opened. Using the View/View as... command you can chose how the data is viewed. Each view can be adjusted as desired by using it’s respective properties dialog box.

Attention!

Deleting a channel from a diagram will result in it’s loss from the data file. To separate channels from one another use the Data/New... command (see: "Separating channels").

Separating channels

It is possible to copy data from any number of channels from an existing diagram into a new one. To do so, view the data in "File Summary" mode. Open the context menu in the active window by clicking on the right mouse button. Choose from "New Table", "New Line Diagram" or "New X/Y Diagram". In the properties dialog box, select the channels that should be included in the new diagram and confirm these selections by clicking on OK. Having done so, you can reactivate the "File Summary" window and then repeat the above processes for any remaining channels that you wish copy to another diagram.


The Main Window

The main window is the framework for all XTR WinControl operations. All program specific tasks operate within this window which can be minimized and run as a background task. All program tasks can be started using the menu commands. XTR WinControl only displays the commands that can be carried out.

This naturally varies according to many different factors. To increase the ease and speed of operating the program, the most frequently used commands and program functions are displayed as icons in the toolbar.

Alternatively, you can use the keyboard shortcuts that are listed throughout this manual. The status bar at the bottom of this window provides the user with important information and assistance. Each toolbar carries a brief description of its function and detailed help is available through the programs help system.

Once you have started the program, the channel window and any other windows that were still open when you last exited the program will appear. If the First Steps Assistant has been deactivated then the Connection Settings dialog box will also appear.


The window "Channels, Devices and Connections"

Channels

All measuring channels will be displayed on the register card "Channel" once they have been detected and a connection has been established.

The display list contains the following columns: Comments, device, channel, measurement unit, sensor type, average mode for data logger operation, limit values, correction values, the icon for showing limit excesses, sensor errors, AutoSave and averaging for the AutoSave function.

In the column "Status" the current status of a channel is described. Following symbols are used:

· Limit excess ( [image] [image] )

· Sensor error ( [image] )

· Auto Save ( [image] )

· Averaging while Auto Save ( [image] )

· Waiting for start of time controlled Auto Save ( [image] )

The respective symbols only appear at the time when the corresponding state is in progress.

In the column "Status Hist." all alerts are displayed which presently occurred. Following symbols are used:

· Limit excess ( [image] [image] )

· Sensor error ( [image] )

The symbols remain even when the faults are disappeared. With the Reset Status Hist. button in the "Channel List Properties" dialog box the display can be cleared.

In addition, all virtual calculation channels will appear in the list.

Devices

Once the connection between program and measuring devices has been activated, the register card "Devices" will provide a device list, in addition to the channel list.

Attention!

WinControl data servers are no measuring devices and are therefore not included in this list.

This table lists all connected measuring devices with its static parameters.

This window "Channels, devices and connections" is always open whilst the program is running and the lists will be updated if any devices or sensors are added or removed.

Connections

XTR WinControl defines each connection to a measurement device via an interface as a connection. Each connection is allocated an interface (serial, network or modem). Several connections can be operated simultaneously, with identical or different types of interfaces (depending on the version of the program acquired).

All active connections are listed on the register card "Connections". In addition to the connection properties, such as COM port and baud rate or IP address and TCP port, information about errors occurred and the current status will be indicated as well. The dialog "Connection properties” can be used to change settings to a connection.

The window "Channels, Devices and Connections" is active during the entire duration of the program and will be updated automatically if devices or channels and connections are deleted or added.

More:

Channel List/Channel Properties

Device List/Device Properties

Manage connections

Connection settings


Channel List/Channel Properties

Using the "Channel List/Channel Properties" dialog box you can alter the properties of this window, the definition of the calculation channels and program the physical channels.

Depending on which settings are to be made, you can bring the desired register card of the dialog into the foreground by clicking with the left mouse button on the corresponding index-tab.

More:

Channel List Properties

External

Calculation Channels Properties

Add Calculation Channel Dialog Box


Channel List Properties

The register card "Channel List" allows you to select the information that should be displayed in the channel list. This is done using the check boxes that appear in this window. They can be activated and deactivated by clicking on the appropriate box with the left mouse button.

If the "Limit Monitor" check box is active, then any interference that occurs during polling will be displayed. This display remains even if the interference has stopped. The "Reset Monitor" button will clear the display. Error values will temporarily be displayed in the first line of the Channel List.

The "Window Title" field lets the user enter a new name for the window.


External

Using the register card "External" you can define the comment, unit, limits, factor and offset as well as the precision.

Using "Factor", "Offset" and "Precision" the value of a channel can be converted into a measurement value. The following procedure is used for the calculations:

· If a factor has been entered, the value is multiplied with it at first.

· If an offset has been entered, this will now be added.

· If a precision AND a factor is entered, the final activity will be to round to the appropriate number of decimal places after the decimal point.

Note: If no specification is entered for the "Precision", the answer will be rounded to 0 decimal places. If no factor is entered, no rounding of the result will be carried out!

Attention!

Factor, Offset and Precision are not available for all device types. These fields are disabled for all measurement channels related to devices which are not supported.

Settings thus made are saved in the current configuration. The next time the programme is started; these definitions will automatically be available.

Tip!

Also digital In- and Output Channels of the measuring devices are displayed in XTR WinControl as regular measurement channels.

Tip!

The unit of measurement channels of XTR WinControl is the same as set in the device. ist die im Messgerät eingestellte Einheit. Appropriate conversions (e.g. ppm into %) are accomplished automatically.


Calculation Channels Properties

Using the register card "Calculation Channels" you can define any global calculation channels. For this purpose the following options are available:

Channel:

By clicking once with the left mouse button on the channels that are displayed, a list of all existing calculation channels will be opened. To select the desired channel from the list, click on it with the left mouse button. Having done this, all the settings for the channel will appear in their appropriate fields on this register card.

Tip!

By double clicking with the left mouse button on a calculation channel in the channel list window, the properties window will be opened for the selected calculation channel.

Comment:

Like the device channels, the calculation channels can have comments added to them (maximum 10 characters). These comments appear next to the channel number to help identify the data that this particular channel is measuring.

Unit:

A unit for the value to be calculated can be entered into this field (4 characters).

Lower/Upper Limit:

Enter the desired limit values in the appropriate field boxes. A full stop should be used as the decimal separator.

Decimal Places:

The number in this field determines how many decimal places should be shown for the calculated value. Regardless of the number of decimal places entered in this field, the calculation is correct to six decimal places.

Formula:

This field contains the formula you wish to calculate. Please note the formula guidelines (cf. Formulae).

It is possible to save a formula and to use it again later on. To do so, use the Save and Load buttons that appear in this window. By clicking once on one of these buttons with the left mouse button, the standard dialog box for saving and loading data will appear. If you wish to save a formula, then enter a file name. Alternatively, if you want to load a file then you should click on it’s name. Both actions are confirmed by clicking on OK.

Standard editing functions apply for editing the formula in this window.

Apply:

Clicking once on this button with the left mouse button will confirm all of the information provided in the fields of this dialog box and the calculation channel will be assigned these values. The result of the calculations will be made available as if it had been polled using a physical channel.

Delete:

By clicking once with the left mouse button on the Delete button, the displayed calculation channel will be deleted.

Add:

By using the Add button, you can add new calculation channels to the channel list. In the resulting dialog box "Add Calculation Channel" it is necessary to enter the calculation channel number. Enter the device numbers 80..85 for defining more than 100 calculation channels.

Attention!

The prefixed numbers that have been entered here (with "80..85") prevent the same channel number from being assigned to other physical channels. Please note, that this prevention is not 100% sure.


Add Calculation Channel Dialog Box

Using this dialog box you can define a new calculation channel. The properties "channel (number)", "comment", "unit" limits" and decimal places" and the formula are available (and necessary) for description of the new calculation channel (cf. Formulae).


Device List/Device Properties

As an equivalent to the dialog "Properties of the channel list and channels", this dialog is used for setting and programming the channel list and channel properties. If the device list is displayed, this dialog can be started by either opening the menu function "View/Properties", by pushing on <ENTER> or by double clicking, with the left mouse button, on a list entry.

Depending on which settings are to be made, you can bring the desired register card of the dialog into the foreground by clicking with the left mouse button on the corresponding index-tab.

More:

Device List Properties


Device List Properties

The register card "Device List" allows you to select the information that should be displayed in the device list. This is done using the check boxes that appear in this window. They can be activated and deactivated by clicking on the appropriate box with the left mouse button.

The "Window Title" field lets the user enter a new name for the window.


Manage connections

A double click into the list of connections available in the window "Channels, Devices and Connections" or calling the menu "Settings/Manage connections…" will open the dialog "Manage connections". After selection of a connection from the list that will appear, the connection can be activated or deactivated, connections can be deleted or added, and the corresponding properties dialog can be called.

The order of connections on the table depends on the first device number in the connection.

Add

Clicking on the button Add will firstly open the dialog Connection settings, in which all properties of the new connection can be set. After closing this dialog by clicking on OK, the new connection will be available.

Remove

Clicking on the button Delete will delete a connection selected from the list. All settings and properties stipulated in connection with this connection will be deleted and the connection will no longer be available.

Properties

Clicking on the button Properties opens the dialog Connection settings, in which the connection properties can be viewed and changed.

Activate / Deactivate

Clicking on the buttons Activate and Deactivate allows for activating and deactivating of connections. An active connection transfers data and the channels and devices of this connection are available in XTR WinControl . A deactivated connection does not transfer any data, the channels and devices of this connection are not available in XTR WinControl .

Any number of connections can be created, and any number of those connections can be active (depending on the program version acquired). However, in order to capture measurement values, at least one connection has to be active, and a measurement device with at least one channel has to be available via this connection.

Attention!

Any device number has to be unique for all activated connections! The software will display an error message, if adding or changing an active connection and a device number is already used by another connection.

Tip!

On modern PC systems, the maximum transfer time is influenced less by the computing power available than by the bandwidth of the communication channels. Therefore, the maximum speed of data capture with several measuring devices can be increased by connecting each device to a different interface and allocating an independent connection to each interface.

All connections active at the time the program is ended are automatically re-activated when the program is started again; deactivated connections remain deactivated.


Connection settings

Clicking on the button Properties and Add in the dialog "Manage connections" will open the dialog "Connection settings". This can also be achieved via the menu "Settings/Add connection". A new connection can be defined in this dialog, or the properties of an existing connection can be viewed and/or changed.

This includes the optimal denomination of the connection, the desired protocol, the type of interface to be used (serial, network or modem) and their specific settings.

More:

Protocol selection

Serial interface

Network

Modem

Device numbers

Extended settings


Protocol selection

The standard protocol is the XStream / NGA protocol, which has been pre-set automatically for new connection and is available at all times.

Further protocols are available as additional modules, for instance the SimpleASCII protocol (for details see: The SimpleASCII Protocol).


Serial interface

When connecting one or several measuring devices via the RS232 interface, this type of connection has to be selected. The COM port to which the device has been connected and the correct baud rate have to be set if communication is to be effected via this connection.


Network

If the measuring device is to be connected to the PC via the network (internet, intranet), the connection type "Network” has to be selected. The correct target address has to be indicated, either as an IP address or as a symbolic name, as well as the correct port, if communication is to be effected via this connection.


Modem

XTR WinControl is able to create a connection to a measuring device via a modem. In this case, select the connection type "Modem”.

The COM port to which the modem has been connected must be selected, and the baud rate is to be set to the same value used by the modem.


Device numbers

The selection of device numbers is independent of the type of interface and the protocol. They can be entered directly into the corresponding field. Contiguous areas are indicated as "First device number” – "Last device number”, whereas individual devices or areas are separated by commas.

Attention!

In order to ensure proper operation of the software, only actually existing device addresses may be entered, as the software assumes that communication is to be effected with the given devices. The software will make regular attempts of sending commands to read the configuration or issue measurement values for each non-existent connection. As not answer will be received in such case, the set waiting time will always be reached, which will result in delays in data capturing!

In order to simplify the input when several measuring devices are used, the button ”Selection" can open a dialog in which all existing devices can easily be selected by mouse click.

Attention!

For XStream X2 devices the device number is the Slave ID selected in the device configuration for the ModBus communication. Every connected device must have an (all over the whole WinControl system) unique Slave ID to be used with XTR WinControl .

Attention!

The device number of every NGA device must be set up in the device configuration. Every connected device must have an (all over the whole WinControl system) unique device number to be used with XTR WinControl .


Extended settings

The button Extended… opens the dialog "Extended settings", in which further settings can be made. The entry fields for these settings are allocated to the following register cards by topic:

· XStream X2 Protocol

· NGA Protocol

· Reconnect

· COM Port

· Modem

· Dail-up Connections

Depending on the type of connection selected, only those connections are available those are relevant for that type of connection.

Register card "XStream X2 Protocol"

Here a timeout in milliseconds can be defined, which XTR WinControl will wait for the reply to a command to be received from the device. Only after this time period has elapsed will the command be repeated or the next command sent, as applicable.

Tip!

The waiting times only indicate a worst case scenario. If the reply is received before the waiting time has elapsed, the software will process the reply and send the next command immediately, without any delays in regular operation, if the waiting time was set too high.

Attention!

XTR WinControl can be orderd with and without this protocol. Additionally other optional protocols may be available in your version. Which protocols will be available in XTR WinControl , is depending on the unlock of the software and therefore on the features you purchased.

Register card "NGA Protocol"

This register card in the dialog "Advanced Connection Settings" is displayed if the extended settings of a connection were called, if "NGA Protocol" is selected.

Secondary Channels:

Use these options to determine which values and which parameters are to be processed. Besides the concentration values, additional values and device parameters (e.g. Namur status variables, optional parameters) can be read in each measurement cycle.

If the processing of rough data is set it will take place to concentrated values additionally. For processing of additional parameters you can determine whether the values for temperature, pressure or through flow are to be processed or not.

Timeout

Here a timeout in milliseconds can be defined, which XTR WinControl will wait for the reply to a command to be received from the device. Only after this time period has elapsed will the command be repeated or the next command sent, as applicable.

Tip!

The waiting times only indicate a worst case scenario. If the reply is received before the waiting time has elapsed, the software will process the reply and send the next command immediately, without any delays in regular operation, if the waiting time was set too high.

Attention!

XTR WinControl can be orderd with and without this protocol. Additionally other optional protocols may be available in your version. Which protocols will be available in XTR WinControl , is depending on the unlock of the software and therefore on the features you purchased.

Register card "Reconnect"

This register card is always available. The time period following which the program is to re-connect an interrupted connection is to be indicated in seconds. This setting is of particular importance for network connections to ensure smooth automatic operation of the software after brief interruptions.

Register card "COM Port"

This register card is available for serial and modem connections. All communication settings for the COM port can be made here.

Attention!

Changing these parameters can entail lasting disturbances of the communication between the device and the software!

Register card "Modem"

This register card is only active for modem connections. The dial-up procedure can be set here. Tone dialing is the most frequently used method today. Only in exceptions will it be necessary to set the obsolete pulse dialing.

Furthermore, the initialization sequence for the modem can be indicated, usually ATZ. As AT precedes all modem commands (AT commands), it does not need to be entered again. Any further AT commands required in the initialization string can be added here.

The higher-level dialog "Connection settings" is used next: clicking on the button "OK” will add the newly created connection to the program. When changing an existing connection, this button is labeled "Accept”, and changes to the connection will be effective after clicking on it. The dialog is closed in both cases if transfer of data was successful.

Register card "Dail-up Connections"

This register card is only active for network connections. XTR WinControl can automatically connect to another part of the network by a dail-up or VPN connection. You only setup the dail-up or VPN connection once in the operating system and select this connection in XTR WinControl :

If the XTR WinControl connection to the measuring device is active, the software connects the selected dail-up or VPN connection of your system.

If the option "Automatically close the connection after use" is selected, the dail-up or VPN connection will be closed, if the connection in XTR WinControl is deactived or deleted.


The Value Display

The "Value Display" lets you display your data in numerical format. The display consists of a value and measurement unit. If the upper limit is exceeded, the value will be displayed in red, if the lower limit is violated, it will be blue.

If only one channel is selected for display, its name (number and/or comment) will automatically appear in the title bar of the window. If several channels are selected, their names will be shown above the value and the unit.

This window can be resized and repositioned within the XTR WinControl main window. You can open and simultaneously display as many windows as you want. The "Value Display Properties" dialog box allows you to select the channels that should be displayed in this format.

More:

Dialog "Value Display Properties"


Dialog "Value Display Properties"

This dialog box contains a list of all available channels. Any number of channels can be selected per display window. This can be done either by clicking once with the left mouse button on the desired channel and confirming this with OK or simply by double clicking with the left mouse button on the desired channel.

In order to remove channels from the display, click once with the left mouse button on a selected entry.

An individual window title can be set for value displays in the field "Window Title".

The character string entered here is used as the title of the current value display. If no information is entered, the software will use the standard settings, i.e. the text "Channel Display XY" (e.g. Channel Display 5) for several channels or "Device number.Channel number – Channel Comment" (e.g. 0.5 – Lab).

The window title will be saved in the configuration and restored when loading.

Attention!

Window titles cannot be empty. If the title that has been entered consists only of blanks, the default title will be used.

By clicking on Cancel a value display will not be opened. If the dialog box for the existing display is opened, then this display will show the original channel.

Call!

A new value display can be created by:

· Selecting Data/New Value Display

· Pressing <F7>

· Clicking once with the left mouse button on the "New Value Display" icon in the toolbar.


The Bar Graph

With the bar graph option, you can display data in the form of a single bar graph or as a group of them.

The basic characteristics of a bar graph are: the automatic monitoring of limits, the labeling of limits and the display of lower and upper limit values.

Tip!

The colors used to illustrate the current status, as well as limit violations, can be adapted in the Settings/Colors " menu.

You can open as many bar graphs as you wish and display them simultaneously. Every channel that is available to the system can be displayed in the form of a bar graph.

More:

Dialog "Bar Graph Properties"

Printing


Dialog "Bar Graph Properties"

In the "Bar Graph Properties" dialog box, you can select the channels to be displayed and their format. For this purpose, the following options are available:

Window Title:

In this field you can enter a name for the bar graph.

Channels:

You can display as many channels on a bar graph as are available to your system. Selecting a channel to be displayed is done by activating the check box on the left of the list box entries. Further the selection possible by:

· Double clicking, with the left mouse button, on the desired channel.

· Selecting a channel from the list and changing one of the properties "Area" or "Elements".

Bar properties for selected channel:

Range:

The "From" and "To" values set the range of the graph. These fields contain default values for any newly selected channel and can be changed as you like.

Items:

Comment/Channel - Determines whether the channel comment will be displayed over each individual bar in a bar graph.

With the option "Priority" you can determine that whenever there is not enough space for displaying both properties in the active window, either channel number or comment will be hidden.

Min and Max Values - If this option is selected, then a small bar will appear next to the main bar. This smaller bar shows the range covered by the polled data.

Numerical Value - The current value will be displayed in numerical format in the lower half of the bar graph.

All available options can be activated or deactivated by clicking once with the left mouse button on the appropriate check box.

Reset Min/Max:

If you have decided to display the lower and upper limits and later wish to reset them, then you can do so by opening the "Bar Graph Properties" dialog and clicking once with the left mouse button on the Reset Min/Max button.

Call!

A new bar graph can be created by

· Using the command Data/New Bar Graph

· Pressing <F6>

· Clicking once with the left mouse button on the "New Bar Graph" con in the toolbar.


Printing

To print a bar graph:

· Activate the graph to be printed

· Select File/Print or

· Click once with the left mouse button on the Print icon in the toolbar


The Analog Instrument

The window type Analog Instrument is designed for simple visualizing of measurement data. To do this, the symbols arc, wind rose and needle are available. One of these instruments can symbolize the value of a channel in each window. In addition to the analog display, the value will also be displayed as a figure.

If limits have been set for the displayed channel, violation of these limits will be shown in color. If the limits are not violated, the display will be green, if the upper limit is exceeded; it will be red and blue for violation of the lower limit.

More:

Dialog "Analog Instrument Properties"


Dialog "Analog Instrument Properties"

The dialog "Analog Instrument Properties" enables you to configure the instrument window as follows:

Channels:

Determine which channel is to be displayed in the window. In order to select a channel, simply click on it with the left mouse button.

One channel can be selected for each window with analog instrument. Any number of analog windows can be opened.

Instrument:

Simply click on the button to select the display mode. The arc and the needle display the data on a semicircular scale with given start and end values (see below), while the wind rose gives a circular display of values and starts from the beginning if limits are violated.

Area (from … to):

This is where you enter the start and end values of the scale for arc and needle. Please make sure that the start value is smaller than the end value. If the wind rose has been selected as instrument, no values can be entered into these fields. Instead, the area that corresponds to a complete turn of the wind rose is displayed.

Wind rose unit:

The wind rose unit determines the interpretation and display of the value..

Deg: The display area of the wind rose corresponds to 360°.

Rad: The display area corresponds to 2*π.

Grd: The display area is 100.

The display area corresponds to one complete turn of the pointer. Values outside this area are transformed into it.

All setting can be changed at any time, also during a measurement run.

Min and Max Values:

For arc and needle, you can click into the control box in order to determine whether the measurement area is to be optically highlighted or not. This highlighting can be deleted at any time by clicking on the button "Reset Min/Max"

Call!

To call a new analog instrument window:

· Execute the menu command Values/New Analog Instrument

· One click with the left mouse button on the symbol "New Analog Instrument" in the toolbar.


The Line Diagram

On a line diagram you can display as many different measurement channels as you want. For this purpose you can access up to four y-axes over any chosen time scale. Like the other diagrams and graphs, you can set the characteristics and the channels to be displayed for a line diagram in the dialog box Line Diagram Properties.

In comparison to the value display and bar graph, the data for a line diagram is stored in the memory of your computer which means that you can save this data at any time either during or after polling. It also lets you copy the information to the clipboard and then transfer it into another program, for example, MS Excel or a word processor.

The menu function View/Cursors is used to activate two measuring cursors to examine and evaluate - with the help of the integrated statistics function - the measurement curves of the line diagrams.

When the mouse pointer is moved near a line in the diagram XTR WinControl blends in a small remark window in which the name of the channel and the data belonging to it is seen below the mouse pointer. If there are several lines in the near of the mouse pointer, the information of all these lines is shown.

If the statistics table is activated below the diagram, the showing of data is automatically switched off because the desired information can be taken from the statistics table.

You can open as many line diagrams as you wish and display them simultaneously. It is possible to display the data of a line diagram in a table at any time. To do so, use the View/View as Data Table command or open the context menu within a line diagram by clicking with the right mouse button and select Table. Using the View/View as X/Y Diagram command or the context menu function X/Y Diagram it is also possible to display measured data in an X/Y diagram.

More:

Dialog "Line Diagram Properties"


Dialog "Line Diagram Properties"

Select the desired channels in the properties dialog of the line diagram to determine the presentation of the diagram.

Depending on which settings are to be make, you can bring the desired register card of the dialog into the foreground by clicking once with the left mouse button.

Register card Channels

On the register card "Channels" in the dialog box "Line Diagram Properties" you can select the desired channels and diagram characteristics from the following:

Channels:

You can display as many channels on a line diagram as are available to your system. A channel to be displayed is selected by activating the check box on the left of the list box entries. Further options of selecting a channel:

· Selecting a channel from the list and allocate a line color, line type or a y axis.

· Click on the button "Select Channel(s)" below the channel list to change the selection of the channels and which channels are displayed. Following options are avaiblable: "Select all", "Deselect all", "Invert Selection", "Make all selected channels visible", "Make all selected channels invisible" and "Invert visibility".

Y-Axis:

In this column in the table the y-axis will be displayed and the measurement channel shown. By clicking on the appropriate cell in the table with the left mouse button, a drop-down appears. Clicking opens a list of possible y-axes, making it possible to change the allocation of the y-axis.

A maximum of 4 y-axes can be allocated to each measurement channel. These can be configured in the same dialogue in the table entitled "y-axes". In this way, it is possible to allocate several measurement points to any y-axis.

Color:

The "Color" column in the table displays the current color used in the line diagram for this measurement channel. Clicking the left mouse button on the current color opens a color palette in which a different color can be chosen for this channel. These settings can be changed at any time.

Line Type:

The "Line" column in the table shows the line type currently selected for this measurement channel. Clicking the left mouse button opens a selection window in which a different type of line can be chosen for this measurement channel. This characteristic can be changed at any time including during polling.

Show Limits:

When this option is selected by clicking the left mouse button in the appropriate control box, the limiting value for this measurement channel will be displayed as a horizontal line.

Invisible Channels:

This option allows for individual measurement series of one data set to be hidden.

Select the option "Invisible Channel" by clicking once with the left mouse button into the control box in the last column of the desired channel.

The display of this channel will then be suppressed in the diagram. This setting is of course available for each channel and for more than one channel at a time.

Attention!

Channels marked as invisible do not have to be allocated a y-axis.

More:

The area "Y-Axis"

The area "Time Axis"

Register card Layout

Register card History

Register card Condition

Register card Min / Max

Local Calculation Channels

Zooming with the mouse

Call!

Printing

Documentation

Measuring Cursors / Statistics Function


The area "Y-Axis"

Selecting a channel will automatically set defaults for the properties of all y-axes. These characteristics can be changed at any time:

Tip!

If channels are found that are not allocated a Y axis when closing the dialog with OK, an error message will be returned. This error message contains the first such channel, including its number and a comment. Furthermore, this channel will automatically be selected in the property dialog of the diagram, in order to enable immediate correction of your entries.

Label:

A text to provide a detailed description of the respective axis can be entered into the field "Label". This text will then be shown next to the corresponding axis in the diagram, tilted by 90°.

Label:

A text to provide a detailed description of the respective axis can be entered into the field "Label". This text will then be shown next to the corresponding axis in the diagram, tilted by 90°.

Range:

The "From" and "To" values set the range of the diagram. These fields initially contain default values for any newly selected channel and can be changed.

Unit:

A change to the unit is only necessary if the selected channel should show a different unit. To make such a change, enter the new unit in the correct field.

Logarithmic:

If this option is activated (done by clicking in the check box with the left mouse button) then this y-axis will be scaled logarithmically.

Show Gridlines:

If this option is activated (done by clicking in the check box with the left mouse button) then gridlines will appear on your line diagrams. This option is generally recommended. You should activate it for only one y-axis.

Color:

This column in the table displays the current color used in the line diagram to graph this measurement channel. Clicking the left mouse button on the current color opens a color palette in which a different color can be chosen by selecting the appropriate color with the left mouse button. It is therefore possible to choose a color for a measurement channel so that it is the same color as the corresponding y-axis. This selection can be changed at any time, even while measurements are being carried out.


The area "Time Axis"

By entering hour and minute values in the corresponding fields, you can set the time range that is displayed on a line graph. These values can be changed at any time.

Display:

If the option "Absolute" is selected, the measurement data will be displayed for the absolute time.

If you wish to display the time relative to the start of the line diagram, then activate the "Relative" check box.

A further modus displays data that result from pooling of files, together with their time of origin. To operate in this modus, select the option "Overlapping".

This function enables a direct comparison between two characteristic curves that were recorded at different times.

Attention!

Pooled characteristic curves with the same channel number always have the same line characteristics.


Register card Layout

On the Register Card "Layout" in the dialog box "Line Diagram Properties" you can select the desired comments, legends and labels from the following:

Comment:

In the "Comment" box you can enter a name for the diagram which relates to the data that is to be displayed. These comments, which can contain any number of characters, will be displayed in the title bar of the diagram window. If this diagram is saved, then these comments will be saved with the file.

Labeling above / below:

Additional text for description of the diagram can be entered into these fields. This text will then appear in one line above or below the graphical presentation.

Legend:

By selecting "Show" in this area, a legend will appear on your diagram. This option can be activated by clicking with the left mouse button on the check box.


Register card History

The XTR WinControl data server has a sample buffer (ring buffer) based on files.

These buffered data can be inserted into new line diagrams. All properties dialogs of these types of display have an additional register card, "History", which is available when a new diagram is created.

These buffered data can be inserted into new line diagrams. All properties dialogs of these types of display have an additional register card, "History", which is available when a new diagram is created.

Choose the option "Do not apply data from history" (default) in order to create a diagram as usual. Choose "Apply all existing data from history" in order to take over all data in the buffer that refer to the channels selected in the register card "Channels" into the diagram. The latter option also fetches data from the buffers, provided they are within the given period of time.

After the data have been taken over from the buffer into the diagram, the current values are added as usual as soon as the value poll has been activated.


Register card Condition

Transfer of data into tables, line and XY diagrams can depend on measurement and calculation values. The respective settings can be made in the properties dialog, in the register card "Condition":

As per the standard settings, all data will be transferred. Alternatively, a reference channel can be selected and a condition (higher than / lower than) and a limit value set. Data is only transferred into the table or diagram if this condition is met.

Data is only transferred into the table or diagram if this condition is met. All hardware channels and global calculation channels can be used as reference channels. Transfer or non-transfer always refers to data of an entire measurement cycle.

Attention!

Local calculation channels in tables or diagrams only continue to calculate if data have been transferred into the table of diagram in the current cycle. Table or diagram-specific averaging is also based on actually transferred data.


Register card Min / Max

The register card "Min / Max" is available in the "Line diagram properties“ dialog. It shows a list of all channels and calculation channels available in the line diagram.

The column "Evaluation" lets you choose between the following options for each entry of this channel list:

· (none)

· Show local minimums

· Show local maximums

The "Standard Search" setting changes the time frame for all measurement channels during which the software identifies the “local” maximum and minimum values.

Attention!

The channel list shows all available channels and calculation channels, including those not used in the current line diagram (i.e. those not allocated to a Y axis or invisible). Any settings made for those channels not currently used will not be saved on this register card.

Tip!

Changes on the register card "Min / Max" will be activated immediately after confirmation. Maximum and minimum values can be inserted for current measurements (on-line) as well as retroactively in the respective data file (off-line).


Local Calculation Channels

If you want to display a calculation channel as part of a data set (i.e., a local calculation channel), or you wish to carry out calculations using data that has already been recorded, then you should active the "Add Calculation Channel" dialog box by entering the command Edit/Add Calculation Channel.

In this dialog box you should enter the channel number, any comments for the channel, the unit, limit values and the number of decimal places that should be displayed. You can also enter any formula that should be used to calculate a value (see also: Formulae).

You can use as many calculation channels for a data set as you like.


Zooming with the mouse

Within a line diagram it is possible to zoom in on a section of the diagram. There are two methods of doing this. You can either use the diagram’s properties dialog box to change the diagram’s axes or you can select the area you wish to zoom in on with the mouse. To do so, hold down the left mouse button and pull the mouse pointer over the area that you wish to zoom in on.

The Edit/Undo command will effectively zoom out and display the diagram with the range settings that were active prior to using the mouse zooming function.


Call!

A new line diagram can be created by:

· Selecting Data/New Line Diagram

· Selecting Data/New Line Diagram with Sample Chart

· Pressing <F5>

· Clicking once with the left mouse button on the "New Line Diagram" icon in the toolbar


Printing

To print a line diagram:

· Activate the diagram to be printed

· Select File/Print or

· Click once with the left mouse button on the Print icon in the toolbar


Documentation

XTR WinControl Windows > The Line Diagram > Dialog "Line Diagram Properties"

Documentation

In order to insert a line diagram into a Windows text editor copy the line diagram that you wish to insert to the clipboard with Edit/Copy (<Ctrl + C>). You can now insert this diagram where you want in your text with Edit/Insert (<Ctrl + V>).


Measuring Cursors / Statistics Function

In order to analyze the course of a curve, open the data file and start the view "line diagram" (function View / Display as Line Diagram). The menu View and the context-sensitive menu will then provide the function "Cursors" which activates and deactivates the measuring cursors.

Activated cursors are shown as two vertical lines in the diagram and a table in the bottom part of the line diagram window shows the data of all lines below the cursors.

Furthermore, the integrated statistics function calculates the following values for each curve in the line diagram:

· Difference between the two values below the cursors

· Minimum, maximum and average of the area within the cursors

· Difference between minimum and maximum

· Deviations from the standard.

These values will be listed in the table, too.

Properties of the statistics chart:

In the properties dialog of the statistics chart you can set which columns are or are not to be visible, and a zoom factor (50% … 130%) can be set for the printout. The standard zoom factor of 80% makes sure that the statistics chart fits exactly on an A4 page, portrait format, with 10mm margin on both sides, automatic column width and all columns activated as visible. However, this only works out with a small font.

A user-defined layout with exactly defined properties and high legibility can be created for the statistics chart by manual adaptation of zoom factor, margins, and column widths and / or hiding of columns.

Choose the function Properties in the context menu to open the properties dialog of the statistics chart.

Tip!

The properties of the statistics chart are saved in the value file in such a way that they appear again when the file is opened. However, files saved in this way are not compatible with older versions of the program and cannot be read by these earlier versions. In order to view or edit such files with older versions of the programs, before the file is saved with the new versions, all columns have to be visible and the zoom factor set at 80%. If the file is saved in this way, it can be opened by older program versions.

Tip!

The proportions of line diagrams and statistics chart can be set individually. Move the mouse pointer over the separation line between the diagram and the chart until it changes appearance. Click the left mouse button to move the separation line. The size of the line diagram will then be adapted, and the chart will be displayed, either completely or with a vertical bar.

Printing

The following options are available for printing:

· Direct print of diagram and statistics table

· Direct print of statistics table (one mouse click into the table)

· Copying of diagram or statistics table, e. g. into text documents or spreadsheets.


The X/Y Diagram

In an X/Y diagram it is possible to display the dependency of up to four physical dimensions against another one. For this purpose there are four y-axes and an x-axis that can be defined as desired. Like the other diagrams and graphs, you can set the characteristics and the channels to be displayed on an X/Y diagram in the dialog box "X/Y Diagram Properties".

Like the line diagram, all the data for an X/Y diagram is buffered in the computer’s memory. This data can be saved as a file either during or after polling and subsequently used for DDE transfer to say a spreadsheet program or copied to the clipboard and inserted into a text file.

You can open as many X/Y diagrams as you wish and display them simultaneously. It is also possible to display the data in a table or as a line diagram at anytime. To do so, use one of the following commands: View/View as Data Table or View/View as Line Diagram. Alternatively, you can use the context menus (opened by clicking on the right mouse button in an active diagram) and select from one of the different views.

More:

Dialog "X/Y Diagram Properties"


Dialog "X/Y Diagram Properties"

Select the desired channels in the properties dialog of the XY diagram to determine the display of the diagram.

Depending on which settings are to be made, you can bring the desired register card of the dialog into the foreground by clicking once with the left mouse button.

Register card Channels

On the register card "Channels" in the dialog box "X/Y Diagram Properties" you can select the desired channels and diagram characteristics from the following.

Channels:

You can display as many channels in an X/Y diagram as are available to your system. A channel to be displayed is selected by activating the check box on the left of the list box entries. Further options to select are:

· Select a channel from the list and allocate a line color, line type or a y-axis.

· Click on the button "Select Channel(s)" below the channel list to change the selection of the channels and which channels are displayed. Following options are avaiblable: "Select all", "Deselect all", "Invert Selection", "Make all selected channels visible", "Make all selected channels invisible" and "Invert visibility".

Y-Axis:

In this column in the table the y-axis will be displayed and the measurement channel shown. By clicking on the appropriate cell in the table with the left mouse button, a drop-down appears. Clicking opens a list of possible y-axes, making it possible to change the allocation of the y-axis.

A maximum of 4 y-axes can be allocated to each measurement channel. These can be configured in the same dialogue in the table entitled "y-axes". In this way, it is possible to allocate several measurement points to any y-axis.

Color:

The “Color” column in the table displays the current color used in the X/Y diagram for this measurement channel. Clicking the left mouse button on the current color opens a color palette in which a different color can be chosen for this channel. These settings can be changed at any time.

Line Type:

The "Line" column in the table shows the line type currently selected for this measurement channel. Clicking the left mouse button opens a selection window in which a different type of line can be chosen for this measurement channel. This characteristic can be changed at any time including during polling.

Show Limits:

When this option is selected by clicking the left mouse button in the appropriate control box, the limiting value for this measurement channel will be displayed as a horizontal line.

Invisible Channels:

This option allows for individual measurement series of one data set to be hidden.

Select the option "Invisible Channel" by clicking once with the left mouse button into the control box in the last column of the desired channel.

The display of this channel will then be suppressed in the diagram. This setting is of course available for each channel and for more than one channel at a time.

Attention!

Channels marked as invisible do not have to be allocated a y-axis.

More:

The area "Y-Axis"

The area "X-Axis"

Register card Layout

Register card History

Register card Condition

Local Calculation Channels

Zooming with the mouse

Printing


The area "Y-Axis"

Selecting a channel will automatically set defaults for the properties of all y-axes. These characteristics can be changed at any time:

Tip!

If channels are found that are not allocated a Y axis when closing the dialog with OK, an error message will be returned. This error message contains the first such channel, including its number and a comment. Furthermore, this channel will automatically be selected in the property dialog of the diagram, in order to enable immediate correction of your entries.

Label:

A text to provide a detailed description of the respective axis can be entered into the field "Label". This text will then be shown next to the corresponding axis in the diagram, tilted by 90°.

Range:

The "From" and "To" values set the range of the diagram. These fields initially contain default values for any newly selected channel and can be changed.

Unit:

A change to the unit is only necessary if the selected channel should show a different unit. To make such a change, enter the new unit in the correct field.

Logarithmic:

If this option is activated (done by clicking in the check box with the left mouse button) then this y-axis will be scaled logarithmically.

Show Gridlines:

If this option is activated (done by clicking in the check box with the left mouse button) then gridlines will appear on your X/Y diagrams. This option is generally recommended. You should activate it for only one y-axis.

Color:

This column in the table displays the current color used in the X/Y diagram to graph this measurement channel. Clicking the left mouse button on the current color opens a color palette in which a different color can be chosen by selecting the appropriate color with the left mouse button. It is therefore possible to choose a color for a measurement channel so that it is the same color as the corresponding y-axis. This selection can be changed at any time, even while measurements are being carried out.


The area "X-Axis"

In this area of the dialog box you should select the channel to be used on the x-axis. To select a channel click on the list (on the right next to the "Channel" heading) with the left mouse button and select the desired channel from the list.

Attention!

If you select a channel that already appears on the y-axis, an error message will appear. It is then possible to alter your choice of channels for the x and y-axis.

The entries for the range and the measurement unit for the x-axis operate in the same manner as the y-axis.


Register card Layout

On the Register Card "Layout" in the dialog box " X/Y Diagram Properties" you can select the desired comments, legends and labels from the following:

Comment:

In the "Comment" box you can enter a name for the diagram which relates to the data that is to be displayed. These comments, which can contain any number of characters, will be displayed in the title bar of the diagram window. If this diagram is saved, then these comments will be saved with the file.

Labeling above / below:

Additional text for description of the diagram can be entered into these fields. This text will then appear in one line above or below the graphical presentation.

Legend:

By selecting "Show" in this area, a legend will appear on your diagram. This option can be activated by clicking with the left mouse button on the check box.


Register card History

The XTR WinControl data server has a sample buffer (ring buffer) based on files.

These buffered data can be inserted into new X/Y diagrams. All properties dialogs of these types of display have an additional register card, "History", which is available when a new diagram is created.

These buffered data can be inserted into new X/Y diagrams. All properties dialogs of these types of display have an additional register card, "History", which is available when a new diagram is created.

Choose the option "Do not apply data from history" (default) in order to create a diagram as usual. Choose "Apply all existing data from history" in order to take over all data in the buffer that refer to the channels selected in the register card "Channels" into the diagram. The latter option also fetches data from the buffers, provided they are within the given period of time.

After the data have been taken over from the buffer into the diagram, the current values are added as usual as soon as the value poll has been activated.


Zooming with the mouse

Within a X/Y diagram it is possible to zoom in on a section of the diagram. There are two methods of doing this. You can either use the diagram’s properties dialog box to change the diagram’s axes or you can select the area you wish to zoom in on with the mouse. To do so, hold down the left mouse button and pull the mouse pointer over the area that you wish to zoom in on.

The View/Undo Zoom command will effectively zoom out and display the diagram with the range settings that were active prior to using the mouse zooming function.

Call!

A new X/Y diagram can be created by:

· Selecting Data/New X/Y Diagram

· Pressing <F11>

· Clicking once with the left mouse button on the "New X/Y Diagram" icon in the toolbar


Printing

To print an X/Y diagram:

· Activate the diagram to be printed

· Select File/Print or

· Click once with the left mouse button on the Print icon in the toolbar.


The Data Table

You can display as many different channels in a data table as you wish. In addition to the channels and their corresponding descriptions, it is also possible to display the "Number", "Date" and "Time" of the samples. Like the other diagrams and graphs, you can set the characteristics and the channels to be displayed in the dialog box Data Table Properties.

Like the line and X/Y diagrams, the data table is buffered in your computer’s memory, which means that you can save this data at any time either during or after polling. It also allows for DDE transfer and/or lets you copy the information to the clipboard and then transfer it into another program, for example, a text editor.

You can open as many data tables as you wish and display them simultaneously. It is also possible to display the polled data as a line or X/Y diagram at any time. To do so, use the View/View as Line Diagram or View/View as X/Y Diagram commands or open the context menu within the diagram by clicking with the right mouse button and select View as Line Diagram or View as X/Y Diagram.

Marking data

The following marks can be made in the column "Unit" for data, for which a special status was detected:

Error: #

maintenance requirement: &

function control: $

Off-Spec: §

The identification is shown after the unit. Depending of the device status, combinations are possible.

If data is copied from the table into the clipboard, the unit columns are taken over completely with marks.

For ASCII exports, units are displayed in the head of the file. Therefore, a new column is created for the identifications after each data column. These columns will remain empty as long as no marks have been set.

More:

Dialog "Data Table Properties"


Dialog "Data Table Properties"

In the dialog box "Data Table Properties" you can select the desired channels and table characteristics from the following register cards:

More:

Register card Channels and View

Register card History

Register card Condition

Local Calculation Channels

Change Layout Settings

Printing


Register card Channels and View

Comment:

In the "Comment" box you can enter a name for the table which relates to the data that is to be displayed. These comments, which can contain as many characters as you like, will be displayed in the title bar of the data table window. If this table is saved, then these comments will be saved with the file.

Channels:

You can display as many channels in a data table as are available to your system. Selecting a channel to be displayed is done by activating the check box on the left of the list box entries.

Show Date:

If this option is activated, a column will appear in the data table, which displays the date that each value was measured on.

Number Rows:

If this option is activated, a column will appear which sequentially assigns a number to each row of data.

Display time in hundredth seconds:

Activate this option in order to display data which is captured with a frequency above 1 Hz with a corresponding time mark.


Register card History

The XTR WinControl server has a sample buffer (ring buffer) based on files.

These buffered data can be inserted into new line diagrams. All properties dialogs of these types of display have an additional register card, "History", which is available when a new diagram is created.

These buffered data can be inserted into new line diagrams. All properties dialogs of these types of display have an additional register card, "History", which is available when a new diagram is created.

Choose the option "Do not apply data from history" (default) in order to create a diagram as usual. Choose "Apply all existing data from history" in order to take over all data in the buffer that refer to the channels selected in the register card "Channels" into the diagram. The latter option also fetches data from the buffers, provided they are within the given period of time.

After the data have been taken over from the buffer into the diagram, the current values are added as usual as soon as the value poll has been activated.


Change Layout Settings

Some settings for the illustration of tables in XTR WinControl can be changed via the configuration file XTRWinControl.ini in the Windows directory. The following entries are available for this purpose:

TabShowDate = 0 / 1

This entry in the [settings] area defines whether newly opened data tables in XTR WinControl should show the date of a value in addition to the time. Valid entries: 0 for No and 1 for Yes.

TabPrecision = -1 / 0..5

This entry in the [settings] area limits the number of decimals of measurement data within an XTR WinControl table. Admissible entries are values between 0 and 5. The value -1 represents the automated display of decimals (no limit).

FooterText = Text

The entry FooterText in the [settings] area ensures that XTR WinControl adds a footer to the print-outs of all documents, tables and diagrams, containing a text defined under this entry. The text will be printed in the centre of the footer of the document.

Call!

A new data table can be created by:

· Selecting Data/New Data Table

· Pressing <F10>

· Clicking once with the left mouse button on the "New Data Table" icon in the toolbar


Printing

To print a data table:

· Activate the diagram to be printed

· Select File/Print or

· Click once with the left mouse button on the Print icon in the toolbar


The File Summary Window

If a file has been saved using the commands Data/AutoSave or Data/Download from Device Memory then this file will be opened in a file summary window. This window contains important information about the file, for example, details of when the data was recorded and the channel descriptions.

More:

Creating a new line diagram

Creating a new X/Y diagram

Creating a new data table

Changing the Viewing Mode


Creating a new line diagram

In order to create a new line diagram with the data from a file summary window, select Data/New Line Diagram or open the context menu within the file summary window by clicking with the right mouse button and select New Line Diagram.

The Line Diagram Properties dialog box that appears contains all the previously saved diagram properties. If you click on OK then these properties will be used to create a line diagram. Using this information it is also possible to create as many different line diagrams as you like, which can then be saved under different file names.


Creating a new X/Y diagram

In order to create a new X/Y diagram with the data from a file summary window, select Data/New X/Y Diagram or open the context menu within the file summary window by clicking with the right mouse button and select New X/Y Diagram.

The X/Y Diagram Properties dialog box that appears contains all the previously saved diagram properties. If you click on OK then these properties will be used to create an X/Y diagram. Using this information it is also possible to create as many different X/Y diagrams as you like, which can then be saved under different file names.


Creating a new data table

In order to create a new data table with the data from a file summary window, select Data/New Data Table or open the context menu within the file summary window by clicking with the right mouse button and select New Data Table.

The Data Table Properties dialog box that appears contains all the previously saved table properties. If you click on OK then these properties will be used to create a data table. Using this information it is also possible to create as many different data tables as you like, which can then be saved under different file names.


Changing the Viewing Mode

If you wish to change the viewing mode for the data contained in a file summary window then you can choose from one of the following: View/View as Line Diagram, View/View as X/Y Diagram, or View/View as Data Table. All of these views can be selected using the context menu within the file summary window. To open this menu click with the right mouse button in the file summary window.

The properties dialog box contains some preset settings. These settings can be changed or left as they are and confirmed with OK. The properties dialog box will only appear if some important information required to show the diagram or table. Otherwise, the window will immediately display the newly selected view. It is however, always possible to change the display’s properties by opening up the corresponding properties dialog box.

Attention!

Changing the viewing mode of a diagram or table may open the properties dialog box for the new diagram or table. You can use this dialog box to alter the display settings for the new view. However, if you delete a channel from the new vies, then the data for this channel will be lost. To isolate the different channels, use the New Line Diagram, New X/Y Diagram and New Data Table commands.


The Project Drawing Window

XTR WinControl features the option to display the measurement structure in a particular window. Graphics (bitmaps, enhanced metafiles), text boxes and the captured data can be displayed in data fields (only number and frame) at any random position

Connection between channels can be indicated by connecting the value displays with (colored) lines; the display of simple flow diagrams is easily possible.

Line diagrams which have been inserted via the buffer as Enhanced Metafiles can be commented in text fields (with transparent backgrounds).

Links can make project drawings into a control center: e.g. clicking on a value field will open a line diagram with defined properties or a further project drawing.

To create a project drawing, execute the menu function Data / New Project drawing.

In order to define the properties of the project drawing, open the menu View/Diagram properties and then Diagram properties in the context menu, or press <Enter> to open the corresponding properties dialog.

In order to insert objects into a project drawing, choose the function Edit/Insert Object… Drawing objects (lines, polygons, etc.) can be inserted with the function Edit/Draw.

Any number of objects of every type can be integrated into one project drawing, and any number of project drawings can be active in the program simultaneously. Among others, this feature can be used to display both overall and partial views of a project at the same time.

Once created, a project drawing can be saved and reloaded in file format. When loading a project drawing from memory, choose the file type " XTR Project drawings" (*.amb) in the standard dialog.

After confirmation of the entries with OK, an empty window will appear. The desired objects and drawing elements (value fields, text fields, bitmaps…) can be displayed in this window, using the functions in the menus Edit and View as well as a context-sensitive menu. The respective functions are only visible when a project drawing is active.

Tip!

When a project drawing is opened or activated, a special project drawing tool bar is shown, which renders the most important actions accessible by mouse click.

Tip!

All functions for editing project drawings are only available when the active window contains a project drawing.

More:

Dialog "Project Drawing Properties"

Positioning

Adapt frame to text size

Text Fields

Value Fields

Bitmaps and Enhanced Metafiles

Drawing Objects

Elements for Description of Project Drawing Objects

Project Drawing Tool Bar


Dialog "Project Drawing Properties"

In the dialog box "Project Drawing Properties" at first you can stipulate the size of the image and decide whether you want to use a grid as a drawing aid. This dialog box can be called at any time to make changes to the properties of the project drawing. The following properties can be defined:

Drawing Area

The size of the drawing area in pixels (dots on the screen) in horizontal and vertical direction.

Backbround Color

Selection of the background color.

Show Grid

Activates the grid (visible only on screen, not on the printout) with lines to facilitate positioning of objects and drawing elements.

Adjust to Grid

The upper left corner of complex objects (bitmaps, text fields etc.) or the corners of drawing elements (lines, circles, rectangles etc.) are moved to the nearest point in the grid when objects are moved or inserted.

Grid Color

Selection of the grid color.

Grid Size horizontal / vertical

The distance between the points in the grid in vertical / horizontal direction. Measurement unit: pixel.

Show Margins

If this function is activated, page breaks are shown on screen as dotted lines in dependence of the printer settings. This is meant as an orientation help for project drawings designed for printout.

Allow Changes to Diagram

Properties of objects and drawing elements can only be changed and objects or drawing elements deleted or added when this function is activated. This prevents unintentional changing of the project drawing.


Positioning

All object types (value field, text field, bitmap…) are positioned by selecting the desired object with the left mouse button and moving the pointer while holding the button down. In order to select several options simultaneously, click on these objects with the left mouse button while pressing the <Shift> key or drag a frame around them while keeping the left mouse button pressed.

Furthermore, selected objects can positioned as follows:

Edit/Order/Object to the foreground…/Object to the background,…/Object to the front,…/Object to the back

Edit/Alignment/Align top,…/Align bottom,…/Align right,…/Align left,…/Align centre.


Adapt frame to text size

Use the function Edit/Adapt frame to text size to tailor borders around text fields to their respective size.


Text Fields

A new text field can be inserted into a project drawing via the function Insert Object/Text Field in the Edit menu or the context menu.

First of all, use the mouse pointer to determine the position within the project drawing. After a single click with the left mouse button the text field will be displayed and the selected text "Text" can be replaced by any text you wish to enter. In order to open the dialog "Properties: Text Field", open the function Object Properties in the View menu or the context menu while the text field is selected. This dialog contains the following elements (register cards) for changes to text, a link to a file and design (e.g. font, color) of the text field:

· Text

· Line

· Fill

· Font

· Link

Please refer to the section Elements for Description of Project Drawing Objects for a detailed description of the elements.


Value Fields

A new value field can be inserted into a project drawing via the function Insert Object/Value Field in the Edit menu or the context menu.

First of all, use the mouse pointer to determine the position within the project drawing. After a single click with the left mouse button the dialog "Properties: Value Display Field" will be opened. This dialog contains the following elements (register cards) for selection of the desired channel, a link to a file and design (e.g. font, color) of the text field:

· Channels

· Line

· Fill

· Font

· Link

Please refer to the section Elements for Description of Project Drawing Objects for a detailed description of the elements.

In order to open the dialog "Properties: Value Display Field", open the function Object Properties in the View menu or the context menu while the value display field is selected.


Bitmaps and Enhanced Metafiles

A new graphic can be inserted into a project image via the function Insert Object/Insert Bitmap and Object/Enhanced Metafile in the Edit menu or the context menu. A standard file dialog will appear, in which the desired graphic can be selected and loaded as bmp or ehm file after confirmation with OK.

The size of the image can be changed by dragging the mouse pointer while keeping the left mouse button pressed. Select the object and move the mouse pointer towards one corner of the image so that the pointer symbol changes into a double arrow. Then press the left mouse button and move the pointer to enlarge or reduce the object.

In order to open the dialog "Properties: Bitmap" or "Properties: Enhanced Metafile", open the function Object Properties in the View menu or the context menu while the graphic is selected.

The following elements (register cards) are available in this dialog for shaping the graphic:

· Bitmap or Enhanced Metafile

· Link

Please refer to the section Elements for Description of Project Drawing Objects for a detailed description of the elements.


Drawing Objects

In order to optically connect or otherwise select objects in a project drawing or to draw individual objects, start the function drawing in the Edit menu or the context menu. The following objects can be drawn:

Line

After choosing this point, the starting point of a line is determined by pressing the left mouse button at the desired position. Keeping the mouse button down, move the mouse to the desired end point and then release the mouse button. A line will be drawn between start and end point.

Multiple Line

A starting point is selected with the left mouse button. After releasing the mouse button, the mouse is moved to the next corner and pressed again. Repeat this action. A double click with the left mouse button will end the line, a click with the right mouse button will delete all set points without interrupting the mode "Multiple Line".

Polygon

A polygon is a multiple line whose start and end points are automatically connected. To insert a polygon, follow the procedure of inserting a multiple line.

Rectangle

Press the left mouse button to determine the upper left corner of the rectangle, keep it down and draw the mouse pointer to the lower right corner of the rectangle. When releasing the mouse button, the rectangle will be drawn between those points.

Bézier curve

Mark a starting point with the left mouse button. Each further mouse click adds a point at the current mouse position. A Bézier curve will be drawn between these points. Double click with the left mouse button to finalize the curve. Four points are required for each curve segment: start and end point as well as two control points. If several curves follow each other, the start point of the next curve is the end point of the current curve.

Closed Bézier curve

This function draws a Bézier curve, whose start and end point are connected after a double click with the left mouse button.

Ellipse (Circle)

The same procedure as for a rectangle. The ellipse will be drawn into the rectangle, with the center of the rectangle being the center of the ellipse and the length and width of the rectangle being the diameter of the ellipse. If the rectangle turns out to be square, the ellipse will be a circle.

In order to open the dialog "Properties: Drawing Object" or "Properties: Enhanced Metafile", open the function Object Properties in the View menu or the context menu while the drawing object is selected.

The following elements (register cards) are available in this dialog for shaping the object:

· Line

· Fill

Please refer to the section Elements for Description of Project Drawing Objects for a detailed description of the elements.


Elements for Description of Project Drawing Objects

The properties of objects in a project drawing can be defined via the corresponding properties dialog. For each selected object, open the function Object Properties in the View menu or the context menu. The following elements (register cards) are available in this dialog for selecting channels, the link to a file and shaping (e.g. font, color) the object:

Text

Enter the text to be displayed in the (text) element. If the text is to be displayed in more than one line, select "Several Lines". You can then activate the line break function, so that the text automatically adapts to the size of the text field.

Attention!

If the outer measurements of the text box are smaller than text dimension, considering the size of the selected font, the text box will not be enlarged but the text is cut off on the edges, depending on the type of alignment.

Channels

The requested channel can be selected from the list of channels in the system. Each display can contain a channel.

Line

The color of the border is selected with the corresponding button. If the option "transparent" is selected, the color is ignored and the line invisible.

If a width of 0 (=1 Pixel) is chosen, the line can be displayed in one of five styles. Only one style (Basis) is available for larger widths.

Changes are accepted by clicking on Apply and the edited property will appear on screen at once.

Fill

Closed elements can be filled in two colors. A variety of hatchings is available. If the background color is "transparent" and unless "no hatching" is activated, elements beneath the filling pattern are visible.

In order to display an element completely transparently, both foreground and background colors must be "transparent".

Font

The display shows all fonts available on the computer for selection. You can choose the desired display mode and font size. The text in one element can only be in one font, with one style and in one color.

Attention!

If the PC on which the project drawing is opened does not support the font selected for the project drawing, a standard windows font will be applied.

Link

The file name, complete with path, is to be entered. The existence of the file is not verified, because

· The project drawing can be created on a computer that does not save the target file if the project drawing is to be opened on a computer that does.

· The creation of the project drawing is independent from the creation of the target file.

To facilitate the entry for an existing file, open the file selection dialog via the button "Browse…".

Bitmap resp. Enhanced Metafile

You can determine whether the color of a bitmap is to be displayed transparently. If so, this color can be selected from the current window color settings, so that the color to be displayed must be know if the picture has more than 256 colors.

For the background of an Enhanced Metafile Graphic to be transparent, the component "Background" must be defined in it.

Limit Violations

The value boxes in project drawings may change their text and/or background color depending on the limit violation of the underlying channel:

The Checkbox "Change Text Color when Limits are violated" activates/deactivates the visualization. If it is activated, the buttons for selecting the text colors are enabled. Now you may choose the desired colors.

In the same way, the option "Change Background Color when Limits are violated" and the buttons on the lower frame can be used to select background colors.

If hatching and/or transparency effects (à register card "Fill") have been set, they are not used in case of an alarm, instead the background will be displayed entirely in the color selected.

The button Apply applies the changes to the project drawing so you can see the effect without closing the dialog box. Cancel closes the dialog without take on all changes. All changes which were tested with Apply will also get lost. The button OK closes the dialog box and applies the settings to value box.

Attention!

It is possible to set colors for limit violation for each channel, indpendent if limit values are defined for it or not.

The colors for limit violation are independent from the default text color. The user is responsible for selecting the colors in a way, which allows differing between "No violation", "Above upper limit" and "Below lower limit". The user should also select different colors for text and background.


Project Drawing Tool Bar

Whenever a project drawing is created or activated, a special tool bar will appear. Thus the most common commands can be carried out comfortably by mouse click:

Select Objects

Edit Points

Open Properties Dialog

Draw Line

Draw Multiple Line

Draw Polygon

Draw Rectangle

Draw Bézier Curve

Draw Closed Bézier Curve

Craw Ellipse (Circle)

Insert Text Field

Insert Value Field

Insert Bitmap

Insert Enhanced Metafile

Bring to Front by one Position in Direction z

Send to Back by one Position in Direction z

Align Top (at least two selected elements)

Align Bottom (at least two selected elements)

Align Left (at least two selected elements)

Align Right (at least two selected elements)


The Event Log

An event log can be created for all alarm situations. That means that if this function is activated, the beginning and the end of a disturbance will be entered into a special list (window) in case of an alarm.

The event log is saved using the encoded file format " XTR evt". Files of this type can be re-opened, displayed, saved, exported and / or printed.

Attention!

Current events are only added to the current active event log, but not in saved or re-opened files!

Tip!

This list can be saved (automatically) with the corresponding measurement values. A special export function into text format or XML format is also available.

More:

Entry of Alarm Situations

Entry of Additional Information

Entry of the Channel

The Toolbar of the Event Log

Protection against manipulation


Entry of Alarm Situations

The following events are saved in the event log:

· Violation of upper limit

· Violation of lower limit

· Rupture of a detector

· Channel failures (e.g. breakdown of a device)

The beginning (and the end) of each alarm situation are entered into the event log.

Entry of Status

Reports

The entry of an individual status report into the event log consists of the following elements:

· Type of report ("Error", "Maintenance requirement", "Off-Spec" or "Function control")

· Individual report as per code

· Date/Time (Start)

· Date/Time (End)

Entry of Calibration Reports

The entry of a calibration report into the event log consists of the following elements:

· Measurement Channel / Channel Comment

· Calibration type (Zero Gas Calibration, Span Gas Calibration)

· Date/Time (Start)

· Date/Time (End)

· Target value of the calibration

· Result of the calibration


Entry of Additional Information

In order to facilitate the evaluation of alarm situations, the following events have been defined and are shown in the event log:

· Start Value Request

· Alarm Treatment Turned off

· Stop Value Request

· Alarm Treatment Turned on

· Protocol activated (Activation of a connection in XTR WinControl )

· Protocol deactivated

· Connection established XYZ (XYZ = device numbers of the connection)

· Connection lost XYZ

Tip!

These entries are only added to an open event log, as they provide additional information about possible events.

Removal of Entries

When AutoSave is active and dayfiles are generated, the event log might contain a multitude of entries, resulting in less clearer view. It is therefore possible, when generating a new file and after saving the event list, to have those entries removed from the event log that have a fixed beginning and end and can be considered as settled or that are of solely informative character, e.g. "Alarm Confirmed". Thus the current event log only contains entries related to the corresponding daily file or that were up-to-date at the time.

Should you not with to use this function, you can define this in the initialization file XTRWinControl.ini :

[Settings]

ReduceEventList=0

To reactivate the function:

[Settings]

ReduceEventList=1

Headlines

For easier allocation of event logs, the headline "from BEGINNING to END" are entered for printing and exporting.

Empty Event Log

In order to ensure continuous recontruction of events for measurements over an extended period of time, the message "No Events Occurred" is saved in the event log if there is not event to be listed. That can be the case, for example, if all events have been dealt with (see also: "Removal of Entries") and the event log is empty.


Entry of the Channel

During start of XTR WinControl a list of all available measurement channels will be added to the event log. It makes it possible to document the configuration of the system on start of the program.


The Toolbar of the Event Log

The Event Log has a Toolbar with buttons: The first buttons are configuring, which types of events are displayed. The other buttons are changing the sort sequence.

Display: |
"Channels" à | Display a list of all measurement channels
"Alarms" à | Display all occurred alarms (i.e. Limit violation, sensor error)
"Events" à | Display all system events (z.B. "Polling disabled")
"Status Reports" à | Display all status reports of the devices (i.e. "Error", "Maintenance requirement", "Off-Spec" or "Function control")
"Calibration" à | Display all calibrations (including type, target value and result)

Sort order: |
"Time" à | Sorting by Date/Time, ascending
"Type of Event" à | Sorting by type of event (Alarm, System event, ..)
"Channel" à | Sorting by measurement channel, ascending

Tip!

If the event log is sorted by measurement channel or type of event, the Date/Time will be used as second sort key by the software.


Protection against manipulation

In the dialog "AutoSave" on the Register card "Files" can be defined, that the event log will be saved parallelly to the (Daily-)Files created by the AutoSave function. if this option is activated , it is impossible to close the current event log, while AutoSave is running. Using this option, it is garanteeed that the event log includes all events and alarms as the measurement file.


The File Menu

More:

Open

Close

Save

Save As

Save Part

Import

Export

Send as Email

Merge

Data Reduction

Print Preview

Print

Print Values between Cursors

Print Protocol

Page Setup

Printer Setup

File Name List

Load Configuration

Save Configuration

Load Calculation Channels

Save Calculation Channels

Save As Template

Use Template

Log Off

Exit


Open

With this command you can open an existing file. In the standard dialog box that appears when giving this command, you can select the desired file, file type, drive and directory location.

If a file has been saved with the Data/AutoSave commands, this file will be opened in a file summary window. This window contains important information about the file, for example, details of when the data was recorded and the channel description.

In order to create a new line diagram or a new data table from a file summary, use the Data/New Line Diagram or Data/New Data Table commands. The properties dialog box that appears contains all the previously saved diagram or table properties. If you just click on OK, the new line diagram or data table will use the saved properties.

If you wish to display saved data in any other format, you should choose from one of the following commands: View/View as Line Diagram, View/View as Data Table, or View/View as Summary. These commands can also be given using the context menu within the file summary window, which can be opened by clicking on it with the right mouse button when the window is active.

XTR WinControl lists the four most recently opened files. If you wish to open one of these files then just click on the file name listed in the latter portion of the File menu.

If you wish to create a new data table, line diagram, bar graph or numerical value display, you can do so by selecting the appropriate command from the Data menu.

Open Icon

To open a file more quickly, use the "Open" icon that appears in the toolbar.

Standard dialog box

In the standard dialog box you can select from the following options when opening a file:

File name:

Enter the file name that you wish to operate with or select one from the list. The files that are displayed in this list are dependent on the file type given in the field of the same name. If you wish to open files with a certain extension then enter this extension in the file name field in the normal manner (e.g., *.xyz, where ‘xyz’ represents the three letter file extension) and then press ENTER.

File Type:

Select the file type that you wish to display in the file name list:

· All files (*.*)

· Data File (* .xtr )

· Project Drawing (*.amb)

· Excel Connection parameter (*.amx)

· WinControl OPC Export (*.xtr2opc)

Attention!

The WinControl OPC Export is optional and not available in every version of the programme. If the OPC Export option has not been activated, the file type "WinControl OPC Export (*.xtr2opc)" is not available.

Drives:

Select the drive on which the desired files can be found.

Directory:

Select the directory that the desired files can be found in.


Close

With the "Close" command you can close the current diagram. If you have made changes to the diagram since you last saved it, you will be asked if you want to save the changes before closing. If you close a data file without saving then you will lose all the changes that have been made since the file was last saved.

Attention!

When closing a file, XTR WinControl only asks you whether you want to save changes if this was stipulated in the dialog "Settings Others".

System Menu of the Document

You can also close the active document by selecting the command Close from the document’s system menu. The system menu is available by clicking the window icon at top left window corner.


Save

With this command, you can save your samples. Using the "Save As" command means you can enter a new file name and path for the data. When you save data for the first time, XTR WinControl will open this dialog box. If you wish to change the name or path of a file, then you should use the "Save As" command.

Save Icon

To save a file more quickly using the previously given name and path, click on the "Save" icon in the toolbar.

File Format

Select Data/Export in order to save the data in another file format for example, as a spreadsheet.


Save As

If you use this command then the standard "Save As" dialog box will appear in which you can select a name and path for a file.

Save Icon

To save a file more quickly using the previously given name and path, click on the "Save" icon in the toolbar.

File Format

Select Data/Export in order to save the data in another file format, for example as a spreadsheet.


Save Part

The function File/Save Part offers the possibility to save a certain time frame of the data files in a new file. Starting this function opens the dialog "Save Part".

More:

Dialog "Save Part"


Dialog "Save Part"

The channels desired to be saved and the desired time frame can be determined with the following dialog options:

Channels to be saved

Select the channels whose data you wish to save separately.

Time Range

The entries date and time for beginning and end stipulate the time range within which values are to be saved.

By clicking on the button All Parts, the values of the first and last measurement of the respective file are entered into the date and time fields. By clicking on the button Zoom Area, the values of the first and last measurement of the last indicated zoom area are entered into the date and time fields. By clicking on the button Cursor Area, the values of the first and last measurement in the area limited by the cursors are entered into the date and time fields.

Attention!

The button cursor area can only be used when this function is executed for a file in cursor view mode.

Tip!

If an area was selected in the table view mode of the active data file, the beginning and end of this time frame will automatically be suggested as the beginning and end of the part to be saved when the function File / Save Part is called. In this case, the button Select is available instead of the button Zoom Area.


Import

Using this command it is possible to import data that has been saved in a pre-defined XTR text format and to work with this data. If you use this command, then a dialog box will open.

In this dialog box you should enter the name of the file, its type, and the source drive and directory.


Export

In order to save data in another file format (spreadsheet, ASCII, FAMOS) or in Dynamic Data Exchange (DDE) format so that the data can be used by another program, select File/Export. The resulting dialog box allows you to save the data in any of the above-mentioned formats. Depending on how you wish to export your data, you can bring the respective window to the front by clicking on it with the left mouse button.

More:

File Export

Dialog "Text Format"

Microsoft Excel Export

Export Data via DDE

Export Event log


File Export

On the "File" window you can make all the settings for the desired file format. The following options are available:

Channel(s):

In this field, you should select the channels whose data should be exported. This can be done by:

· Clicking with the left mouse button on the channel(s) that you wish to save.

· Selecting a range of channels from the list (from channel x to y). To do this, hold down the <SHIFT> key at the same time as clicking with the left mouse button on the first and last channel in the desired range.

· Selecting single channels. To do this, hold down the <CTRL> key at the same time as clicking once with the left mouse button on the desired channels.

Select all / Deselect all:

In order to select or deselect all channels in one step, the buttons Select all and Deselect all are available.

Text Format:

In the "Text Format" dialog box, you can select which information (for example, the comment and the date and time) should appear if you export a file in ASCII text format.

Save:

By clicking on the "Save" button, a standard dialog box will appear in which you can select the file name, type and directory that the file should be saved under.


Dialog "Text Format"

If you wish to export data into an ASCII text file, you can use this dialog box to set the file format properties for this file. The following options are available:

Arranging data

The option "Tiling all values of one measuring time" chooses the compact ASCII format. The option "Individual line for each value" stipulates formats that are interesting e.g. for the export into data bases (e.g. DBase).

All options that are not relevant for the selected format are shown in gray and cannot be activated.

Special Characters

Here you can stipulate the desired symbols for field dividers, field limitation and decimals. Select the symbol from the lists (click on the arrow right of the corresponding entry field with the left mouse button) or enter the symbol directly into the respective entry field.

Time of the data

Activating or deactivating the options Date and Time stipulates whether they are to be transferred into the ASCII files. In order to do this, click on the control box left of the respective text with the left mouse button.

Channel Information

For the format "Individual line for each value", the listed parameters can be transferred into the export file in addition to the data. In order to do this, click on the control box left of the respective text with the left mouse button.


Microsoft Excel Export

In the "Microsoft Excel" window, you can make all necessary settings to copy data in an Excel sheet. The following options are available:

Channel(s):

Here you can select the channel and corresponding data to be exported. This can be done by:

· Clicking on the channel that you wish to save with the left mouse button.

· Selecting a range of channels from the list (from channel x to y). To do this, hold down the <SHIFT> key at the same time as clicking on the first and last channel in the desired range with the left mouse button.

· Selecting multiple channels. To do this hold, down the <CTRL> key at the same time as clicking once on the desired channels with the left mouse button.

Header

If date and time as well as the value comment are to be transferred as well, activate these options by one click in the option fields left of the respective text with the left mouse button.

Start Cell

In this field, the first cell of the table into which the values are to be exported is stipulated.

Workbook

The field "Workbook" stipulates the name of the file into which the values are to be exported. If this file does not exist, it will automatically be created. You can open a standard file dialog by clicking on Browse in order to find an existing Excel file.

Table

In this field you stipulate the name of the table into which the values are to be exported.


Export Data via DDE

In the "DDE" window, you can make all necessary settings to export a file via DDE to another Windows application. The following options are available:

Channel(s):

Here you can select the channel and corresponding data to be exported. This can be done by:

· Clicking on the channel that you wish to save with the left mouse button.

· Selecting a range of channels from the list (from channel x to y). To do this, hold down the <SHIFT> key at the same time as clicking on the first and last channel in the desired range with the left mouse button.

· Selecting multiple channels. To do this, hold down the <CTRL> key at the same time as clicking once on the desired channels with the left mouse button.

Having done this, the following options need to be set:

Please note:

Service/Topic/Item: These options must be entered according to the application that will receive the data. Please refer to your documentation.

Service: | Normally the name of the application that the data should be exported to.
Topic: | Generally the document in which the data should appear
Item: | Usually the area of the document in which the data should appear.

As an example the settings for DDE data transfer to Excel could read as follows:

Service: | Excel
Topic: | Chart 1 (or Excel 5.0 (Workbook 1) Chart 1)
Item: | Row 1 Column 1:Row 100 Column 3 (The first and second columns are for the date and time)

These entries depend on the application. XTR WinControl can display lists of available services and topics. To select from the available services and topics, you can look at a list of them by clicking once on the arrow next to the entry field with the left mouse button.

When working with Quatro Pro the settings are as follows:

Service: | QPW
Topic: | qpw-directory\sub-directory 1
Itemt: | a1 (with QPW the range will automatically be defined, starting with a1)
Send

When you click on this button, XTR WinControl attempts to establish a DDE connection with the selected service and then send the data to it. A message box will inform you whether or not this process was successful.

Attention!

When transferring files to a spreadsheet via DDE, the date and time of the data will be sent to the first two columns. You might need to reformat these columns to show the data in date/time format.


Export Event log

Besides the data, the user can also save the event log, generated in case of an alarm, in the form of an ASCII file. When the event log is activated, this can be done via the function File / Export. When this function is called, a standard file dialog will appear into which the desired name and directory for the file to be saved can be entered.

Tip!

If the function Save Automatically is activated, the event log can also be saved automatically. To achieve this, the option "Save event log automatically" must be activated in the dialog AutoSave. Click on the option field left of the text with the left mouse button.


Send as Email

All value files (table, line diagram, XY diagram, outline) can be sent as e-mails directly from XTR WinControl . In order to do this, choose the function "Send as Email" in the "File" menu.

If this function is called, the e-mail program set up on the computer will start and generate a New Message. The value file of the active window will automatically be attached to this message. All you have to do is find the requested address and send off the value file.

Attention!

If mail delivery is active in case of an alarm, please consider the paragraph Special settings for sending alarm messages via eMail.


Merge

Using this command it is possible to merge data files that have been created using XTR WinControl . You can merge files whose data was recorded at the same and/or different times.

Two ways of linking files are available:

· Add:
Measurement data from other files are added to an existing file. The data file must be open for this purpose.

· Merge:
Several data files are merged to form a new data file. The source files remain unchanged.

More:

Adding files

Assembling files

Dialog "Merging files"


Adding files

To do so, open one of the files that you wish to merge (the viewing mode is irrelevant) and then use the File/Merge command or the Merge command found in the context menu (activated by clicking in the window with the right mouse button). Once you have done this, a standard file dialog box will appear, from which you can select one or more files to be merged with the one that you opened previously. Confirm your selection with OK.

As it is common under Windows, multiple selection is made by selecting file entries (with the left mouse button) while holding the <Shift> key for one area or holding the <STRG> key for individual files.

Attention!

The resulting file will display a time range that is calculated using the sum of both files; this also applies to the ranges of the y-axes. The newly created merged file will have the same name as the output file. This means that if you use the File/Save command, the original file will be overwritten. It is therefore recommended that when using Merge, you also use the File/Save as command.

If the standard file dialog is confirmed with OK and there is more then one file to add, a dialog will open that lists all files to be linked. XTR WinControl processes this list and indicates the current progress by means of symbols and text. If applicable, the system will issue warnings and information in the list (cf.: Dialog "Merging files").

If you attempt to merge files that contain the same channels and/or channel numbers with data from different sensors, an error message will appear and the process will be cancelled.


Assembling files

The menu File/Merge/Merge... lets you automatically transfer values and additional information from several data files into a new data file. The files to be merged have to be located in one directory. The selection of which files are to be used is made in a dialog in which you can select a pattern for the file name, a time frame and a selection of channels kann.

The result will be displayed as an unsaved data file in a new programme window. The type of display (overview, table, line or XY diagram) is based on the information taken from the source files. If applicable, the display as diagram will automatically open the properties dialog if not enough display information (axis, lines, areas ...) is available for all channels.

All are comfortably made in a dialog:

Source directory:

The source directory is the directory in which the files to be merged are located. The complete path is to be entered. The button “…” is used to open a dialog in which you can select the desired directory by simple mouse click from the PC’s directory structure.

A small arrow at the right edge of the entry field is used to show a list that contains the recently used directories. You can simply choose the desired directory from this list.

It is, of course, also possible to enter the path directly into the entry field.

Note: The source directory is the only information that is essential. If no other setting is made, all *. XTR files are merged in the source directory.

File name pattern:

This field can be used to enter information on which file names are to be used. Entry of sub-directories is not admissible. The ending . XTR will be added automatically.

You can use any symbol that is admissible for file names, plus the wildcard characters * and ?.

The character ? stands for any symbol, the character * replaces any sequence of characters (also empty sequences!).

Example:

Pattern

File selection

*

All data files in the source directory

???

All data files in the source directory whose name consists of any three characters.

2008*

All data files in the source directory whose name begins with 2008.

2008.05.??-*

All data files whose name begins with "2008.05.", followed by any two characters and any number of characters preceded by "-".

In case of daily files with automatically allocated names, this example would affect all files generated in May 2008.

*autosave*

All data files whose name contains the sequence of characters "autosave“.

Time frame:

Activating the option “Only take over data from“ and/or ”Only take over data until“ lets you control the entry fields for data and time.

If one of these options has been activated, the corresponding data entry field must contain a valid date. Entering a time is optional: if no time is entered, the time "00:00:00" will be used for the “Data from” option, and the time "23:59:59" will be used for the “Data until” option.

If beginning and end of a time frame are entered, the beginning must be a lower value than the end. All values in the indicated area will be taken over into the new data file. All other values will be neglected. If only the end of a time frame is entered, only values older than this time frame will be considered.

If only the beginning of a time frame is defined, only those values are taken over that are younger than this time frame.

Example:

Start | End | Values
Not entered | Not entered | all
01.01.2008 | Not entered | All values recorded on 1 January 2008, 00:00:00 and later.
01.01.2008 | 31.01.2008 | All values recorded between 1 and 31 January 2008 (including data recorded on these dates).
01.01.2008 12:00:00 | 01.01.2008 18:00:00 | All values recorded on 1 January 2008 between 12:00:00 and 18:00:00.
Not entered | 31.05.2008 | All values recorded until and including 31 May 2008.

Channel selection:

Activating the option “Only take over values from the following channels“ lets you enter your selection of channels to be considered in the corresponding field. If this option is not activated or if the entry field is empty, all channels will be considered.

Channels are entered in the format DeviceNumber.ChannelNumber. Several channels are to be separated by commas, e.g.:

0.0, 0.1, 0.2, 1.0, 1.1, 2.3

Connected channel areas within one device can be abbreviated as a list in the format channel a – channel b, so that the example above could be written as follows:

0.0-0.2, 1.0-1.1, 2.3

Information in the list can also include channels that do not necessarily exist. For instance, 3.0-3.99 can include all channels within device no. 3.

If the dialog "Merge Files" is confirmed with OK, a dialog will open that lists all files to be linked. XTR WinControl processes this list and indicates the current progress by means of symbols and text. If applicable, the system will issue warnings and information in the list (cf.: Dialog "Merging files").


Dialog "Merging files"

If the standard file dialog is confirmed with OK, this dialog will open. It shows a list of all files to be linked and the current processing status:

The column "Status" visualises the current processing status of the file. The column Remarks contains detailed information.

· no entry: file has not yet been processed.

· in process: this file is currently being analysed.

· OK: data has been successfully taken from this file.

· Warning: no data has been taken from this file, as either none of the channels indicated exist or no data was found in the file that correspond to the given time frame.

· Error: errors have occurred while accessing the file or processing the data.

Note: Data will only be taken over if the channel information from the current source file corresponds to available information, i.e. at least the sensor and the unit of one channel must be corresponding. If this is not the case, the software will return a warning and offer the following opportunities:

· no channel from the current source file fits the existing data: the process can be aborted or continued with the next file.

· several channels do not fit the existing data: there is a choice of taking over data from other channels, continuing with the next file or aborting the process.

The button “Exit“ lets you abort the merging process. Please take into consideration that data processing requires a lot of work and the reaction time might be a bit delayed!

Once all files from the list have been processed, the dialog remains open for information, and the button “Exit” will be replaced with the button “Close”.

If no data has been taken over into the new file, because

· no data was found that fits the pattern,

· none of the files could be opened,

· none of the channels indicated was contained,

· no channel was found in the given time frame,

the properties dialog will be opened for renewed entry following display of a corresponding note.


Data Reduction

The function File / Data Reduction was introduced for the evaluation and reduction of saved data. This function is used to receive cyclical messages on time. As usual, this function is only available when the set of data that it can be applied to is displayed in the active window.

More:

Dialog "Data Reduction"


Dialog "Data Reduction"

After calling the function File / Data Reduction, the dialog "Data Reduction" will appear, in which a cycle time can be selected during which cyclical averages are calculated. A new file is created, containing all channels chosen from the list of the original file and whose data are the calculated cyclical averages.

As usual, all XTR WinControl display and edit options are available for such a file:

Tip!

The advantage of cyclical messages on time versus cyclical messages via a number of values is that a precise average for the required time period can be calculated even if there is no constant number of values for this period.


Print Preview

This command lets you preview bar graphs, line diagrams, X/Y diagrams, data tables and the channel list before printing. By clicking on the Close button you will be returned to the main program window without printing. Clicking on Print will send the information to your printer for printing.

If the function File / Print Preview is called for a line diagram that does not show the entire time frame, first of all a dialog will appear in which you can choose whether you would like to be shown the currently displayed section of the active line diagram on one page or the total file on several pages in the preview. Depending on your choice, the respective page or pages will be shown. For a preview of several pages, the size of the time frame on each page corresponds to the size of the time frame of the line diagram that was active at the time of calling.


Print

This command controls printing. Before using this command you need to have installed a Windows printer. If this printer is not set up as a standard printer, then you need to select it from within this program.

Information regarding the installation of printers can be found in your Windows documentation. Further information on selecting a printer can be found in the "File/Printer Setup" section.

Print Icon

To print the channel list, a line diagram or a bar graph you can click on the "Print" icon. This will print the active window within XTR WinControl using the current print settings.

More:

Print Dialog Box


Print Dialog Box

In this dialog box you can set various parameters for printing. The following options are available.

Printer

This field shows the name of the current printer and its connection to the computer.

Print Range

In this field you can select the pages to be printed.

· All - This will tell the printer to print all pages (this is only relevant when printing channel lists)

· Pages - In this field you can enter a range of pages that you wish to print.

Number of Copies

In this field you can enter the number of copies that should be printed.

Collate copies

If you are printing multiple copies of a document, then activating this check box will make XTR WinControl sort the copies that you print.

Setup

It is possible to change the printer setting and its connection to your computer. See Printer Setup for details on how to do this.


Print Values between Cursors

Starting from the position of the two cursors, the function File / Print Values between Cursors generates a table for a line diagram, which contains the values of the area between the cursor positions for each channel of the displayed file. The number of values is limited to 100 per channel, beginning at the left cursor position.

Dialog "Selection of Channels to be Printed"

In the dialog "Selection of Channels to be printed" you can determine whether all or only a selection of the channels in the file are to be displayed or printed in the table view mode. The print of the table contains the comment and the number of the channels as well as the date of the print. Furthermore, a one-line comment can be entered for the table. The comment of the data file is used as default setting.

Dialog "Print Data"

The button Continue opens the dialog "Print Data", where the table to be printed can be viewed. After confirmation with OK, the standard print dialog is opened and printing is carried out as usual.

Attention!

This function is only available for line diagrams with cursor view mode.


Print Protocol

In order to embed a line diagram into a protocol and to print it, the diagram window in XTR WinControl has to be activated. The sub-menu "Print protocol" will be available in the context menu and in the "File" menu. It lists all protocols of the directory set. Clicking on one of these protocols will execute the operation that has been set (open or print immediately).

Note:

· The opening of protocols (with manual printout) has been successfully tested with OpenOffice 1.1, Wordpad and Microsoft Word.

· Immediate printing was supported by Wordpad and Microsoft Word. When attempting to use OpenOffice, Microsoft Word was started.

· The protocols generated are written into the temporary directory of the operating system. The name is composed of the protocol template as well as date and time. When exiting XTR WinControl or one hour following the printout, the files will automatically be deleted from the temporary directory. Should a different programme be using these files at that time, they need to be deleted manually or via operating system functions at a later time.

Note: For detailed information see Line diagram - Print Protocol.

Print protocol

settings

The section [Settings] in the configuration file XTRWinControl.ini will use the entry ProtocolTemplateDir to refer to a directory that is searched for protocols. Should this entry not exist, the protocols will be searched in the sub-directory "ReportTpl" in the XTR WinControl directories.

The entry ProtocolOperation determines which operation shall be executed when printing the protocol. The instructions open and print are available, with the latter being the default operation. If the operation print has been set, the protocol will be printed immediately with the application set in the operating system for the print of rtf files. If the operation open has been set, the protocol will be opened with the application set in the operating system for the opening of rtf documents. The actual printing process has to be triggered manually. This second method particularly offers the advantage that the protocol can be viewed and, if required, modified manually prior to printout.

Tip!

Please refer to the chapter find the configuration file to see how to find the configuration file XTRWinControl.ini and other relevant information.

Example:

[Settings]

ProtocolTemplateDir=C:\Protocols

ProtocolOperation=open

Explanation:

The settings shown in the example mean that XTR WinControl will search the templates in rtf format in the directory "C:\Protocols". When executing the function "Print protocol", the corresponding protocol will be opened with the application set in the operating system for the opening of rtf documents (no automatic print-out).


Page Setup

Margins can be adjusted individually for printing of diagrams and lists. To do this, call the function File/Page Setup. In the dialog that opens you can change margins. Values are in mm and allow a range between 10 and 50. Entered values are saved with OK. The margins are set for the print of all XTR WinControl objects.


Printer Setup

This command will show you a list of printers installed in your system. Select the dialog Printer Setup to set a special printer as default and to select further print options for the desired printer.

More:

Dialog "Printer Setup"


Dialog "Printer Setup"

The Printer Setup dialog box lets you select the desired print parameters based on the dialog options listed below.

Printer:

Indicates the name of the printer to be used and the printer connection. The printer set as default in the operating system will automatically be selected. In order to use a different printer, select it from the list of available printers. Please refer to your Windows documentation for information on printer installation.

Format:

Determine the printout format: portrait or landscape. To make your selection, click, with your left mouse button, on the button to the left of the texts.

Paper:

Make your selection from the list, choosing your paper and paper feed.

Options:

Controls print options for the standard or special printer selected. The options available to you may vary, depending on which printer driver has been installed. Click on the Options and then on the Help button for help on the printer selected.

Network:

Connects your computer with a network printer. This button is only available if your computer is connected to a network. Click on the Options and then on the Help button for help on network printers.


File Name List

The list of up to four file names that appears in the lower part of the "File" menu enables the user to quickly load a recently accessed file (line diagrams and data tables). To do so, either select the corresponding number or click on the file name.


Load Configuration

Using this command it is possible to load a program configuration. It is, however, necessary to have previously saved such a configuration using the File/Save Configuration command. Providing the measuring device connections to your computer are identical to the setup that you were using when you saved the configuration, it will be possible to poll data using all your previous settings without having to manually re-enter any settings.

Giving this command will call up a standard file dialog box in which you should enter the configuration’s file name, source drive and its directory.


Save Configuration

Using this command it is possible to save a program configuration. This command can be found under the "File" menu. Using the File/Load Configuration command it is possible to load a saved configuration at a later stage. Providing the measuring device connections to your computer are identical when loading the saved configuration, it will be possible to poll the data using all your previous settings without having to manually re-enter any settings.

Giving this command will call up a standard file dialog box in which you should enter a file name for the configuration, its file type and the destination drive and directory.


Load Calculation Channels

Both the global calculation channels contained in the channel list and the local calculation channels contained in the data files can be saved as lists in a file (File/Save Calculation Channels). If required, a saved list can be loaded in one step, so that the calculation channels need not be re-defined with saved formulae.

In order to load previously saved calculation channels into a channel list, activate the channel list and call the function File/Load Calculation Channels. Select the requested file in the standard file dialog that will appear and confirm with OK. The calculation channels defined in the file will then be entered into the channel list. If the channel list already contains a calculation channel with the same number as defined in the file, you will be asked whether you would like to replace the existing channel.

Attention!

The global calculation channels of the channel list which have been saved in a file cannot be loaded as local calculation channels into a data file and vice versa!


Save Calculation Channels

Both the global calculation channels contained in the channel list and the local calculation channels contained in the data files can be saved as lists in a file. If required, a saved list can be loaded in one step (File/Load Calculation Channels), so that the calculation channels need not be re-defined with saved formulae.

In order to save the list of global calculation channels, activate the channel list and select the function File / Save Calculation Channels. The dialog "Save Calculation Channels" will appear, in which you can choose from the list of existing calculation channels. After confirmation with OK, a standard file dialog will appear, in which you select a directory, enter a file name and confirm with OK. The selected calculation channels will be saved as a list in a file with the file extension "mth".

In order to save a list of local calculation channels, activate the requested data file and execute the function File/Save Calculation Channels.

Attention!

As the global calculation channels of a channel list which have been saved into a file cannot be loaded into a data file as local calculation channels and vice versa, they should be clearly identified when entering the file name.


Save As Template

The display properties of XTR WinControl measurement data files can be saved into a separate file format. These files are called "Templates".

When the data file is activated, call the menu function File/Save As Template. A standard file dialog will appear, in which you can choose the directory, enter the file name and save the display properties of the selected data file as a template in a file with the file extension "amv".


Use Template

Display properties that have been saved as templates (File/Save As Template) can be used for an existing XTR WinControl data file. The existing data file will then be displayed with the properties of the template.

Tip!

All measurement channels included in the file, but not in the template, are set to "invisible". The settings of invisible channels can be changed in the properties of the measurement file after template was applied.

When the data file is activated, call the menu function File/Use Template. A standard file dialog will appear, in which you can choose the desired template. After confirmation with OK, the display properties of the selected template are entered into the existing data file and the values are displayed according to these properties.

Tip!

The tool bar features the button Use Template. One click on this button with the left mouse button will show a list of all templates saved in the directory of XTR WinControl . Select the desired template from this list or open the standard file dialog via the entry "Browse" in order to find the requested template in a different directory.


Log Off

The command File/Log-off user lets you log off the user currently logged on. A dialog will appear in which you can enter a user name and password (cf. Log-on user).

Tip!

The XTR WinControl option Password Protection provides you with a number of detailed setting options. For instance, the command Settings/Password Protection lets you issue or withdraw authorizations for each individual XTR WinControl function.

Attention!

The XTR WinControl password protection is optional and not available in every version of the programme. If the password protection option has not been activated, the command File/Log Off is not available.


Exit

The File/Exit command will close all current windows and then exit XTR WinControl . If any of the current windows have been changed since they were last saved, then you will be asked if you want to save these changes before exiting. With Settings/Others, you can prevent this prompt from appearing. XTR WinControl will then exit without any prompts and will discard all your changes.

Other ways of closing XTR WinControl are:

· By double clicking with the left mouse button on the system menu or

· By using the <ALT+F4> keyboard shortcut.

·


The Edit Menu

Commands that are listed in the "Edit" menu will only be made available when a line diagram, X/Y diagram, data table or file summary window is active.

More:

Copy

Cut

Paste

Delete

Undo

Redo

Select all

Add Calculation Channel

Calculation Channel Properties


Copy

If you use this command, the contents of the active window will be copied to the clipboard as a line or X/Y diagram. You can insert the line or X/Y diagram into another program using the Edit/Paste command within that program.


Cut

Moves the selected text from the active window into the intermediate memory.


Paste

Inserts the content of the intermediate memory into the active window.


Delete

Deletes selected text and graphical elements (objects).


Undo

This command is used to undo the command that was carried out last.

Attention!

In line diagrams this command can undo visual property changes only. But it is impossible to add or remove measuring channels or measurement data using this command.


Redo

Repeats the command / action that was last carried out.

Attention!

In line diagrams this command can undo visual property changes only. But it is impossible to add or remove measuring channels or measurement data using this command.


Select all

Selects all texts and graphics (all objects) in the active window.


Add Calculation Channel

If you just want to display a calculation channel as part of a line diagram or data table (i.e. a local calculation channel), then you can define its properties by entering the command Edit/Add Calculation Channel.

More:

Dialog "Add Calculation Channel"

Deleting a local calculation channel


Dialog "Add Calculation Channel"

Using this dialog box you can define the properties for a calculation channel using the data of the active window. The following options are available in this dialog box.

Channel:

You should enter the number of the new calculation channel in this field.

Attention!

The XTR WinControl program automatically prefixes the number that you enter in this field with "90". This is to prevent the same channel number from being assigned twice.

Comment:

Like the other device channels, calculation channels can have comments added to them (maximum 10 characters). These comments appear next to the channel number to help identify the type of measurements being made on it.

Unit:

A unit for the value to be calculated can be entered into this field (3 characters).

Lower/Upper Limit:

Enter the desired limit values in the appropriate field boxes. A decimal point should be used as the decimal separator.

Decimal Places:

The number in this field determines how many decimal places should be shown for the calculated value. Regardless of the number of decimal places entered in this field, the calculation is correct to six decimal places.

Formula:

This field contains any formula you wish to use in calculations. Please note the formula guidelines (cf.: Formulae).

It is possible to save a formula and to use it again later on. To do so, use the Save and Load buttons that appear in this window. By clicking once on one of these buttons with the left mouse button, the standard dialog box for saving and loading data will appear. If you wish to save a formula, enter a file name. Alternatively, if you want to load a file, click on its name. Both actions can be confirmed by clicking on OK.

Standard editing functions apply for editing formula in this window.

Accept Changes

By clicking on OK with the left mouse button the values that appear in the "Add Calculation Channel" dialog box will be accepted and entered into the current data set. XTR WinControl will then apply the values and formula entered in this dialog box to the current samples. These settings will also be applied to any new samples. The results of such calculations will appear in the active diagram.

To display the data in a line or X/Y diagram, use the properties dialog box that should appear after confirming your entries with OK. The corresponding dialog box can be used to assign an axis to the channel and make other settings.

Call!

Other way of selecting this command are:

· By clicking once in the diagram window with the right mouse button and selecting Add Calculation Channels from the context menu.


Deleting a local calculation channel

To delete a local calculation channel from a diagram, open the properties dialog box for the diagram or data table in which it appears and deselect the channel in the channel list.


Calculation Channel Properties

If you wish to check or change the properties of a local calculation channel, then you should open the corresponding dialog box using the Edit/Calculation Channel Properties command.

More:

Dialog "Calculation Properties"

Deleting a local calculation channel


Dialog "Calculation Properties"

Using this dialog box you can change and/or add comments, units and limit values to the selected calculation channel(s). To select a calculation channel, click on it with the left mouse button under the "Channel" heading. In the list box that appears, click on the desired channel.

If you wish to alter the number of decimal places and/or change the formula then you must redefine the channel. To do so, delete the old calculation channel from the data set and select the Add Calculation Channel command. You should then set the properties for this channel.


Deleting a local calculation channel

To delete a local calculation channel from a data set, open the properties dialog box for the diagram or data table in which it appears and deselect the channel in the channel list.


The View Menu

The commands that appear in this menu let you control how your data is displayed. Please note that each item listed in this menu only appears if it can be applied to the window that is active at the time.

More:

Properties

Remarks

Channel Comments

View as Line Diagram

View as Data Table

View as X/Y Diagram

View as Summary

Cursors

Always show all

Show All

Undo Zoom

Zoom


Properties

The View/Properties command will open up the properties dialog box for the currently active window allowing you to change its settings.

Call!

Other ways of giving this command are:

· By double clicking in the window with the left mouse button.

· By clicking once in the window with the right mouse button and selecting the Properties command from the context menu or.

· By pressing <ENTER>


Remarks

Remarks can be added to each data file for detailed documentation. One option is to add "free" remarks, i.e. without reference to a time point. Another option is to add remarks with a time stamp, e.g. remarks on measurement progression. For this type of remarks, the time axis of the line diagrams is marked according to the time stamps.

Naturally, the remarks are saved together with the file they relate to and are available at any time.

Remarks are added to a data file with the menu function View/Remarks. The desired remark can be entered in the dialog box that opens. This dialog can also be opened via the context-sensitive menu of the respective view mode of the data file.

For time-related entries, click on the button New Remark with the left mouse button. The table is extended by one row, which already contains the current date and time. You can enter your text into the column "Remarks". Press OK to save this remark, and a mark will appear automatically on the time axis of the line diagrams.

In order to make an entry without time reference, you can either delete date and time or insert a row into the table.To do this, mark one row of the table by clicking on the first element in a row with the left mouse button and then use the key <Insert>. Should the table not contain any entries, mark the head of the table before inserting.

The button Print is used to print the entire table.


Channel Comments

If no comments were or could be agreed for the measurement curves, the function View/Channel Comments can be used to add comments. Existing comments can be edited via this function.

The dialog "Channel Comments" contains a table with all channels contained in the data file and their comments (there may be no entry). Changes can be made in this table and saved with OK.

This function is only available for saved files (offline), as otherwise these changes would be immediately replaced with the comment entered in the device.


View as Line Diagram

This command will display your data as a line diagram. If there is important information missing to create the line diagram, then the properties dialog box will appear. Enter the appropriate settings in this dialog box and confirm them with OK, the line diagram will then be displayed using these settings. It is also possible to change these properties at a later stage by calling up the properties dialog box.


View as Data Table

This command will display your data in a table. If there is important information missing to create the data table, then the properties dialog box will appear. Enter the appropriate settings in this dialog box and confirm them with OK, the data table will then be displayed using these settings. It is also possible to change these properties at a later stage by calling up the properties dialog box.


View as X/Y Diagram

This command will display your data in an X/Y diagram. If there is important information missing to create the X/Y diagram, then the properties dialog box will appear. Enter the appropriate settings in this dialog box and confirm them with OK, the X/Y diagram will then be displayed using these settings. It is also possible to change these properties at a later stage by calling up the properties dialog box.


View as Summary

This command will display your data in a summary window.


Cursors

In order to analyse the course of a curve in a line diagram, two cursors can be activated via the function View/Cursors.

Activated cursors are shown as two vertical lines in the diagram, and a table in the bottom part of the line diagram window shows the data of all lines below the cursors.

Furthermore, the integrated statistics function calculates the following values for each curve in the line diagram:

· Difference between the two values below the cursor

· Minimum, maximum, average and standard deviation of the area within the cursors

These values will be listed in the table as well.

Repeated calling of this function deactivates the cursors.

This function is also available in the context-sensitive menu of the respective diagram.


Always show all

If this option is activated then the lines in the diagram are not moved to the left if the present data leaves the visible area but the present scaling is enlarged so that all so far visible data and the new data can be seen. The adjustment of the scaling applies to the X- axis as well as the Y-axis of the diagram.


Show All

The function View/Show All is used to switch between partial view of a line or XY diagram and total view. This function is also available in the context-sensitive menu of the respective diagram.


Undo Zoom

Having used the mouse zoom function on a line or X/Y diagram, this command effectively zooms out and returns your view to the x and y-axis ranges that were in effect prior to using the mouse zooming function.


Zoom

This zoom function has been specifically designed for editing and modification of project drawings. The active project drawing can be enlarged or collapsed, as requested.


The Data Menu

The commands that appear in this menu let you control polling and the display/saving of data.

More:

Polling

New Line Diagram

New Bar Graph

New Value Display

New Analog Instrument

New Data Table

New X/Y Diagram

New Excel Connection

New Project Drawing

New OPC Export

AutoSave

Automatic print of automatically saved files

Averaging

Delete Samples


Polling

With Data/Polling you can start and stop the polling of data. Before starting polling, you can make all settings you want. You can also then start and stop polling at a defined time.

When polling is stopped, the "dt" field in the status bar reads "dt:STOP". When polling is enabled this field displays the sampling rate.

Call!

Other ways of giving this command are by:

· Clicking on the red Start/Stop icon in the toolbar with the left mouse button.

· Pressing <F12>


New Line Diagram

This command will open a new line diagram. The "Line Diagram Properties" dialog box will appear, which gives you control over the diagram’s properties. When you have entered the properties for your diagram, just click on OK and a new line diagram will appear (cf.: Dialog "Line Diagram Properties").

Tip!

To create a new line diagram with the properties of a template, use the split icon in the tool bar.

As usual, a dialog for the creation of a new line diagram is opened when clicking on the left part which shows a diagram.

Clicking on the right part of the icon (triangle) will open a menu which lists all templates available in the program directory or any defined directory (see also: creating line diagrams from a template).

Call!

Other ways of giving this command are:

· Clicking once on the "Line Diagram" icon in the toolbar with the left mouse button.

· By pressing <F5>


New Bar Graph

This command will open a new bar graph. The "Bar Graph Properties" dialog box will appear, which gives you control over the graph’s properties. When you have entered the properties for your graphs, just click on OK and a new bar graph will appear (cf.: Dialog "Bar Graph Properties").

Call!

Other ways of giving this command are by:

· Clicking once on the "Bar Graph" icon in the toolbar with the left mouse button.

· Pressing <F6>


New Value Display

This command will open a new value display. The "Value Display Properties" dialog box will appear, which gives you control over the display’s properties. When you have entered the properties for the display, just click on OK and a new value display will appear (cf.: Dialog "Value Display Properties").

Call!

Other ways of giving this command are by:

· Clicking once on the "New Value Display" icon in the toolbar with the left mouse button

· By pressing <F7>


New Analog Instrument

In order to open a new window with an analog display, carry out the command Values/New Analog Instrument. You will first see the dialog "Analog Instrument Properties", in which you choose the desired properties. A new analog instrument with the selected properties will be opened after pressing OK (cf.: Dialog "Analog Instrument Properties").

Call!

This command can also be carried out by clicking once, with the left mouse button, on the icon for "Analog Instrument" in the tool bar.


New Data Table

This command will open a new data table. The "Data Table Properties" dialog box will appear, which gives you control over the table’s properties. When you have entered the properties for the table, just click on OK and a new data table will appear (cf.: Dialog "Data Table Properties").

Call!

Other ways of giving this command are by:

· Clicking once on the "New Data Table" icon in the toolbar with the left mouse button

· Pressing <F10>


New X/Y Diagram

This command will open a new X/Y diagram. The "X/Y Diagram Properties" dialog box will appear, which gives you control over the diagram’s properties. When you have entered the properties for the X/Y diagram, just click on OK and a new X/Y Diagram will appear (cf.: Dialog "X/Y Diagram Properties").

Call!

Other ways of giving this command are by:

· Clicking once on the "New X/Y Diagram" icon in the toolbar with the left mouse button.

· Pressing <F11>


New Excel Connection

In addition to the possibility to export data to MS Excel in blocks both offline and during the measurement, data can also be transferred online during the measurement cycle.

When calling the function Data/New Excel Connection, you will, as usual, first be asked for the properties of the object "New Excel Connection" and, after entering the corresponding data, a window will be opened which contains information on the status of the connection.

As with all data objects of XTR WinControl , any number of windows of the type "Excel Connection" can be opened (i.e. several Excel connections can transfer values simultaneously), with the allocation of channels being freely defined. Of course, as with all other objects, only a limited number is advisable.

More:

Dialog "Excel Connection Properties"

Window "Excel Connection"


Dialog "Excel Connection Properties"

The dialog "Excel Connection Properties" is used for settings of the following topics:

Channels:

The channels requested for transfer can be selected by a single mouse click on the corresponding list entry.

Type of Data Transfer

You can determine whether the data is to be transferred into Excel continuously or whether the values should always be entered into the same cells (as instant values).

Labels

This is where you stipulate whether the data shall be transferred together with time, date and channel comments or not.

Workbook

In the field "Workbook" you can stipulate the Excel workbook (file) into which the values are to be transferred. If this file does not exist, it will automatically be created. The button Browse opens a standard file dialog to search and select a certain file on the hard disk.

Table

The field "Table" defines the requested table within the stipulated workbook. If the table does not exist, it will automatically be created.

Start Cell

This is where you indicate the position for the values to be entered into the table.

Access Method

In this field you can determine how to process data that might already have been saved into an existing file. The following options are available:

· Insert / replace data: Beginning at the start call, all existing entries are replaced by new data; entries in other cells remain unchanged.

· Attach data: The new data is added to the document after the last row containing data. Existing entries remain unchanged.

· Delete / replace data: All existing entries in the target table are deleted. New data is entered from the start cell.

Accept Changes

After confirmation with OK, the window "Excel Connection" will appear, showing information about this connection. The data is not transferred yet. To transfer data during a measurement, click Start in the window "Excel Connection". If you click on the button Start Now, data is transferred to Excel during the measurement, after confirmation of properties and opening of the window.


Window "Excel Connection"

The window "Excel Connection" shows some information on the connection. The "Status" area verbally describes the current status of the connection.

Start and Stop activate and interrupt the Excel connection. Properties opens the properties dialog for this connection. Note that the properties dialog can only be opened while transfer is interrupted.

Attention!

If the user intervenes into the data transfer process to Excel (opening of dialogs), the transfer is stopped (the OLE server interrupts its service). As XTR WinControl continues to store data and buffers them until transfer can continue, an increasing memory volume is required, depending on the measurement rate and the channels to be transferred. It is therefore advisable not to carry out the following commands, or, if need be, carry them out rapidly or in several steps so as not to endanger the data transfer and the operation of the computer in general:

· Open File

· Close File

· Arrange window

· Rename Table

· Start wizards (e.g. diagram wizard)

· Lenthy editing of cells

Attention!

The online data transfer is only available in connection with MS Excel Version 97 and later.


New Project Drawing

XTR WinControl features the option to display the measurement structure in a particular window. Graphics (bitmaps, enhanced metafiles), text boxes and the captured data can be displayed in data fields (only number and frame) at any random position.

To create a project drawing execute the menu function Data/New Project drawing.

In order to define the properties of the project drawing, open the menu View/Diagram properties and then Diagram properties in the context menu, or press <Enter> to open the corresponding properties dialog.

In order to insert objects into a project drawing, choose the function Edit/Insert Object… Drawing objects (lines, polygons, etc.) can be inserted with the function Edit/Draw.

Any number of objects of every type can be integrated into one project drawing, and any number of project drawings can be active in the program simultaneously. Among others, this feature can be used to display both overall and partial views of a project at the same time.

Further information - see: The Project Drawing Window.


New OPC Export

In addition to exporting measurement data to Excel on-line, XTR WinControl also offers the option to export each channel and each calculation channel to any number of OPC servers online.

As XTR WinControl functions as client, export is possible to any OPC server that supports the standards "OPC Data Access", versions 2 or 3, and can be accessed via the existing computer network.

In order to create a new OPC export, execute the menu function Measurement values/New OPC export. The window "WinControl OPC Export" will appear, which shows information on the export (cf.: The OPC Export). Clicking on the button Properties… will open the dialog "OPC export properties", in which all settings for this OPC export can be made (cf.: Dialog "OPC Export Properties"). The settings for the OPC export can be saved and used again, as well as adjusted, at a later time.

Attention!

This function is not available in all XTR WinControl versions. When this function is acquired, a detailed description will be provided. We will also provide this description individually upon request.


AutoSave

To automatically save data to the hard disk of your computer, whenever polling is enabled, use the command Data/AutoSave. The resulting dialog box contains different register cards on which the options are sorted according to functional groups. On these register cards you can select the channels from which the data should be saved, define the start and the end of AutoSave, path and name of data file, settings for averaging, conditional data accepting and sending Emails (with data files).

As a reminder of which channel’s data is being written to your hard disk, a small hard disk symbol ( [image] ) appears in the channel list next to those channels.

Tip!

If the Optional Test Bench Manager has been activated with several Autosave managers, the Test Bench Manager window will open whenever Autosave is started (cf.: The Test Bench Manager). It shows a list of all Autosave activities that have been set.

Irrespective of the present page, three buttons can be found in the lower section: "Start…", "Close…" and "Help". "Start…" will ask for a target for the file(s) afterwards the saving begins.

If AutoSave is already active when opening this dialog, then all input fields are gray and no changes are possible. The start button will change to "Stop", which will end the auto save.

If in Options/Other the "Write to file when polling is enabled" check box is active, then the AutoSave dialog box will open whenever you start polling for the first time.

Call!

Other ways of giving this command are by:

· Clicking once on the "Hard Drive" icon in the toolbar with the left mouse button

· Pressing <F8>

Dialog "AutoSave"

All settings for saving data to the hard disk of your computer, whenever polling is enabled can be made in the dialog "AutoSave".

The channels from which the data should be saved, special options for auto save and the settings for to established files can be select on following register cards:

More:

Register Card "Channels"

Register Card "Averages"

Register Card "Condition"

Register Card "Start"

Register Card "Files"

Register Card "e-Mail"

Register Card "Keep Settings"


Register Card "Channels"

All settings for channel selection, averaging and file comments are made on the register card "Channels".

Comment:

In the "Comment" box you can enter a comment which relates to the data that is to be saved. This comment, which can contain as many characters as you like, will be displayed when you open the file.

Channels to Save:

After opening the dialog, all channels that are available in the system for entering into the measurement data file are listed in the table "Channels to Save". Select from this table all channels whose values are to be saved by clicking, with the left mouse button, on the control box left of the channel description. In order to select all channels, select the first column of the table and click on Select All. In order to deselect all channels, also select the first column of the table and click on Deselect All.

In order to select a column of the table, move the mouse pointer to the top row of this column so that it changes into an arrow that points vertically down. Click once with the left mouse button to select the column. In order to undo the selecting of a column, click once, with the left mouse button, into any element of the table (except top row).

Save only averages:

In order to stipulate that, instead of the data, cyclical averages are to be saved for a channel, click on the control box in the column with the left mouse button. After selecting the column "Average", you can use the buttons Select All and Deselect All to select or deselect the function average of all channels.

The number of Samples to Calculate Average will be defined on the register card "Average".

Attention!

Cyclical averages of a channel can only be saved if this channel was selected for automatical storage (selected control box in the left column).


Register Card "Averages"

On the register card "channels", for each channel it can be determined if an average shall be made. On the register card "Average", the settings for this can be made. In the created file, the channels that have been selected for average will only show the average values, for all other channels all values are taken.

Average over a fix number of samples

With the option "Average over a fix number of samples", the average is calculated with a determined number of samples. The number of samples can freely be chosen. Whenever this number of samples applies, the average is calculated and is taken over to the file with the time stamp of the present measurement cycle.

Average of a variable number of samples

Instead of fix average, the value of a channel (preferably of a calculation channel) can determine through how many samples the average shall be calculated. For this, the option "The number of values is determined by the following channel" has to be activated and the relevant channel has to be chosen. If the value of the selected channel changes, the present average cycle is finished and the average values are transferred to the file. Afterwards a new average cycle is started according to the present value of the controlling channel.


Register Card "Condition"

On the register card "Condition", a channel and a condition can be determined which controls if values of the present measurement cycle shall be transferred to the file: only if the condition applies, the data is transferred.

Attention!

When combining Conditioned data transfer and Average Calculation, it has to be considered, that data of the measurement cycles are not included in the average calculation if the conditions of the data transfer is not fulfilled.


Register Card "Start"

All settings for beginning and end of automatic saving are made on the register card "Start".

It is possible to decide if the data should be saved immediately or on a certain day and/or at a certain time (by time) or by a special event. Simply click once on Immediately, By Timer or By Event with the left mouse button.

If the "By Timer" or the "By Event" option has been selected, then the input fields which previously appeared in grey will appear in black. This means that you can now enter data into these fields.

Attention!

If the "By Timer" or the "By Event" option appears in grey and cannot be selected, this means that it is not supported by the program version that you are running. Please contact your dealer or the program authors.

Entries for saving by timer

Start time

When the time set here is reached, measurement data will be recorded automatically.

Duration

You can set the period of time during which the measurement data is to be saved in a file. Days are indicated in integral numbers. Days can be combined with hours and minutes. You can also enter a value above 24 hours. The smallest unit supported is 5 min.

After expiration

You can decide whether the time-controlled automatic saving function is to be restarted after expiration. The following options are available:

· Do not repeat: the settings will be executed once and not started again.

· Repeat immediately: after the set duration, the next file will be generated immediately, over the same period of time. The start time given will not be adhered to in the repeat runs.

· Repeat at next Start Time: after expiration of the set duration, the generation of the next file will start at the set start time. The period set previously will be observed.

Tip!

When Autosaving files over a period of 24 hours or a multiple of that period, it is recommended to select the option "After expiration: restart immediately”.

File names are allocated automatically. They are composed of the date and time the respective file was created in the following format: yymmdd-hhmmxx, with the information "xx” being used for the (rather theoretical) case that several files are being generated at the same time.

If a text was entered into the entry field at the bottom of the dialog, it will be added as prefix to the automatically generated file name.

If the option "Ask for text to be added as prefix with each start” was selected, each time a new file is Autosaved, a dialog will open into which you can enter a text to be added as prefix to the part of the file name that is generated automatically. If no entries are made, the text set in the dialog "Autosave” will be added as prefix to the file name.

Tip!

If Autosave is exited before the user has confirmed the dialog for entry of a text to be added as prefix, this dialog will be closed automatically and the file name will remain unchanged.

Entries for saving by event

Use the option "event-controlled" to determine that start and end of the saving process are to be controlled by deviations from measurement values of a channel. Similarly to the function of a two-level controller, Autosave will start if the upper threshold value is exceeded. Saving will end if the values fall short of the lower threshold. The following entries are required:

Channel

Select the channel (or the calculation channel) from the list that is to be relevant for controlling the saving process.

Start Recording if the Measuring Value is greater than

Enter the value that needs to be exceeded to start AutoSave.

Stop Recording if the Measuring Value is less than

Enter the value that needs to be violated as a lower limit to stop AutoSave.

Text to be put in front of the created file name

File names are allocated automatically. They are formed according to the following principle, depending on date and time of creation: yymmdd-hhmmxx. The variable "xx" is a counter for the (theoretical) case that several files are created at exactly the same time. Even the file name consists of the fix name part, which may be entered in the dialog box.

Attention!

Saving data by event is only working successful in case of activated polling.


Register Card "Files"

All settings for saving the event log and converting the values are made on the register card "Files".

Automatically save Event List

In order to automatically save an event list, generated in case of alarm, in the form of an file, activate the option "Automatically save Event List".

The event list is then saved in the same directory and with the same name (but with the extension . xtrevt) as the data file.

Convert file after closing

After finishing a data file, this can automatically be converted into a different format where the original can either be kept or deleted. The file name of the converted file is created by the file name of the data file; the file extension will change to the one of the specific format.

Choose the requested conversion from the list in the lower part of the dialog.

If the files are to be transformed into a text format, open the dialog "Text Format" via the button Text… and define the file format.


Register Card "e-Mail"

On the register card "e-Mail", it can be determined if the event list or data file or both are send via email to one or more recipients. The definitions and basic settings of sending emails in case of alarm apply to the sending of emails here, too.

The entry of a subject and text is optional, however at least the entry of a subject is recommended. XTR WinControl warns if no text or subject is entered. At least one recipient has to be entered.

Attention!

If the event list is not automatically saved, no event list is send via email! If the data file has been deleted after conversion than this file cannot be send via email automatically! No Mail is generated if there is no file to be send!

Tip!

If it has been determined for auto save that the finished file is to be converted into a different format, this file also can be send via email. For this, it has to be determined in the initializing file XTRWinControl.ini that data files with a certain extension are send.

Example:

[Auto Save #0]

Attachments= XTR ;txt

Sends all files with the extensions " .xtr " and "txt".


Register Card "Keep Settings"

On the register card "Keep Settings", it can be determined by activating the option "Keep Settings" if the last made settings are kept when the program is restarted or when auto save is reopened.

If this option is not activated the dialog box with the standard settings is opened, otherwise the input fields of the following cards are pre entered with the last values:

· Channels

· Averages

· Conditioned data transfer

· Files

· e-Mail

· Keep Settings

The page "Start" has to be completed again each time!

Attention!

This register card does not exist if the optional "Test Bench Manager" has been activated.


Automatic print of automatically saved files

The XTR WinControl Menus > The Data Menu

Automatic print of automatically saved files

XTR WinControl can automatically print the data files generated with automatic saving whenever the file is closed. This function is applicable regardless of whether the data file was generated by way of generated, timed, or event-controlled saving.

Attention!

The automatic print function is optional and not available in all versions of the program.

More:

Data Table

Line Diagrams

Automatically print out Event List


Data Table

If the option "Print file as data table after closing" is activated on the register card "Files" in AutoSave, XTR WinControl will issue the captured data in table format, using the standard printer set in Windows.

Tip!

The data table thus printed will be generated under standard XTR WinControl settings. They can be changed by amending the configuration file XTRWinControl.ini (cf.: Change layout settings).


Line Diagrams

The XTR WinControl Menus > The Data Menu > Automatic print of automatically saved files

Line Diagrams

If the option "Print file as line diagram after closing" is activated on the register card "Files" in AutoSave, XTR WinControl will issue the captured data on defined printers.

Using different templates, the file can be printed on several printers.

Settings of Automatic print

In order to activate automatic print-out, two changes need to be made to the configuration file XTRWinControl.ini in the Windows directory:

The section [Auto Save #0 AutoPrint] has to be newly created. The templates and printers to be used are to be indicated in the format printer=template.

Printer is the name of the printer on which the print-out is to be made, whereas Template contains the entire path to the template to be used. If network printers are being used, information regarding the computer or printer server to which the printer is connected is to be given in addition to the printer name:

\\Server name\Printer name

Example:

[Auto Save #0 AutoPrint]

PDF Printer=C:\Templates\dayfile.amv

LaserJet=C:\Templates\all_temperatures.amv

LaserJet=C:\Templates\office_temperatures.amv

LaserJet=C:\Templates\laboratory_temperatures.amv

\\myserver\FS-1900=C:\Templates\all_temperatures.amv

\\myserver\FS-1900=C:\Templates\office_temperatures.amv

\\myserver\FS-1900=C:\Templates\laboratory_temperatures.amv

Explanation:

First of all, the file is put out on the virtual printer "PDF Printer", using the template dayfile.amv, which is converted into a PDF file. Then the file will be printed, using three different templates, on the printer "LaserJet", which is locally connected to the PC. Finally, the file (again with three templates) will be put out on the printer "FS-1900" connected to the PC "myserver" in the network.

Notes:

In Windows 2000, XP and Vista, the operating system will search the network for printers and show them in system control as follows

Automatic Printer to computer

or

Printer name to computer

this identification will sometimes also be used in the dialogs relating to printer selection and printer settings.

This identification must not be used in the section [Auto Save #0 AutoPrint], but must be brought into the format \\Computer\Printer name!

Attention!

Several virtual printers, such as programmes generating PDF files that are based on GhostScript, do not always implement a printer queue. This means that in case of several consecutive calls, each print order will interrupt the incomplete previous print order, resulting in only the last order being printed from the user’s perspective. It is therefore recommended not to activate more than one print job on such printers.

The templates to be used must be generated in XTR WinControl . It has to be ensured that templates match the file to be generated. It is therefore recommended to start automatic saving and to generate a short file.

Next, this file will be opened in XTR WinControl , displayed as a line diagram and then saved as a template (menu File/Save as template). Now the line diagram properties can be changed as required and can be saved as template several times over, until one fitting template is available for each illustration type.

Tip!

Channels that are not illustrated in a template should still be contained in the template but must be marked "invisible". Please refer to the chapters on line diagram properties and on generation / use of templates in your manual for further information!


Automatically print out Event List

Also on the Register card "Files" in the dialog "AutoSave" you can set-up the option "Automatically print Event List". It allows to print the event log if a automatically saved measurement file ends. It can be printed using any printer (local or in the network). You can define the printer in the configuration file XTRWinControl.ini in section [Settings] by adding the entry Eventprinter=PrinterName.

Tip!

Please refer to the chapter find the configuration file to see how to find the configuration file XTRWinControl.ini and other relevant information.

Examples:

Local Printer with the name "FS2000-D":
[Settings]
EventPrinter=FS2000-D

Network Printer with the name "FS2000-D" at computer "server":

[Settings]
EventPrinter=\\server\FS2000-D


Averaging

This mode does not directly save the data but the arithmetical average of n values. The variable n can be stipulated by the user for all diagrams, ranging from 1 to 100.

In order to do this, call the menu function Data/Averaging (when line or XY diagram or table are active). In the dialog "Averaging" that will appear, stipulate the number of values for which you want the average to be calculated.

You can choose from the channel list those for which only averages are to be saved.

Click on the respective control box left of the desired channel with the left mouse button.


Delete Samples

This command allows you to delete all the data that is displayed in a diagram or data table without losing the settings in the properties dialog box. This makes it quick and easy to reuse the properties settings for a new polling session.

Attention!

If this command is used on data that has been saved and the File/Save command is given afterwards, then the previously saved data will be lost. To avoid such a loss use the File/Save As... command in association with the Delete Diagram/Table Properties command to create a new file.


The Programming Menu

More:

Edit Channel Configuration

Calculation Channels

Switching Output Relays

Define Constants

Calibration

Display Status Report


Edit Channel Configuration

With this command it is possible to edit the channel programming values. Giving this command will open the "Properties for Channel List/Channels" with the ‘Channels’ window at the front. Using this window, it is possible to change the channel settings and programming. A complete description of this dialog box can be found in the section Channel List/Channel Properties.


Calculation Channels

The mathematical functions of the program allow for the calculation of physical sizes (values) from polled data.

Global calculation channels

If a calculation channel should be available to the whole system, then you should define it using the "Calculation Channels" window which can be found in the "Channel List/Channel Properties" dialog box (see also: Dialog "Add Calculation Channel"). To open this dialog box, use the Programming/Calculation Channels command.

Call!

Other ways of giving this command are:

· By double clicking with the left mouse button in the active channel window and selecting the "Calculation Channels" window.

· By clicking once with the right mouse button in the channel list window and selecting Calculation Channel from the context menu.

· By activating the channel list window, pressing <ENTER> and selecting the "Calculation Channel" window.

· By giving the View/Properties command within the channel list window and selecting the "Calculation Channels" window.


Switching Output Relays

Use the menu function Programming/Switch Output Relays for controlled switching of relays connected to an XStream / NGA system.

All devices in the system are listed under "Devices", whose output relays are connected. Select a device with one single mouse click on the entry.

After selecting a device, the current status of the connected relays are displayed and can be changed with one mouse click, with the left mouse button, on the button "Switch". Close will close the dialog, Help will show this text.


Define Constants

Constants can be defined to be accessed in the calculation channels. To do so, start the dialog "Define Constants" under the menu item Programming/Define Constants.

More:

Dialog "Define Constants"


Dialog "Define Constants"

All constants currently defined are listed in this dialog in alphabetical order.

In order to add a new constant, click on Add Constant… with your left mouse button and enter your data into the new line that will be created. Alternatively, select a line by clicking onto the field with the relevant line number and then press the button <Insert> (<Ins>).

In order to delete one or more constants, select the line(s) as described above and press the button <Delete> (<Del>).

Please note that the dialog can only be closed if all lines contain a valid pair of constant name and value, and no name has been allocated twice. Completely empty lines are considered to be valid characters and are always ignored.

Name Conventions

Combinations of figures and letters are permitted to form names, with the first character having to be a letter. Symbols and vowel mutations are not permitted. A name can consist of up to 20 characters. Constant names have to be unique, i.e. each name can only be used once per configuration.

Please note that a distinction is made between upper and lower case letters, which enables you to use, e. g. symbols out of common formulae, as constant names (p à pressure, P à performance).

Values

The value is expected to be given in the form of a decimal number, however, full numbers are permitted. Values range between –1.7E308 and +1.7E308, with a maximum of 15 precise digits.

Administration

The constant values are saved in XTRWinControl.ini as well as in the user-defined file when saving the configuration. After loading the configuration the constants are restored. Constants that had been defined when loading a configuration are overwritten by the constants to be loaded.

Referencing in Calculation Channels

The function const is available for use of constants in calculation channels. Its syntax is:

const("Constant Name")

When calculating the value, the current constant value is returned. If the constant "Constant Name" is not defined, the complete printout containing the formula const("Constant Name") will become invalid, resulting in the respective calculation channel adopting the status "Ruptured Detector".

Example
Constant Name | Constant Value
p | 1200
U | 0.5

Given the constant chart in the above picture, the formula is defined for the calculation channel 80.0:

const("p") returns 1200

const("P") leads to ruptured detector, as P was not defined

const("U") * const ("I") returns 6

Tip!

If the values of the constants are changed during a measurement run, the changes will only be effective for calculations from that time, whereas data calculated up to that time will be maintained. This is of special interest for long-time measurements, since framework conditions that change at irregular intervals can be integrated into the capturing of data.


Calibration

Calibration of measurement devices can be carried out via the menu function Programming/Calibration or the related toolbar function. The Calibration is made using a dialog which is unique for each device type supported by the software. The special calibration dialog will be automatically opened for one of following device types:

· XStream X2 Analyzors

· NGA Analyzors

Tip!

If several measurement channels are available which can be calibrated, the menu Programming/Calibration will display a list of all these channels. The list is ordered by device types. The calibration dialog for the special device type and a measurement channel can be called by clicking the measurement channel in the list.

The "Zero gas calibration" and the "Span gas calibration" are supported. The "Calibration" dialog box features one choice for each calibration type. Additionally, it contains specific information and special input fields to change settings for each calibration type.

Attention!

The calibration starts the polling and changes the measurement cycle to a minimum. This may affects your other measurements (i.e. Autosave). Therefore, XTR WinControl displays a warning before the calibration dialog open up, which must be confirmed with OK.

Tip!

If the dialog "Calibration" is closed, the measurement cycle it set back to the previous value, but polling keeps active.

More:

Calibration of XStream X2 Analyzors

Calibration of NGA Analyzors (optional)

General Calibration Settings


Calibration of XStream X2 Analyzors

This dialog is used for calibration of XStream X2 devices.

The settings which are independent from device type and common for all calibrations in XTR WinControl , are described in section General Calibration Settings.

Attention!

The calibration of XStream X2 devices is only available, if the XStream X2 device protocol is unlocked in your program version. Additionally, a XStream device has to be connected and must be available for calibration.

Die Kalibrierung für Messstellen an einem XStream X2 Gerät steht nur zur Verfügung, wenn das XStream X2 Geräte-Protokoll in Ihrer Programmversion freigschaltet ist und eine Verbindung zu einem kalibrierbaren XStream Gerät besteht.

Please consider the calibration instructions and descriptions of your measuring device!

Set Point / Check Calibration Deviation / Valve:

The field "Set Point" represents the set point of the calibration. If "Check Calibration Deviation" is activated, the device internally checks the deviations while calibration and may refuses new calibration values. Using "Valve" the valve of the channel can be changed. These settings are dependent on the selected channel and calibration type.

Attention!

If the calibration will be started or the settings will be applied, while a valve is set that is used by another channel or function, the device will reject the action with an error message (Communication error).

The button "Advanced...":

Using this button the pump and the valves (zero gas and span gas) of the device can be set on / off. If zero gas and span gas valves are off, the device is always in valve position for sample gas. Furthermore, the calibration of all channels can be started. Here you can start calibration for all channels using only zero gas calibration, only span gas calibration or both. The calibration will be performed for all channels of the current device, which is the device the selected channel is connected to.

Tip!

While calibration of all channels the current settings are used. Therefore, it is recommended to check all settings for each channel and calibration type before calibration starts. If necessary, use Apply Settings to save changed settings to the device.


Calibration of NGA Analyzors (optional)

This dialog is used for calibration of NGA devices.

The settings which are independent from device type and common for all calibrations in XTR WinControl , are described in section General Calibration Settings.

Attention!

The calibration of NGA devices is only available, if the NGA device protocol is unlocked in your program version. Additionally, a NGA device has to be connected and must be available for calibration

Please consider the calibration instructions and descriptions of your measuring device!

Reset Calibration Deviation

The calibration of a device can be reset to a defined default status via the button Reset Calibration Deviation. This function will reset the calibration deviations for both the zero gas correction and the test gas correction. A security request is made before execution of this function.

The menu: Range

Choose the function Range to select the active range (for calibration). You can also determine calibration for all ranges. The current settings are shown in the register cards "Zero gas calibration" and "Span gas calibration".

The menu: Valve Position

Choose the function Valve Position to set the requested valve position. The current settings are shown in the register cards "Zero gas calibration" and "Span gas calibration".

The menu: Pumps

Choose the function Pumps to set the pump position requested for calibration. The current settings are shown in the register cards "Zero gas calibration" and "Span gas calibration".


General Calibration Settings

Before calibration, the Calibration Channel and Type ("Zero gas" or "Span gas") are to be selected. If one of these settings were changed, the software automatically loads and displays the current settings and values from the device. After that, the settings for Set Point, Check Calibration Deviation, Valve and pumps should be checked and, if required, amended.

Attention!

Not every function or setting is supported by each device. Consequently, functions might not be able to be carried out and / or information might not be displayed.

Please consider the calibration instructions and descriptions of your measuring device!

Procedure Status / Actual Measure

These sections show the current status of the calibration, the current values and the present valve and pump positions.

Start Calibration / Apply Settings / Close Dialog Box:

Start Calibration starts the calibration with the current settings. During the calibration process, the button changes its function into Stop Calibration, clicking on which will stop the calibration process. In order to apply the current settings without starting the calibration process, use the button Apply Settings. The button Close closes the dialog box, Help will show this text.

Tip!

All calibrations are displayed in the event log of XTR WinControl , containing type, set point and result.

Attention!

If the dialog is closed while a calibration is running, the calibration will NOT abort.


Display Status Report

The function Programming / Display Status Report is used to show details of internal messages and reports in one window. The values are automatically loaded from the device when opening the window.

All messages and reports can have one of following types:

· Function control ( [image] )

· Maintenance requirement ( [image] )

· Off-Spec ( [image] )

· Error ( [image] )

· Channel state ( [image] )

· Device state ( [image] )

If the window "Status Report" is active, an updating function can be triggered via the button Update. Push on the button Print to print out the entire content of the window.

Attention!

Please consider the description of possible error messages in your device manual.


The Settings Menu

More:

Add a Connection

Manage connections…

Sampling Rate

Toolbar, ToolTips and the Status Bar

Status Bar

Alarm

e-Mail

Controllers

Password Protection

Size of Data Buffer

Colors

Others


Add a Connection

Clicking on the button Properties and Add in the dialogue "Manage connections" will open the dialog Connection settings. This can also be achieved via the menu "Settings/Add connection". A new connection can be defined in this dialog, or the properties of an existing connection can be viewed and/or changed.

This includes the optimal denomination of the connection, the desired protocol, the type of interface to be used (serial, network or modem) and their specific settings.

Please refer to Connection settings for a more detailed description of the dialog.


Manage connections…

A double click into the list of connections available in the window "Channels, devices and connections" or calling the menu "Settings/Manage connections…" will open the dialog "Manage connections". After selection of a connection from the list that will appear, the connection can be activated or deactivated, connections can be deleted or added, and the corresponding properties dialog can be called.

Any number of connections can be created, and any number of those connections can be active (depending on the program version acquired). However, in order to capture measurement values, at least one connection has to be active, and a measurement device with at least one channel has to be available via this connection.

Please refer to Manage connections for a more detailed description of the dialog.


Sampling Rate

The command Settings/Sampling Rate opens the dialog "Measurement cycle", where the desired sampling rate and the sampling rate can be defined. It can also be determined whether and how many measurement cycles are to be skipped.

More:

Dialog "Measuring Cycle"


Dialog "Measuring Cycle"

The register cards "Measuring Cycle" and "Skip Measuring Cycle" are available in the dialog "Measuring Cycle".

Register Card "Measuring Cycle"

This is where the sampling rate can be defined, stipulating the amount of seconds to elapse before new values are requested from the measurement devices . Furthermore, the values of the virtual channels (calculation channels) will be newly calculated at the end of each measuring cycle.

Time is indicated either traditionally MM:SS (minutes:seconds), or only by indicating seconds, with milliseconds being accepted as decimals.

As a rule, all connections are polled during this measurement cycle.

Attention!

The sampling rate is a planned value that cannot always be achieved - in particular in case of short sampling rates and/or a high number of channels - as the hardware (measuring device, interface, active line segments,…) determines the maximum volume of data transfer.

In such cases, the program will start the next cycle as soon as the hardware has processed the last cycle.

Register Card "Skip Measuring Cycle"

A value is not expected from each channel in each cycle. Therefore, a setting can be made for each connection stipulating if and how many sampling rates are to be skipped. These settings are made on the register card "Skip Measuring Cycle".

The following settings are admissible:

· 0 = do not skip cycle = capture measurement values in each cycle

· 1 = skip 1 cycle = capture measurement values in every second cycle

· 2 = skip 2 cycles = capture measurement values in every third cycle

· …

· 99 = 99 skip 99 cycles = capture measurement value in every one-hundredth cycle

This process allows, for instance, to capture 20, 30 or more pieces of data per second from a connected device , while older devices (possibly connected via the network) that can supply fewer than 10 values/second, are only polled every second or third cycle and to not impact the fast capturing on the device .

As a rule, at least one connection should poll data in each measurement cycle. However, it is also possible to allocate a number of cycles to be skipped to each connection. The software will then issue a warning but translates all settings following confirmation. This way, several devices can capture measurement data at a certain ration (e.g. 2:3 or 5:7 or…).

The values of the calculation channels are always captured in all sampling rates.


Toolbar, ToolTips and the Status Bar

With these commands you can toggle the display of each of these items.

More:

Toolbar

ToolTips


Toolbar

The toolbar appears under the menu headings and is made up of a number of small icons which enable faster access to some of the main XTR WinControl commands. By clicking once with the left mouse button on the appropriate icon, the respective command will be carried out. The icons are as follows:

Start/Stop Polling

Open a New Line Diagram (cf.: New Line Diagram)

Open a New Bar Graph (cf.: New Bar Graph)

Open a New Value Display (cf.: New Value Display)

Open a New Analog Instrument (cf.: New Analog Instrument)

Open a New Data Table (cf.: New Data Table)

Open a New X/Y Diagram (cf.: New X/Y Diagram)

Open a New Project Drawing (cf.: New Project Drawing)

Open a New Excel Connection (cf.: New Excel Connection)

Open a New OPC Export (cf.: New OPC Export)

Open a file

Save a File

AutoSave (to hard disk) (cf.: AutoSave)

Function: Use Template

Copy a line diagram or the channel list to the clipboard

Export data (cf.: Export)

Activate or deactivate the XTR WinControl alarm function (cf.: Register Card "Alarm On/Off)

Open the properties dialog box for the current window

Open the Sampling Rate Dialog Box (cf.: Sampling Rate)

Open the dialog Manage connections

Print Preview of the current window

Print the current window

Print screen

Toggles between the mouse and help pointer


ToolTips

If this function is active then a brief description will appear when you leave the mouse pointer over an icon in the toolbar list. This function is active when a tick is visible next to the words "ToolTips".


Status Bar

The status bar that appears at the bottom of the program window contains either five or six different fields, depending on the program status. This bar provides you with information on important program settings. Reading from left to right, these are as follows:

· A short piece of text that displays information prior to execution about the currently selected menu command or icon. When nothing is highlighted this field displays "F1 for Help, F2 for First Steps".

· If data is being saved using Data/AutoSave then the directory and file name for this data will be displayed in the next field. This information is not displayed if AutoSave is not activated.

· The next field displays the active COM port and its baud rate.

· The next field displays the sampling rate. If polling is active then the value is counted down.

· The last two fields display the current system date and time. At the very right, a red and a green LED display provide information on the communication with the measuring devices . The red LED flashes when XTR WinControl is sending a command, the green LED flashes when the device replies.


Alarm

The program can be individually configured to react to limit values being exceeded and sensor errors. The Settings/Alarm command will open the "Alarm Settings" dialog box.

Possible errors:

· Values above or below limits

· Damaged detector / Sensor error

· Loss of channels (e.g. device failure)

More:

Dialog "Alarm Settings"

Register Card "Alarm On/Off"

Register Card "Alarm Reaction"

Register Card "Channels"

Register Card "Delay"

Register Card "Reminder"

Register Card "eMail"

Register Card "Pre Alarm"

Register Card "Pre Alarm Delay"

Dialog "Alarm"

Dialog "Pre Alarm"


Dialog "Alarm Settings"

A number of alarm reactions can be determined in the dialog "Alarm Settings". Six register cards are available for the various settings.


Register Card "Alarm On/Off"

In this register card you can determine whether you want an alarm to be triggered at all. Activate or deactivate the program’s alarm reactions by one single click with the left mouse button into the control box left of the text "Trigger Alarm".


Register Card "Alarm Reaction"

In this register card you can choose the program’s alarm functions from the following options:

Add to Event Log:

Activate this check box option if you want the computer to create a list of all alarms that have been sounded.

Open Line Diagram:

If this option is activated, then a line diagram will be opened in the event of an alarm for the corresponding channel. This line diagram will be used to display all further samples recorded by this channel.

Record data prior to alarm:

If you wish to record and display the data that was polled prior to an alarm in a line diagram, then you should activate this option. In the "hh:mm" field, you should enter a time period prior to an alarm, that should be displayed in the line diagram. The recording of such data can only be stopped by the user.

AutoSave:

If this option is activated, then the measured data for the line diagram will be saved to the hard drive in the event of an alarm. If this option is not activated, then the data will only be stored in the computer’s memory.

Play Sound:

If you would like an acoustic alarm to sound then you should enter the drive, path and name of a ".wav" file in the "Sound" field. Normally, such files can be found in the "Windows" directory, as these files are standard for various systems sounds/events. Clicking on Browse will open a file dialog box, which you can use to help you find a ".wav" file. Once you have found such a file, click on OK to enter its path into the "Sound" field. It is also possible to use other ".wav" files. By clicking on the appropriate option field you can determine how often the alarm is sounded.

Start a Program:

If you wish to start another program when an alarm is sounded, then you should enter the drive, path and file name of that program in the "Program" field. Clicking on Browse will open a file dialog box, which you can use to help you find the program file.

In the field "Call Parameters" you can enter call parameters for the program to be called in case of alarm. For example, the parameter "C:\Alarm.txt" means for the program c:\windows\notepad.exe that in case of alarm Notepad will open and display the file c:\alarm.

In addition, macros can be entered for call parameters and will be expanded as follows in case of alarm:

Macro | Expansion to | Example
%1 | Channel | 0.2
%2 | Comment | Inside Temperature
%3 | Event | Limit Exceeded
%4 | Time of Alarm | 24.9.1999, 14:32:00

In case of alarm (e.g. Channel 0.2 has exceeded limit) the call parameters "%1 %2 %3 %4" would be transferred to the program to be called as "0.2 inside temperature limit exceeded 24.9.1999, 14:32:00".

Measurement Cycle:

This is where you can determine that in case of alarm measurements shall take another cycle than stipulated under Settings/Sampling Rate. Activate this function by clicking, with the left mouse button, into the control box in the section "Measurement Cycle" and enter the desired value into the entry field. In case of alarm (until the alarm has been confirmed), this cycle will be applied, otherwise the cycle stipulated under Settings/Sampling Rate.


Register Card "Channels"

The alarm treatment can globally be switched on and off. Additionally there is on the register card "Channels" the possibility to change into a mode in which the alarm treatment in only done for the channels selected there.

In the channel list, the symbol [image] is shown for all channels that are presently included in the alarm treatment.

Attention!

The selection or non-selection of channels fort he alarm treatment should only be done when there is no measurement so that the continuous recording of the alarm state is possible.


Register Card "Delay"

A separate delay can be set for each channel. That means, an alarm is only triggered if an alarm situation persists for a time defined with the delay. The delay is applied to the triggering of an alarm and to all reactions defined on the register card "Alarm Reactions".

In order to enter the delay times, call the function Settings / Alarm. The dialog "Alarm Settings" features the register card "Delay". To generally activate or deactivate the alarm delay, click with the left mouse button into the option field left of the text "Activate Alarm Delay". The table displayed contains all channels listed in the system (including the global calculation channels). An individual delay time can be entered for each channel in the column "Delay(s)". The time unit is seconds.


Register Card "Reminder"

It is the function of a reminder to prevent an alarm from ending any optical or acoustical signalling regardless of whether the alarm situation still persists or not.

If this entry has not been made or the time entered is zero seconds, the alarm will be triggered immediately after it has been confirmed, provided the alarm situation still persists.

If a time other than zero is entered into the register card "Reminder", the alarm is triggered again after that amount of time, provided its cause has not been removed.


Register Card "eMail"

If XTR WinControl is to send e-mails automatically when an alarm is set off, this option must be activated on the corresponding register card.

E-mails are generated according to rules which need to be defined beforehand. A list of all defined rules is contained on the register card.

The options New Rule, New Systemrule and Edit Rule open the dialog "Edit eMail Rule", in which new rules can be defined and existing rules edited.

Delete will irreversibly delete the selected rule. Any number of rules can be defined.

Attention!

When using MS Outlook Express as MAPI-compatible email programs, an error in MS Outlook Express can crash XTR WinControl if a file is to be sent as email and alarm mails are sent at the same time. In order to prevent this error, MailAutoLogOff (cf. automatically send eMails in case of alarm) should not be changed in XTRWinControl.ini , and value files should only be sent when measurements and alarm removal procedures are stopped.

Recommendation: Use MS Outlook or another thread-safe MAPI-compatible e-mail programs (e.g. Eudora).

Dialog "Edit eMail Rule"

A unique name must be entered into the field "Rule Name". XTR WinControl will automatically enter a suggestion, which can be changed as long as the name is unambiguous. All characters can be used.

The events to generate a mail can be selected in the list "Events". At least one event must be selected.

Select those channels from the list "Channels" which must be checked for the selected event and generate a mail when the event is triggered. For alarm emails, at least one channel must be selected. For system rules there is no need to select a channel.

Enter a text of maximum 255 characters into the field "Subject". This text will be the subject of the email. If no text is entered, XTR WinControl will issue a warning to make sure that this field has not been overlooked.

The actual text of the mail is entered into the field "Text", with a maximum of 3,000 characters.

All recipients of the mail can be entered into the field "Recipient". It can contain the complete e-mail address or the reference in the XTR WinControl address book. Recipients are separated by semi-colon (;). The option "V" at the end of the line opens the list of recipients who are saved in the address book and automatically adds this entry to the recipient list by mouse click. At least one recipient must be entered.

In order to avoid having to send a new email for repetitive events, you can use the field "Suppression Time" to enter an interval (hh:mm:ss) that has to elapse between two mails, which have been generated because of the selected rule.

Furthermore, the option "Collect all Messages and…" in the last line of the dialog can be used to activate collective sending of messages. Simply enter a time in the respective field of this line. As soon as this option has been activated, mails generated because of the selected rule will be collected and sent off as one mail at the requested time.

Placeholders can be used in the fields "Subject" and "Text" in order to take over the information on the alarm that has been triggered. Placeholders will be replaced by actual information when the mail is generated. You can use the following placeholders:

%1 Will be replaced with the channel number (not for systemrules).

%2 Will be replaced with the channel comment (not for systemrules).

%3 Will be replaced with the event.

%4 Will be replaced with the date/time.

The Text for an alarm email rule:

The disturbance "%3" occurred at channel %1 %2 on %4. Please contact the service technician immediately. (Tel.: 0172/0815 0815)

would be changed into:

The disturbance "Limit Violation" occurred at channel 0.1 Test on 28 Jan. 2002 16:56:35. Please contact the service technician immediately (Tel.: 0172/0815 0815)

if channel 0.1 Test triggered a limit violation on 28 January, 2002 at 16:56:35.

The rule is taken over into the list of rules by clicking on OK. Click Cancel to stop creating / editing rules and abandon any changes. Click on Address book to open the address book and view, edit or delete entries.

Tip!

If you press on <ENTER> when the cursor is in the field "Text", this command will not be interpreted as an instruction to close the dialog, but a line break will be made in the mail text.

Dialog "Edit system rule"

The dialog used to add or edit system rules varies only slightly from the Dialog "Edit eMail Rule". The differences are as follows:

There is no “Channel“ list, as system rules are defined for events that do not depend on channels. The “Event” list therefore extends across the entire left side of the dialog.

The following events can be selected:

· Error automatic Connection: Occurs if the automated activation of a connection via time schedule failed for a duration of five minutes.

· Error during automatic reading: Occurs if an error is detected during the automatic reading or the cyclic saving of data of an XStream / NGA measuring device. This system option is only available after the option to activate the automatic reading of the memory has been selected in XTR WinControl .

Placeholders can be used in the fields "Subject" and "Text" in order to take over the information on the alarm that has been triggered. Placeholders will be replaced by actual information when the mail is generated. You can use the following placeholders:

%3 Will be replaced with the event.

%4 Will be replaced with the date/time.

Attention!

In contrast to rules for alarm e-mails, the placeholders %1 and %2 are not supported, as system messages do not depend on channels.


Register Card "Pre Alarm"

For certain applications it might be interesting to be notified as soon as the values approach the limits. For this purpose, a pre-alarm function has been introduced: For each channel, a deviation from the limits can be entered which will trigger an alarm when it is exceeded.

Attention!

To generally activate or deactivate the prealarm, click with the left mouse button into the option field left of the text "Activate Pre Alarm". The table displayed contains all channels listed in the system (including the global calculation channels). An individual distance can be entered for each channel in the column "Limit Dist.". The distance unit is the unit of each channel.

The triggering of a pre alarm can also be notified by a sound or starting a program. The required entries are the same as for an alarm (cf.: Register Card "Alarm Reaction").

Attention!

The function "Pre Alarm" is optional and not available in every version of the programme. The register cards "Pre Alarm" and "Pre Alarm Delay" will only be shown if the option has been activated in the software.


Register Card "Pre Alarm Delay"

A separate delay can be set for each pre-alarm. That means, a pre-alarm is only triggered if a pre-alarm situation persists for a time defined with the delay. The delay is applied to the triggering of an alarm and to all reactions defined on the register card "Pre Alarm".

In order to enter the delay times, call the function Settings/Alarm. The dialog "Alarm Settings" features the register card "Pre Alarm Delay". To generally activate or deactivate the prealarm delay, click with the left mouse button into the option field left of the text "Activate Pre Alarm Delay". The table displayed contains all channels listed in the system (including the global calculation channels). An individual delay time can be entered for each channel in the column "Delay(s)". The time unit is seconds.

Attention!

The function "Pre Alarm" is optional and not available in every version of the programme. The register cards "Pre Alarm" and "Pre Alarm Delay" will only be shown if the option has been activated in the software.


Dialog "Alarm"

If the alarm is activated and an alarm situation occurs during a measurement, a message will be shown on the screen.

This message contains the time of the alarm, the channel that triggered the alarm and the event. The option Acknowledge Alarm will close the dialog.

Attention!

If an alarm is acknowledged while the situation which had triggered it persists, the alarm message will re-appear immediately after acknowledgement.

Attention!

If a delayed alarm has been activated for the situation which triggered the alarm, the alarm message will only re-appear after expiration of the set delay time, even if the alarm situation still persists.


Dialog "Pre Alarm"

If the "Pre Alarm" is activated and a pre-alarm situation occurs during a measurement, a message will be shown on the screen.

This message contains the time of the pre-alarm, the channel that triggered the prealarm as well as the event. The button Acknowledge Alarm will close the dialog.

Attention!

If an prealarm is acknowledged while the situation which had triggered it persists, the alarm message will re-appear immediately after acknowledgement.

Attention!

If a delayed pre-alarm has been activated for the situation which triggered the pre-alarm, the pre-alarm message will only re-appear after expiration of the set delay time, even if the pre-alarm situation still persists.

Attention!

The function "Pre Alarm" is optional and not available in every version of the programme. The register cards "Pre Alarm" and "Pre Alarm Delay" will only be shown if the option has been activated in the software.


e-Mail

Most MAPI-compatible e-mail programs do not require explicit sender information, but automatically use the sender given in the e-mail program when called from XTR WinControl . However, you can determine a sender for e-mails in XTR WinControl that is used whenever the e-mail program does not have or cannot apply default settings.

Use the function Settings/eMail to enter all sender information required for automatic sending of alarm messages.

More:

Dialog "eMail Settings"

Dialog "eMail Address Book"


Dialog "eMail Settings"

Sender:

The sender must contain a valid name and valid e-mail address. Enter this information into the respective entry fields. Valid names consist of any characters except "@". Valid addresses must contain exactly one "@", which can’t be in the first or last position. No blanks are permitted. If the name or address contains symbols, these may or may not be used correctly, depending on your e-mail program. We therefore recommend avoiding the use of symbols.

Address Book:

You can create an address book with entries for frequently used recipients. Click on the button Address Book Administration in order to open the Dialog "eMail Address Book".


Dialog "eMail Address Book"

XTR WinControl uses its own address book for e-mail recipients in order to be independent from the pre-installed e-mail program. In the address book, (frequently used) recipients’ addresses are allocated one unique name each. This name can always be used within XTR WinControl when a recipient’s address is to be entered.

All entries in the list are displayed with name and e-mail address. Click on an entry with the left mouse button to display and edit this entry in the section "Current Entry".

Current Entry:

The Information in the fields "Name" and "eMail", referring to the currently selected list entry, can be changed. In order to edit an entry, it must be selected from the list in the upper part of the dialog by mouse click.

In order to create a new entry for the list, click on the button New and enter the name and e-mail address into the entry fields. By clicking on the button Apply, changes or new entries are saved into the list. Should the name not be unambiguous, XTR WinControl will issue an error message in order to enable correction. Delete the current entry from the list by clicking on Delete.

Attention!

In order for XTR WinControl to send e-mails in case of an alarm, a MAPI-compatible e-mail program (e.g. MS Outlook, MS Outlook Express, Eudora,…) must be installed on the PC on which XTR WinControl has been installed. The PC must have Internet / Intranet access.

Rules must be fixed in order to be able to send mails in case of an alarm. Any number of rules can be defined to determine when, how, and to whom e-mails are to be sent. Make the required settings in the dialog "Alarm Settings" on the Register Card "eMail".


Controllers

For comfortable setting of controls, the function Settings/Controls enables the definition and management of two-position controllers and time controls. A function for calculation channels has been implemented for PID Controllers (cf.: Calculation Function "pid").

More:

Two-Position Controllers

Dialog "Two-Position Controller"

Time Control

Dialog "Timer Controller"


Two-Position Controllers

An output relay is switched on when a fixed value of one channel (calculation channel) is exceeded and is switched off when the value of this channel falls below the limit. Any desired number of two-position controllers can be defined.

The dialog for creating a two-point controller is opened from the register card "Two-position controller" in the dialog "Controls" via the button New Controller or, for an existing controller via Edit Controller. Selected controllers are removed from the list via the function Remove Controller.

Furthermore, you can quickly activate / deactivate existing controllers by clicking into the control box next to its name. This setting corresponds to the function "Activate this control element" in the properties dialog of the controllers.

Attention!

Any number of controllers can access the same relay. The user has to make sure that no unwanted overlaps occur.


Dialog "Two-Position Controller"

Make the following settings in order to switch an output relay on when a fixed value of a channel (calculation channel) is exceeded and switch it off it the value falls below the fixed limit of this channel:

Activate or deactivate a two-position controller with one single mouse click, with the left mouse button, into the option field left from the text "Activate this controller".

Enter a clear name for the defined element in the field "Name".

Attention!

The name must be clear in each controller category. If you try to give the same name to several controllers, a warning is issued and the dialog cannot be closed with OK. Functioning cannot be guaranteed if the name for one controller is changed while it is active.

Select the channel to be monitored from the channel list.

Determine which relay is to be switched at which device under the heading "Relays".

Enter those values into the corresponding entry fields that are to fix the upper an lower limits.


Time Control

After an adjustable time period has elapsed at the beginning or end of the measurement, an output relay is switched on or off. Any number of controls can be defined.

A time control can be set on the register card "Time Control" in the "Control" dialog. Use the button New Controller or, for existing controllers, Edit Controller. Selected time controls are deleted from the list by clicking on the button Remove Controller.

Furthermore, you can quickly activate / deactivate existing time controllers by clicking into the control box next to its name. This setting corresponds to the function "Activate this control element" in the properties dialog of the controllers.

Attention!

Any number of controllers can access the same relay. The user has to make sure that no unwanted overlaps occur.


Dialog "Timer Controller"

The following settings can be made to switch an output relay either on or off after the beginning or end of a measurement:

Activate or deactivate the time control by a single click, with the left mouse button, into the option field left from the text "Activate this control element".

Enter a clear name for the defined element in the field "Name".

Attention!

The name must be clear in each controller category. If you try to give the same name to several controllers, a warning is issued and the dialog cannot be closed with OK. Functioning cannot be guaranteed if the name for one controller is changed while it is active.

Define the time period that has to elapse under the topic "Switching Time" and determine whether the calculation of the switching time shall begin at the beginning or the end of a measurement.

Use the function "Relays" so select from the lists which relay is to be switched on or off at which device.


Password Protection

The XTR WinControl password protection utilizes the ability of systems based on Windows NT to issue user-specific write authorization to individual files or directories..

Attention!

The Password Protection is optional and not available in each version of the programme. Please refer to the section The Password Protection for further details.


Size of Data Buffer

The function of a data buffer that can be individually adjusted is available for the display forms line diagram, XY diagram and table.

The size of the data buffer is determined via the menu function Settings/Size of Data Buffer. In the dialog "Maximum Size of Data Buffer" you can enter the desired value. The default value is 2 MB.

After confirmation and closing of the dialog, this value is applied for all display forms (line diagram, XY diagram, table). The stipulated buffer is available to each existing line diagram, XY diagram and table. This limitation does not influence the function "AutoSave".

If a data buffer has reached its capacity, each new value that is entered will replace the oldest value in the buffer.

Attention!

Once the buffer size has been set, it can only be changed after:

· Starting the program

· Stopping the measurement and releasing the data

Once the buffer size has been set, it will automatically be available to the program after each start and can be used or changed according to requirements.


Colors

The “Setting/Colors“ menu contains a dialog for setting colors to be used by XTR WinControl to display certain signal status. These color settings will then be used for all diagrams of the same type.

Depending on options available, three or five colors can be defined:

· Normal

· Limit violation (upwards)

· Limit violation (downwards)

· Value close to upper limit (optional)

· Value close to lower limit (optional)

Attention!

The colors used for “Value close to upper limit“ and “Value close to lower limit“ are only available if the option “Pre Alarm” has been activated.

More:

Register card "Bar Graphs"


Register card "Bar Graphs"

The XTR WinControl Menus > The Settings Menu > Colors

Register card "Bar Graphs"

The register card "Bar Graphs" lets you define the colors for all bar diagrams under XTR WinControl .


Others

With this command you can alter the way the program works and some of its settings. The selections that you make here will take effect as soon as you click on OK.

More:

Dialog "Other Settings"


Dialog "Other Settings"

In this dialog box the following options are available for controlling the program:

"Write to file when polling is enabled"

When this option is active you will be prompted to select the channel(s) to be saved and to give the data a file name for saving.

"If possible, open the value file in line diagram display"

If you choose this function, all files saved as line diagrams are opened as line diagrams. All files created via the functions Data/AutoSave or Data/Download from Device Memory will be opened as file summary window. If this function is not chosen, all line diagrams will also be opened as file summary window. Files saved in table format will be opened as tables in any case.

"Warning when closing a diagram without saving"

When this function is activated, you will be asked when closing a set of data (line diagram, table or file outline) whether you want to save changes. If this function is not selected, changes will not be saved when a window is closed.

"Automatically continue polling after a power failure"

If this option is activated, the program will automatically start polling again after your system has been reset following a power failure using the settings prior to the power failure.

To automatically restart XTR WinControl when starting Windows, the XTR WinControl icon must appear in the Windows "Startup" group. If this is not already the case, then you should copy the XTR WinControl icon to the "Startup" group. One method of copying this icon is to click on it with the left mouse button and hold the button down, at the same time, press and hold <CTRL> and drag the icon into the "Startup" group.

In addition to this, the AutoConnect at Startup option in the "Connection Settings" dialog box should be activated. To activate this check box, click on it with the left mouse button.

"Gray background for diagrams"

When this option is active all diagram backgrounds will be gray. If this setting is not active then the program will use the background color defined in the system settings. You can deactivate this setting to get a better display quality on monochrome LCD displays.

"Do not print file names of diagrams"

Line and XY diagrams can be printed without the file name. Activate or deactivate this option as required.

"Correct printout of vertical diagram labels"

If your printer incorrectly places vertical diagram labels, then activating this option should correct this problem.

"Extended relative display of line diagrams"

In order to meet certain DIN standards, the relative display of line diagrams was extended so that labeling of the time axis can begin with a day "zero". Activate the option "Begin relative display of the line diagram with day 0".

"Flashing start key"

You can determine whether you want the start / stop key in the toolbar (for starting or stopping a measurement) to flash or not. To activate or deactivate this function, click into the control box left of the text "Start key is flashing during measurement".

"Use color when printing data tables"

Activating this option means that the document printed is displayed the same way it is displayed on screen:

· headers and head columns: gray

· measurement data: black

· measurement data when limits are exceeded: red

· measurement data when limits are not reached: blue

This option can still be activated even if no color printer is used. The printer driver will change the color information into grids or shades of gray.


The Window Menu

With the commands Window/Tile Horizontally and Window/Cascade you can display all active windows. You should use these commands to bring a previously hidden window to the front or to re-organize the windows on screen.

The command Window/Arrange Icons will arrange any windows that have been minimized at the bottom of the program window.

A list of all currently open windows appears in the lower portion of the Window menu. Selecting on one of these will activate it.


The Help Menu

More:

Contents

How to use Help

First Steps

Info


Contents

The command Help/Contents displays the contents of the XTR WinControl help system. It provides you with information related to using the program, examples of XTR WinControl functions and technical support.

You can return to the XTR WinControl contents page at any time, by clicking on the "Contents" button.


How to use Help

Using the command Help/How to use Help, the standard Windows help file will be displayed describing how to use a help system.


First Steps

The First Steps Assistant can be called via the function Help/First Steps. The assistant will give online explanation of the first steps for your work with XTR WinControl . You can also call the assistant by pressing <F2>.


Info

The information dialog of the function Help/Info shows detailed information on the program version as well as ways of contacting the program developers. Furthermore, it shows the operating system and the versions of various DLLs. The button Licence Details will take you to a display all activated features and functions in your current licence level.

The button Upgrade will take you into the dialog " XTR WinControl License Information" where you can activate additional functions.


Server Operation

More:

Functioning

Display of Clients Connected to the Server

Logfile of Connections

Protocol

Sample Historie


Functioning

In the server operation mode of XTR WinControl , captured data can be passed on to up to 200 clients. The XTR WinControl server can be accessed as desired via the network (intranet or internet).

Several users or applications can thus access the values of a measurement system, and data can be provided to the respective application without having an impact on each other.

The interface via which the server can be accessed is described under Server Interface.


Display of Clients Connected to the Server

As soon as the first client has connected to the XTR WinControl server, a small graphic will appear left of the status line, featuring a number:

This number is the number of clients connected at the moment. Double clicking on the picture or the number, with the left mouse button, will open a dialog that lists up all clients connected at the moment:


Logfile of Connections

If the entry ServerLog=1 is found in section [Settings] of the initializing file XTRWinControl.ini , the server writes an ASCII file Server.log in which build-up and canceling of all client connections are noted with indication of time.


Protocol

The client communicates with the server via ASCII protocol. The syntax is described under Commands.


Sample Historie

The XTR WinControl server has a value buffer (ring buffer) based on files. For each channel, a temporary file is created in the temporary directory of the operating system, each of which can take up to 3,600 channels as per presetting.

This presetting can be adapted in the initializing file XTRWinControl.ini by entering SampleDiskBufferSize = Number of values to be buffered in the section [settings].

Example:

[Settings]

SampleDiskBufferSize = 7200

This means that data can be buffered for two hours in a measurement cycle of one second.

The buffer is preserved if the program is not shut down properly. For example, after a computer crash or breakdown of electricity. If the program is shut down correctly, the temporary files in the value buffer are deleted.

Attention!

The value buffer is only activated if the program can operate as value server (at least one client is active).

More:

Update of the Sample Historie

Deletion of the Sample Historie

Global Use

Local Use


Update of the Sample Historie

The temporary files of the XTR WinControl Sample Historie are updated regularly. Per presetting the historie is updated each 360 polling cycles of the software.

This presetting can be adapted in the initializing file XTRWinControl.ini by entering SampleDiskBufferFlushCount = Number of measuring cycles in the section [settings].

Attention!

If the number of measuring cycles selected is too small, the writing activity on the computer’s hard disk is very large. If, in addition, the measuring cycle set in the software is very short (< 1 sec), computers with low performance might experience a slow-down in the system.


Deletion of the Sample Historie

In line with factory settings, the sample history will be automatically deleted whenever XTR WinControl is closed down properly. If the software is closed down unexpectedly - for instance because of power outage - the history will be preserved and can be loaded during the next start-up.

The initialization file XTRWinControl.ini can be adapted regarding the deletion of the history by entering DeleteSampleDiskBufferOnExit = 0 / 1 in the section [Settings]. Entering the value 0 means that the history will no longer be deleted when the program is closed down. Default value is 1.


Global Use

If XTR WinControl operates as server, the sample history can be polled at any time for any channel via the command GetSampleHistory(Channel[,Channel][,..]. In contrast to NotifySamples, e.g., the history is not subscribed for, but only transferred once GetSampleHistory must be called again for later access.


Local Use

Buffered data can be inserted into new line or XY diagrams as well as charts. All properties dialogs of these types of display have an additional register card, "History", which is available when a new diagram or chart is created.


Server Interface

More:

Functioning

Settings

Commands


Functioning

The XTR WinControl server receives instructions via a TCP port. These instructions are interpreted and executed in order of reception. With the help of commands available at the time another program can:

· find out which channels there are

· be informed about changes to the existing channels

· be informed about additional or removed channels

· receive measurement values

More:

Instructions

Whitespace

Case Sensitivity

Replies from the Server

Channel Lists

Character Strings


Instructions

An instruction consists of a command, an open bracket "(", an optional list of parameters as well as a closed bracket ")". Individual instructions are separated by semicolon ";".


Whitespace

Blanks, tabs and ends of lines are called Whitespace. Whitespace may occur between individual syntactic elements and is ignored.


XTR WinControl - The Data Server > Server Interface > Functioning

Case Sensitivity

The instruction interpreter is case sensitive.


Replies from the Server

The server replies to each instruction, first of all with a CR/LF pair, then the name of the command in process, followed by a colon ":" and a blank. An optional list of parameters may follow. A semi-colon and another CR/LF pair complete the reply.


Channel Lists

A channel is clearly defined by the device and channel number, with the first digits being connected by a decimal point in WinControl, e.g. "1.15" for channel 15 of device 1. Channel lists are lists of 0 or more channels separated by commas, e.g. "1.15", "1.0,1.1,1.2" or "" for an empty channel list.


Character Strings

Character strings are a series of characters in inverted commas. A back slash "\" precedes a symbol. The following symbols have been defined:

String | Meaning
\\ | \
\; | ;
\" | "


Settings

The entry TcpPort = requested port number can be made in the section [Settings] in the initializing file XTRWinControl.ini . If this entry does not exist, the port number 10013 will be used. If the network uses firewalls, the administrator in charge may have to free a TcpPort.


Commands

The following commands are available in order to enable any number of clients to access the XTR value server:

GetChannelList | Channels in the server are sent to the client
NotifyChannelList | If channels are removed from or added to the server, the complete channel list is sent to the client
NotifyChannels | The client is informed of changes to the channel lists
NotifySamples | The client is informed of values of the channel lists
GetSampleHistory | The sample history can be polled at any time for any channel. In contrast to NotifySamples, e.g., the history is not subscribed for, but only transferred once GetSampleHistory must be called again for later access.

All commands are case-sensitive. A semi-colon completes each command. The reply to all command consists of:

· Repetition of command

· Colon

· Blank

· Open bracket

· Replies

· Closed bracket

· Semi-colon

More:

GetChannelList

NotifyChannelList

NotifyChannels

NotifySamples

GetSampleHistory


GetChannelList

XTR WinControl - The Data Server > Server Interface > Commands

GetChannelList

Syntax: GetChannelList()

Parameter: none

Reply: GetChannelList(Channel List);

The Channel List consists of Channel Information separated by commas. Channel Information consists of:

· Open bracket

· Device number

· Point

· Channel number

· Comma

· Inverted comma

· Channel comment

· Inverted comma

· Comma

· Inverted Comma

· Channel Unit

· Inverted Comma

· Closed bracked

Example of channel information: (0.0,"Problem 01","°C")

Example of a complete reply: GetChannelList: ((0.0,"Problem 01","°C"),(0.1,"beginning routine","°C"));

Description: The channel number, comment and unit of all channels in the server system, including the global calculation channels, are delivered.

Application: The evaluation of the reply can be used, for example, to insert parameters (channel numbers) correctly for further commands (e.g. value request).


NotifyChannelList

XTR WinControl - The Data Server > Server Interface > Commands

NotifyChannelList

Syntax: NotifyChannelList(true | false)

Parameter: true | false

Reply: NotifyChannelList(Channel List); (à GetChannelList)

Description: If the parameter is true, the complete channel list will be transferred in the reply (like in GetChannels();). Furthermore, the client subscribes to the channel list, which means that whenever changes are made to the channel list, the reply with the updated data will be sent to the client. If the parameter is false, the client ends his subscription, i.e. future changes are not transferred. In this case no reply is sent!

Application: e.g. capturing of disappeared and / or new channels etc.


NotifyChannels

XTR WinControl - The Data Server > Server Interface > Commands

NotifyChannels

Syntax: NotifyChannels([Channel][, Channel][,..]]])

Parameter: any number of (or no) channels, separated by commas.

Reply: NotifyChannels(Channel List);

One Channel consists of:

· Device number

· Point

· Channel number

Description: A channel list (à GetChannelList) is generated which contains the current information of channels transferred as parameters. Comment and unit are empty ("") for non-existing channels. In addition, the client subscribes to a notification of all changes to comment or unit to the respective channels. Whenever changes are made, the channel information of all channels that the client has subscribed to will be transferred!

Each new NotifyChannels deletes all previous subscriptions. If NotifyChannels is sent without parameters, all subscriptions are deleted. In this case no reply is sent from the server.

Deleting or adding of channels is not taken into consideration, but subscriptions can be made for channels that do not or do not yet exist. The client is then informed of changes as soon as the channel is registered at the server.

Application possibilities: Updating of channel information.


NotifySamples

XTR WinControl - The Data Server > Server Interface > Commands

NotifySamples

Syntax: NotifySamples([Channel][, Channel][,..]]])

Parameter: any number of (or no) Channels, separated by commas.

Reply: NotifyChannels(Channel List);

A Value List consists of:

· Date

· Blank

· Time

· Comma

· Values, separated by commas (decimal points are used within the values)

The date is displayed as follows:

· Day 2-digit

· Dot

· Month 2-digit

· Dot

· Year 4-digit

The time is displayed in the following format (24-hour-system):

· Hour 2-digit

· Colon

· Minute 2-digit

· Colon

· Second 2-digit

· Dot

· Milli seconds 3-digit

The values are issued in the order the corresponding channels were transferred as parameters, i.e. if the parameter was 0.0,0.1,80.0, the first value in the reply will be channel 0.0, the second channel 0.1 and the last 80.0. If the parameter was 0.1,80.0,0.0, the first value will be channel 0.1, the second channel 80.0 and the last 0.0.

Description: A subscription is made for the values of all channels transferred. A reply is made as soon as a measurement cycle has been finished on the server. The values of the measurement cycle are then sent in the reply. Each new call of "NotifySamples" will delete all previous subscriptions.

If no value is available for a channel, no channel information is transferred, but the separating comma will be set for consistency of allocation.

Example:

Command: NotifySamples(0.0, 0.1, 80.0);

Reply: NotifySamples(19.12.2001 15:00:56.023,12.2,,8);

Meaning: On 19 December 2001 at 15:00:56 and 23 milli-seconds, the value 12.2 was measured at channel 0.0. No value was measured for channel 0.1 and the value 8 was measured at channel 80.0 (calculation channel).

Application: Value capturing


GetSampleHistory

XTR WinControl - The Data Server > Server Interface > Commands

GetSampleHistory

Syntax: GetSampleHistory (List)

Parameter: Channel List

Reply: GetChannelList: ([(Value List)][,(Value List)][,...]);

The reply always consists of the repetition of the command and a colon, followed by an open bracket. If no data is available, the reply is closed by brackets and a semi-colon. Otherwise, a variable number of value lists will be listed in brackets and separated by commas, with the reply being closed by a bracket and semi-colon.

Description: The sample history can be polled at any time for any channel. In contrast to NotifySamples, e.g., the history is not subscribed for, but only transferred once GetSampleHistory must be called again for later access.

Function: The buffered data referring to the channels listed in the Channel List are returned as follows: a value list of the channels transferred will be created for each time stamp available in the buffer and transferred to the client.


Application Examples

More:

Multiple Access to a measuring device

Integration into other Applications

Remote Access

Extended Data Export

Separate Capturing and Evaluation

External Online Evaluation

Show fixed time frame


Multiple Access to a measuring device

A research laboratory is positioned at a central location. XTR WinControl is used to read and archive current measurement values. Using WinControl Client OCX, a web site is created on the internal web server to which all employees of the company have access and which displays current data.


Integration into other Applications

An existing, customer-specific capturing system is extended by gas concentration measurement: XTR WinControl is used for capturing and archiving the concentration data. The capturing system is extended in such a way that the concentration values are taken over directly from the XTR WinControl Server.


Remote Access

A production process is monitored by means of XTR WinControl . In case of limit violations, XTR WinControl automatically sends an e-mail to the factory manager and Remote WinControl enables him to have immediate overview of current measurement data.


Extended Data Export

Using Microsoft Access and the WinControl Client OCX, it is an easy thing to write all incoming values online into any database supported by Access.


Separate Capturing and Evaluation

A complex measurement system is spread all over the company’s premises. XTR WinControl and com2ips are used to concentrate and archive all values in one single system. Remote WinControl is used at three further work stations in order to evaluate part of the overall data, depending on application.


External Online Evaluation

A separate evaluation software is developed for a complex special evaluation. The values are recorded by XTR WinControl and transferred online to the evaluation software via the WinControl server interface.


Show fixed time frame

Optionally, data tables and diagrams can be fed with measuring data from the sample history of the WinControl data server.

The display can be limited to a fixed time frame in the past by synchronizing the sample history settings with the internal data buffer (menu: Settings/Size of data buffer). It is, for instance, possible to show only the data gathered during the past three days on screen.


Scope of function

A web server was integrated into the software XTR WinControl , which permits transferring program windows via the internet by hypertext transfer protocol (http) and displaying them in any browser. Of course XTR WinControl supports all the functions usually provided by web servers, so that HTML pages, static pictures, Java applets, scripts etc., in brief all elements found in regular internet pages can be administered.


Requirements

More:

Operating System

Hardware

Miscellaneous


Operating System

In order to operate the software as web server, the operating system installed must be Windows 2000 or higher.


Hardware

A PC with at least 64 MByte of RAM and a Pentium class CPU with at least 133 MHz is required to operate the web server. For several users to be able to access the data simultaneously, the minimum required is a Pentium II with 400 MHz and 128 MByte of RAM. For optimum operation, we recommend a Pentium III from 600 MHz upwards with 256 MByte of RAM (or more).


Miscellaneous

The TCP protocol has to be installed on the PC, furthermore we recommend network access (via modem / ISDN or network card) for correct operation of the web server.


Functioning of the Web Server

More:

Basics

Starting the Web Server

First Steps

Supported window types

Naming

Transfer of virtual image directory

Selective transfer of individual images


Basics

A web server provides HTML files to each client (browser) on demand, which can contain texts and embedded objects (images, sounds, videos, etc.). The XTR WinControl web server goes one step further and provides, additionally, a virtual image directory that can be used to access picture data dynamically generated from the current contents of the XTR WinControl program windows.

These images can be displayed individually in the browser (à Transfer of virtual image directory) or they can be embedded into HTML pages both individually or together with other elements (à Selective transfer of individual images).


Starting the Web Server

A realease code for the web server has to be entered into the licence dialog opening up during start-up or via the info dialog. Unless the licence dialog was opened during start-up, XTR WinControl has to be rebooted afterwards. The system will then automatically start the web server each time XTR WinControl is booted.

As long as the program is active, picture and text data can be accessed via the TCP port 80 (default http port). Further settings are not required, but are available for experienced users (à Extended Settings).

The address of the web server is the IP address of the computer on which XTR WinControl is operated, e.g.:

http://156.127.001.003

or

http://localhost

or

http://mywebserver

etc.

Note: XTR WinControl can be started several times on the computer (several instances). The web server can currently only be started in first instance. An alert box will be issued for all other instances that the web server cannot be started.


First Steps

After start-up of XTR WinControl and release of the web server, the small web that becomes available can be accessed with any browser. A local test can be made by starting a browser on the same computer as XTR WinControl and entering the address http://localhost. The browser will then display all HTML pages supplied with XTR WinControl , designed to give a first impression of the web server’s features. It goes without saying that these pages can be adapted and changed and that users can publish their existing web sites via the XTR WinControl web server. Please refer to chapter Web server Directories.

In order to access data provided by the XTR WinControl web server from other PCs within the network, these PC have to have the internet protocol TCP/IP and a browser installed. Enter the address, followed by either the IP address or the symbolic name of the computer on which the XTR WinControl web server is operated into this browser. Please refer to chapter Web server Directories for further information on addresses, names and options to adapt them.


Supported window types

The dynamic picture data is collected from the windows that are displayed by the software at the time. The following window types are supported:

· Linie diagram

· XY diagram

· Value display (digital)

· Value display (analogue)

· Bar diagram

· Project image


Naming

In order to generate and transfer picture data from windows, the images must be given an unambiguous name so that the software can send the correct image to the browser. XTR WinControl uses the window title as image name.

The window title can be adjusted in the properties dialog of each window type, with the following rules to be observed:

· new windows are automatically given a title that corresponds to the window type and a serial number (e.g. line diagram 3).

· Simple momentary display without data buffer (analogue and digital value display as well as bar diagrams) use the channel number and channel comment as window title, as long as only one channel is displayed in the window. Set the title for such windows in the section "Window title" of the properties dialog.

· Window types that have their own data buffer and can be saved as files use the comment as window title, provided a comment has been entered. Otherwise the file name will be used as title. If the file has not been stored, the system will automatically generate a name from window type and number, as described above. The comment can be set in the properties dialog. For line and XY diagrams, this setting can be made on the Register Card "Layout".

We recommend using the functions described above to determine a window title so that the names are stored in the current configuration and are available after booting.

Names can contain letters, numbers, blanks as well as hypen "-", underscore "_" and a number of brackets "(){}[]<>". Other symbols cannot be used.


Transfer of virtual image directory

In the ideal case it might be sufficient to transfer the contents of the program windows as retrieved image and to update, store, print or process it manually.

In order to do this, enter the web server’s address (à Starting the Web Server), followed by the virtual sub-directory /diagrams/ (e.g.: http://mywebserver/diagrams/) into the address line of the browser in any computer within the network. The browser will then display a list of all windows that are available as links (reference). If one of these links is selected (by clicking on it with the left mouse button), the corresponding image will appear in the browser. Select the browser function "Update" to transfer a current version of the image manually at any time.

"/diagrams/" represents a virtual directory which is looked at in more detail in chapter Virtual directories.

Virtual directory means that there is no equivalent physical directory on a data medium, instead the data is dynamically generated in XTR WinControl and supplied as required by the browser.


Selective transfer of individual images

More:

Data Format

Additional Options


Data Format

Images can be embedded directly into an HTML page.

The URL for the images always consists of the web server’s address, followed by the directory name /diagrams/ and the image name. An extension can be added to the image name to identify the data type, e.g.:

http://mywebserver/diagrams/linediagram1

http://mywebserver/diagrams/linediagram2.png

http://mywebserver/diagrams/linediagram2.jpg

Without extension or with the extension .png, the image will be transferred in PNG format (Portable Network Graphic). This data type enhances transparency and lossless compression. All modern browsers can display images in this format.

The second type supported is JPEG, ending in .jpg. Compression involves losses and transparency is impossible. The compression algorithms applied can result in streaks and blurred edges. This data format is only recommendable if the pages have to be displayed by browsers that do not support PNG format – an exceptional case these days.

The tag IMG is added to embed images into HTML pages:

<IMG src="/diagrams/linediagram">

<IMG src="/diagrams/linediagram.png">

<IMG src="http://mywebserver/xydiagram1.jpg">


Additional Options

As a rule, images are displayed in the size in which they are displayed in XTR WinControl as windows in regular position. This also applies if the corresponding windows are temporarily minimized, maximized or hidden.

The only exception is the project image, which is always displayed with its entire drawing surface. The default display thus depends on the current XTR WinControl settings. If the user changes the window size, this will have a direct effect on the web site.

There may be applications where this is desirable. However, more often the web designer will create a site in which the images take up a defined amount of space. Several options are available:

In HTML, the image can be scaled in the IMG tag

(<IMG src="/diagrams/image.jpg" width="100" height="100">),

but details are lost during minimizing and "steps" occur during maximizing.

The XTR WinControl web server supports options to define the appearance of images when designing a site, largely regardless of how the XTR WinControl windows from which the web server generates the images, are displayed at the time. The options are separated from the image name by a question mark (?), for several options these are separated by "&". The following options are supported:

Width and Height

The options Width and Height always have to be used jointly and define the image size in pixel. Example:
<IMG src="/diagrams/diagram.png?Width=200&Height=100">
requests an image from the web server whose dimension is 200 x 100 pixel.

In contrast to the HTML scaling in the browser, the image is generated direcly in XTR WinControl in its requested size, thus preserving all details, even in small images, while large images appear as clearly as in XTR WinControl .

There is only one restriction with regard to minimum size: if the dimensions are too small, only a section of the image will be displayed. The minimum dimensions depend on window types and channels / data volume and have to be estimated for each individual case.
In general, the following minimum dimensions apply (width x height):

· Arc and vector instrument: approx.150 x 120

· Wind rose: approx.120 x 120

· Value display: approx.50 x 20 per channel. Please note that the software will optimize the arrangement of rows and columns for multiple displays.

· Bar diagram: 50 pixel width / channel, 70 pixel height

· Line and XY diagram: 150 x 150 pixel

Project images cannot be scaled; the web server generates an image from the desired project image window that corresponds to a rectangular section of the window, beginning in the top left corner and using height and width dimensions as indicated. If the dimensions are smaller than the program window, the image will contain only a section of the project image. If the dimensions are larger, the remaining surface will be displayed in the background colour.

Width and height can be indicated in whole numbers from 0 – 1500 for the width and from 0 – 1200 for the height. Smaller values will be ignored, larger values will be reset to the maximum value permitted.

Transparency

The option Transparency instructs the web server to request the image’s background colour as transparent (Transparency=1) or non-transparent (Transparency=0). The web server obtains the information what "background colour" is from the software settings. The default background for diagrams in XTR WinControl is grey (menu Settings/Others). If this option is deactivated, XTR WinControl will take the information on background colour from the settings of the operating system.

Transparency can only be effected for images requested in .png format. JPEG does not support this property. Only the values 0 and 1 are admissible.

Examples:

Activate Transparency:

<IMG src="/diagrams/ldiagram2?Transparency=1">

<IMG src"=/diagrams/ldiagram2.png?Transparency=1">

Deactivate Transparency (Default):

<IMG src"=/diagrams/ldiagram2Transparency=0">

<IMG src"=/diagrams/ldiagram2.png?Transparency=0">

Transparency is not possible for lJPEG:

<IMG src"=/diagrams/ldiagram3.jpg?Transparency=1">

Combination of several options:

<IMG src"=/diagrams/ldiagram2?Transparency=1&Width=100&Height=100">

Automatic Update

If the HTML page into which the images are embedded is supplied with JavaScript functions, automatic updates of images are an easy thing.

The only drawback is that many users deactivate JavaScript for security reasons. In order to then update images regularly, the entire page has to be reloaded.

The XTR WinControl web server goes one step further: If an image is linked to an HTML element that can be updated (FRAME or IFRAME), most browers can trigger the automatic update of just that element via the option Refresh, for instance:

<IFRAME src="/diagrams/bargraph?Refresh=10">

That means an IFRAME is placed onto the HTML page which contains only the requested image (in our example a bar diagram) that is to be updated at 10-second intervals.

The system accepts whole numbers between 0 and 65535, which are interpreted as time periods in seconds that elapse between two automatic updates.


Extended Settings

The web server integrated into XTR WinControl can be configured in a large scale. Experienced users should refer to the file webserver.ini in the program directory to change settings.

More:

General Settings

Web server Directories

Virtual Directories


General Settings

Basic settings are made in the section [General]. If the XTR WinControl web server is running in the intranet and a port other than the default HTTP port 80 is to be used, the entry

Port = desired port number (e.g. 85)

has to be adapted.

As compression of images generated by XTR WinControl involves a lot of calculating, the calculations are buffered and are only re-calculated if they change between two requests. The maximum cache size can be set with the entry

MaxCacheSize = Size in KB

The entry

Directories = Anzahl Verzeichnisangaben

is used to inform the web server how many sections make directory references (see below).

Creation of a log file is activated with the entry Logfile=1 and deactivated with the entry Logfile=0. Log files are stored in the sub-directory "Web logs" in the XTR WinControl program directory.

The section [Mime] contains the allocations file extension (à Data Format), via which the web server informs the browser about the format of the data to be transferred. Extensions can become essential if the XTR WinControl web server administers not only images but all HTML pages and if the data types used go beyond the usual standards.


Web server Directories

The the sections [Dir0] to [DirN], allocations are made of the directories requested by the browser to the corresponding physical or virtual directories on the local computer. There is a separate section for each directory reference. The number of sections is indicated in the entry Directories=of section[General].

The most important entry is the one for the root directory, which is usually defined in section [Dir0]. The entries Alias=/and Path=web determine that the web server delivers files from the sub-directory web. If the browser requests a directory rather than a file, the setting DirectoryListing=0 determines that the web server does not deliver a content list of the directory. To activate this function, enter DirectoryListing=1. Finally, the setting DefaultFile=index.htm is used to configure the web server in a way that it returns the contents of a certain file (index.htm) instead of the directory.

Similar to the root directory, other directories can be allocated to local directories of the server.

Enter Username=NAME and Password=PASSWORD to enable limited access to individual directories. Each directory can have separate (or no) password protection.

Attention!

Password and user name are stored in plain text in webserver.ini. Access to this file must be limited in order for password protection to function reliably.

If users try to access protected areas, the browser window will open a dialog into which name and password are to be entered. Access is only granted if these entries correspond to those stored in webserver.ini.


Virtual Directories

As described in chapter Transfer of virtual image directory, the command. "http://mywebserver/diagrams/" can be used to access images generated in XTR WinControl windows. "diagrams" is a virtual directory defined in section [Dir1]. Virtual directory means that there is no equivalent physical directory on a data medium, instead the data is dynamically generated in XTR WinControl and supplied as required by the browser

The only virtual directory supported at the moment is called ~Views. This directory can be used to access the contents of the diagrams displayed in XTR WinControl . The entries Alias=/diagrams and Path=~Views in the default definition of [Dir1] mean that access is made from the browser via the directory diagrams to the virtual directory in the web server. The user can determine whether the browser is to have access to the virtual directory list (DirectoryListing=1) or not.


change the properties of the active window

For most program windows in XTR WinControl there is a dialog box which lets you change the properties of the window. This dialog box will also appear when a new window is created. It is possible to alter these settings at any stage during use of the program.

Call!

· Automatic on creating a new window

· By using the command Data/Properties

· By clicking on the "Properties" icon in the toolbar

· By double clicking with the left mouse button in the appropriate window

· By clicking once with the right mouse button in the desired window and selecting the Properties command from the context menu

· By pressing <ENTER> whilst the desired window is active


establish a connection to the measuring devices

In the Connection Settings dialog box you can choose to work online and thus establish a connection to your measuring devices . Select the Interface/port that your measuring device is connected to and then set the appropriate baud rate. Clicking on OK will confirm the details in this dialog box and XTR WinControl will then establish a connection (see also: Manage Connections or Add a Connection).

Call!

· Automatic on starting the program

· Using the command Settings/Add a Connection

· By clicking on the "Manage Connections" icon in the toolbar


set the sampling rate

The desired sampling rate can be set in the Dialog "Measuring Cycle".

Call!

· By using the command Settings/Sampling Rate

· By using the <CTRL + R> keyboard shortcut

Attention!

It is possible to enter a sampling rate that is shorter than the system can actually realize. If this is the case, the program and system will start on the next sample as soon as the previous one has been processed.


create a new value display

· By using the command Data/New Value Display

· By pressing <F7>

· By clicking with the left mouse button on the "New Value Display" icon in the toolbar


create a new bar graph

· By using the command Data/New Bar Graph

· By pressing <F6>

· By clicking with the left mouse button on the "New Bar Graph" icon in the toolbar


print a bar graph

· By activating the bar graph to be printed and then

· By using the command File/Print or

· By clicking on the "Print" icon in the toolbar with the left mouse button


create a new data table

· By using the command Data/New Data Table

· By pressing <F10>

· By clicking on the "New Data Table" icon in the toolbar with the left mouse button


print a data table

· By activating the data table to be printed and then

· By using the command File/Print or

· By clicking on the "print" icon in the toolbar with the left mouse button


create a project drawing

To create a project drawing, execute the menu function Data/New Project drawing.

In order to define the properties of the project drawing, open the menu View/Diagram properties and then Diagram properties in the context menu, or press <Enter> to open the corresponding properties dialog.

In order to insert objects into a project drawing, choose the function Edit/Insert Object… Drawing objects (lines, polygons, etc.) can be inserted with the function Edit/Draw.

A new value field can be inserted into a project drawing via the function Insert Object/Value Field in the Edit menu or the context menu.

First of all, use the mouse pointer to determine the position within the project drawing. After a single click with the left mouse button the dialog "Properties: Value Display Field" will be opened. This dialog contains several elements (register cards) for selection of the desired channel, a link to a file and design (e.g. font, color) of the text field.

Equivalent a new text field can be inserted into a project drawing via the function Insert Object/Text Field in the Edit menu or the context menu. The dialog "Properties: Text Field" contains several elements (register cards) for changes to text, a link to a file and design (e.g. font, color) of the text field.

A new graphic can be inserted into a project image via the function Insert Object/Insert Bitmap and Object/Enhanced Metafile in the Edit menu or the context menu. A standard file dialog will appear, in which the desired graphic can be selected and loaded as bmp or ehm file after confirmation with OK. The size of the image can be changed by dragging the mouse pointer while keeping the left mouse button pressed.

All object types (value field, text field, bitmap…) are positioned by selecting the desired object with the left mouse button and moving the pointer while holding the button down. In order to select several options simultaneously, click on these objects with the left mouse button while pressing the <Shift> key or drag a frame around them while keeping the left mouse button pressed.


create a new line diagram

· By using the command Data/New Line Diagram

· By pressing <F5>

· By clicking once with the left mouse button on the "New Line Diagram" icon in the toolbar


print a line diagram

· By activating the line diagram to be printed and then

· By using the command File/Print or

· By clicking once with the left mouse button on the "Print" icon in the toolbar

or:

· By activating the line diagram to be printed and then

· By using the command Edit/Copy

· By running your word processor and inserting the diagram into the document using the Edit/Paste command and then printing the document from the word processor


print line diagrams over several pages

In the active line diagram, select the time area to be displayed on every page (Line Diagram Properties). The print dialog will appear after calling the function File/Print. In the section "Printing Area" you can choose between the options "All" or "Pages From To". After confirmation with OK either the entire file will be printed over several pages or only the pages selected, depending on your choice. The size of the time frame of every page corresponds to the size of the time frame of the line diagram which was active at the time of calling.


print the channel list

· By activating the channel list window and then

· By use the command File/Print or

· By clicking once on the "Print" icon in the toolbar with the left mouse button


define a global calculation channel

· Select the command Programming/Calculation Channels

· Use the "Calculation Channel" window dialog and click on the Add button and define the new calculation channel using the channel number.

· Enter the appropriate settings and any formula that you wish to use (see also Calculation Channels Properties).

· Click on Apply and your new calculation channel will be added to the channel list.


define a local calculation channel

· Activate the data set that you wish to define alocal calculation channel for (i.e., a line, X/Y Diagram or data table).

· Select the command Edit/Add Calculation Channel.

· Set the properties and enter any formula for the local calculation channel in the "Add Calculation Channel" dialog box (see also: Add Calculation Channel).


define counters, sums or averages throughout the measurement

· Carry out all steps required for agreeing a global or local calculation channel.

· If the formula uses the value of this calculation channel, the latest value of this channel will be returned.

· This way it is possible to add up a channel’s data captured in each cycle.

· It is important to indicate a starting value. To do this, you can use the respective entry field in the dialog "Calculation Channel Properties". When the measurement starts, the value of the calculation channel will be set at that starting value in order to obtain a defined status.

As an example, the following settings are advisable for the test:

m(80,0) +1 | Setting of calculation channel 80.0 as single counter (1 is added with each cycle)
m(80,1)+m(80,0) | Setting of calculation channel 80.1 as the sum of the previous value and the new value of channel 80.0.
max(m(1, 0), m(80, 0)) | Maximum of all values from channel 1.0 throughout the measurement (the formula of calculation channel 80.0 is defined)


create averages for definable time areas (e.g. daily or hourly averages)

The function File/Data Reduction was introduced for the evaluation and reduction of saved data.

After calling the function File/Data Reduction, the dialog "Data Reduction" will appear, in which a cycle time can be selected during which cyclical averages are calculated. A new file is created, which contains all channels chosen from the list of the original file and whose data are the calculated cyclical averages.

This function is only available when the data set that it can be applied to is displayed in the active window (cf.: Data Reduction).


analyze a curve

· Open the data file and, if appropriate, switch to "Line Diagram" view.

· The function "Cursors" is available in the view menu and the context-sensitive menu. It is used to activate and deactivate two measuring cursors.

Activated cursors are shown as two vertical lines in the diagram, and a table in the bottom part of the line diagram window shows the data of all lines below the cursors.

Furthermore, the integrated statistics function calculates the following values for each curve in the line diagram:

· Difference between the two values below the cursors; Minimum, maximum, average and standard deviation of the area within the cursors. These values will be listed in the table as well.

The ratio between the size of the line diagram and the statistics table can be determined individually. If the mouse pointer is moved over the line between diagram and table, its form will change and the line can be moved while pressing the left mouse button.

The following options are available for printing:

· Direct print of diagram and statistics table

· Direct print of statistics table

· Copying of diagram or statistics table via intermediate storage into e.g. text documents or spreadsheets.


display overlapping characteristic curves

This display mode is selected in the Dialog "Line Diagram Properties", "Display", option "overlapping".

In this mode, data resulting from pooling of files is displayed with their time of origin. This function was integrated to enable the direct comparison of two characteristic curves in a diagram that were recorded at different times.


save and use display properties

The display properties of XTR WinControl data files can be saved into a separate file format. These files are called "Templates".

When the data file is activated, call the menu function File/Save As Template. A standard file dialog will appear, in which you can choose the directory, enter the file name and save the display properties of the selected data file as a template in a file with the file extension "amv" (see also: Save As Template).

Furthermore, display properties saved as templates can be used for existing WinControl measurement data files. The existing data file will then be displayed with the properties of the template.

When the data file is activated, call the menu function File/Use Template. A standard file dialog will appear, in which you can choose the desired template. After confirmation with OK, the display properties of the selected template are entered into the existing data file and the values are displayed according to these properties (see also: Use Template).


creating line diagrams from a template

New line diagrams can be created via a split icon in the toolbar.

As usual, a dialog for the creation of a new line diagram is opened when clicking on the left part which shows a diagram.

Clicking on the right part of the icon (triangle) will open a menu which lists all templates available in the program directory or any defined directory (see below). If an entry is selected by mouse click, the program will create a new line diagram with the settings from the template, including channels. The property dialog for line diagrams is only displayed if no template could be found in the respective directory.

In order to set a different source for the templates to be listed, enter TemplatePath = target directory into the section [Settings] of the file XTRWinControl.ini . The target directory has to be entered as an absolute path, including drive.

Example:

[Settings]

TemplatePath = C:\WinControl Data\Templates\


automatically connect files to a standard template when opening

Opening a file with a certain template can be optimised if the same template is to be applied for all (most) files. For individual files, the user can open the file, select "Use template…" from the menu and select a template from the respective dialog. In order to avoid repetition of these steps, the function "Use template when opening…" is available in the "File" menu. Using this function, a previously stipulated template (standard template) will be applied to the data file.

In order to activate this menu function, the standard template has to be defined as follows in the initializing file XTRWinControl.ini :

[Settings]

StandardTemplate= FilePath

Tip!

Please refer to the chapter find the configuration file to see how to find the configuration file XTRWinControl.ini and other relevant information.

Example:

[Settings]

StandardTemplate=C:\My Files\stdtemplate.amv


add or amend channel comments

· Activate the requested data set.

· Select the function View/Channel Comments. The dialog "Channel Comments" will appear, which contains a table with all channels in the diagram and their comment (optional).

· All required changes can be made in this table and saved by confirming with OK.

Attention!

This function is only available offline, as otherwise these changes would be immediately replaced with the comment entered in the device.


add notes to a measurement data file

You can add notes to a data file via the function View/Notes. This function opens a dialog into which the desired notes can be entered. This dialog can also be opened via the context-sensitive menu in the respective view mode of the data file.


insert a WinControl diagram into a text document

Using MS-Word as an example the following describes how to insert XTR WinControl diagrams into a text document. In order to do so it is necessary to have the data displayed in a line diagram and copied to the clipboard (done using the Edit/Copy command).

The following steps need to be completed using your text editor:

· Ensure that the document in which a diagram is to be inserted is open and that a file is open and that the cursor is correctly positioned.

· Use the command Edit/Paste.

· The line diagram together with it’s settings will then be inserted into your document.

If you want to change the properties of an inserted diagram, you can do this as follows:

· By double clicking with the left mouse button on the inserted diagram. This will activate XTR WinControl .

· It will appear as if XTR WinControl is running which means that you can change the diagram characteristics.

· The necessary XTR WinControl commands and icons in the toolbar will be made available for this purpose.

· By clicking on the text area in your text editor XTR WinControl will be closed and you can continue working with your word processor.


save data to a file

Before starting polling use the Data/AutoSave command. In the resulting dialog box all of the available channels will be highlighted for saving. If you only want to save a particular channel or channels then you can deselect those that you do not wish to save. By clicking on Start the settings in this dialog box will be applied. Remember to select the directory to save the data in and to enter a file name for it. These entries should be confirmed by clicking on OK. The next time you open this dialog box, the Start button will have been replaced with a Stop button. Data will be saved under the given file name until the user clicks on this button. If your computer crashes during polling and automatic saving, then you should find that the majority of the data will already have been saved and will therefore be unaffected by the crash (see also: AutoSave).

Additionally, any line diagrams and data tables can be saved as a file using the command File/Save (see also: File/Save).


save part of a data set

The function File/Save Part offers the possibility to save a certain time frame of a data set in a new file. Starting this function opens the dialog "Save Part".

The channels desired to be saved can be selected from the list and the desired time frame can be determined by entering date and time for beginning and end (see also: Save Part).


load a saved data file

Using the command File/Open you can open a saved data file. If this file has been saved using AutoSave or Data/Download from Device Memory, then the file will be opened in file summary format (see also: File/Open). Otherwise, it will be displayed in the format that it appears when it was saved (i.e., line or X/Y diagram, data table or summary).


merge data files with one another

· Open one of the files that you wish to merge (the viewing mode is irrelevant).

· Select the command File/Merge (either using the pull-down menu or the context menu, activated by clicking in the window with the right mouse button).

· The standard file dialog box will appear and you can select a file to be merged with the one that you have already opened. Confirm your selection with OK.


automatically create daily files

· Select the command Data/AutoSave or press <F8>.

· Activate the "By Timer" option. The input fields Date, Time, and Duration (Days hh:mm) which previously appeared in grey should now appear in black. This means that the values are valid.

· Enter a "Start Date" for polling to begin on. If you do not enter a date in this field then only the entry in the "Time" field will be used. This will result in new data being automatically saved as soon as this time is reached. If the AutoSave has been stopped by the user and/or the "Duration" period has passed by when the "Start Time" is reached again, the program will automatically restart saving new data.

· When the "Start Time" is reached, your system will automatically start saving the data that is recorded.

· Enter a duration period for your system to automatically save polled data. Entries in the "Days" field must be integers, you cannot for example, enter half days. It is possible to combine both "Days" and "hours and minutes" settings. Furthermore, you can also enter more than 24 hours in the "hh:mm" field.


automatically store several files onto the hard disk per day

In order to automatically store several files onto the hard disk per day, the following steps are to be carried out after calling the function Data / AutoSave in the dialog "AutoSave":

· Selection of the start option "Timed"

· Stipulation of start time (do not enter date!)

· Stipulation of duration

· Activating of the option "Repeat immediately after expiration"

After the measurement has started, data file with the stipulated duration are automatically created. File names are allocated automatically. They are formed according to the following principle, depending on date and time of creation: yymmdd-hhmmxx. The variable "xx" is a counter for the (theoretical) case that several files are created at exactly the same time (cf.: AutoSave).


automatically save an event log

If the function Save Automatically is activated, the event log can also be saved automatically. To achieve this, the option "Save event log automatically" must be activated in the dialog "AutoSave". Click with the left mouse button on the option field left of the text so that you can see a little x in this box (see also: AutoSave).

The event log is then saved in the same directory and with the same name (but with the extension . xtrevt) as the data file.


export an event log

This is what you do to save an event log, generated in case of an alarm, in the form of an ASCII file: When the event log is activated, start the function File/Export. When this function is called, a standard file dialog will appear into which the desired name and directory for the file to be saved can be entered.


automatically continue polling after power failure

· Select the command Settings/Others and activate the Automatically continue polling after power failure" option. To activate this option, click in the check box with the left mouse button.

· Open the "Connection Settings" dialog box and activate the "Auto Connect on Startup" option. To activate this option, click in the check box with the left mouse button.

· Copy the XTR WinControl icon from it’s program group to the Windows "Startup" group. One method of copying this icon is to click on it with the left mouse button and hold the button down, at the same time, press and hold <CTRL> and drag the icon into the "Startup" group.

· Use the Data/AutoSave command to create a file to save the polled data to.

· Once the XTR WinControl program has been restarted after a power failure, all data will continue to be saved in the file named under "AutoSave".


display my data in a spreadsheet program

If you want to display the data from a line diagram or a saved file (the "File summary" window must be active) in your spreadsheet program, then use the command File/Export. In the resulting dialog box select the DDE window. The data can now be sent directly to your running spreadsheet program (see also: File/Export).


transfer data to Excel online

For online data transfer to Excel you can use the function Data/New Excel Connection. When calling this function, you will first be asked (as usual) for the properties of the object "New Excel Connection", and after entering this information, a window will open which informs you about the status of the Excel connection (cf. New Excel Connection).


transfer my data to Excel using DDE

· Start MS-Excel in parallel to XTR WinControl

· Within XTR WinControl , activate the window containing the data that you wish to transfer (for example, a line diagram, data table or a file summary window).

· Select the command File/Export and select the "DDE" window.

· Next, select the channels from the list whose data you wish to transfer.

· Select "Excel" from the Service drop-down list box

· Select the name of the Excel worksheet that will receive the data from the Topic drop-down list box.

· Enter the destination row and column range in the Item text field. The format of this setting depends on the version of Excel that you are using. For the German version, Z1S1:Z100S3 would be appropriate. This represents a cell range from row 1, column 1 to row 100, column 3.

· Having done this, click on the "Send" button.

· Now switch to your spreadsheet program (for example, by using the <ALT+TAB> keyboard shortcut).


receive information about connected devices

All available information about the connected measuring devices are shown in the window "Channels, Devices and Connections" on the register card "Devices".


find the configuration file XTRWinControl.ini

XTR WinControl saves all settings made in the program in a file. This configuration file is called XTRWinControl.ini and is stored in the "AppData" directory of the current Windows user. It can be found in the directory (enter it into the address bar of your Windows Explorer):

%AppData%\akrobit\

Therefore, each Windows user, who starts XTR WinControl , gets his / her own configuration file.

Tip!

If XTR WinControl is started several times simultaneously on one computer, several configuration files will be created (cf.: working with several instances of WinControl).

Attention!

If you want to run XTR WinControl independent from the Windows user, always with the same configuration file, you have to copy the configuration file into a local directory, which can be accessed by every Windows user. After that, alter the shortcut of XTR WinControl on the Desktop of all users (cf.: automatically load a specific configuration when starting the program).

More:

Compatibility with previous versions


Compatibility with previous versions

Using XTR WinControl before version 6.7.5.0, the configuration file was always stored inside the local Windows directory (Address: %WinDir%). If a new XTR WinControl version ist started without having a configuration file in %AppData%\akrobit\ the software will use the file from the Windows directory (if available).

Notes for Configuration

Using XTR WinControl before version 6.7.5.0, the configuration file was always stored inside the local Windows directory (Address: %WinDir%).

Attention!

If you execute the software on your computer under a Windows user with limited authorization, the following may occur:

· XTR WinControl cannot create or change the configuration file XTRWinControl.ini .

· XTR WinControl will not recover the previous settings when the computer is started up again.

· Changes to settings of the XTR WinControl password protection will no longer be available when the computer is started up again.

These events often occur because your Windows user (and thus your XTR WinControl ) has no write permission for the local Windows directory. In order to prevent such events, you can make the following changes:

· Contact your system administrator and ask for write permission for the local Windows directory to be granted.

· Copy the file XTRWinControl.ini into a directory for which your Windows user holds the write permission and change the start-up link for XTR WinControl (cf.: automatically load a specific configuration when starting the program).

Attention!

Newer operating systems, such as "MS Windows Server 2008" and "MS Windows Vista", can automatically divert certain files into different directories in order to protect important system directories against changes and/or damage.

Therefore, the configuration file XTRWinControl.ini can only be saved in the Windows directory if the software is executed on the local administrator account. Otherwise the file XTRWinControl.ini will be diverted into a directory within your user directory.

The target directory of the diversion can vary according on the settings in your operating system. Under "MS Windows Server 2008" and "MS Windows Vista", XTRWinControl.ini can be found in the following directory if the operating system has the standard configuration:

%LocalAppData%\VirtualStore\Windows\

Tip!

For operating system "MS Windows Vista" or higher, programs are started, according to factory setting, with limited user rights, even if the user is logged in with local administrator rights. In order to prevent this, ask your system administrator to deactivate the so-called "User account control".

Tip!

Several older operating systems support the diversion of certain directories; however this is not included in the factory settings. Please inform your system administrator of the properties of your system.


administer multiple program configurations

If you have created a special workspace for certain data acquisition tasks, then it will automatically be saved when you exit the program. The next time you start the program this workspace will be used. If you then make changes to this workspace the earlier one will be lost.

However, it is possible to save a workspace so that you can reuse it later. The workspace is saved in a separate program configuration file. To save such a layout, select the File/Save Configuration command and enter the appropriate information (file name, destination drive and directory) in the standard file dialog box that appears.

Using the File/Load Configuration file command you can later restore your configuration.


automatically load a specific configuration when starting the program

If you frequently use multiple program configurations, it is recommended that you create a new program icon in the XTR WinControl program group or on your desktop for each configuration.

For each symbol, the program call can be connected to a certain initializing file.

To create new program icons, follow these steps:

· Copy the original program icon within the program group.

· Change the command line for the new program icon, so that it refers to your configuration file. To do so, activate the new program icon and select the Program Manager File/Properties command. This should open a dialog box. After the text " XTRWinControl.exe " -Ini=name.ini, where "name" is the name of your configuration file. Once you have done this, confirm your entry by clicking on OK.

Now when you click on this new program icon, the program will start using the configuration file which you entered as name.ini. If this file does not exist, then it will automatically be created. When you close the XTR WinControl program the configuration will be saved to this file.

Please note that it is possible to have differently configured versions of the program running simultaneously.


working with several instances of WinControl

For administration of several (independent) measurement systems with one PC, XTR WinControl can be loaded on one PC more than once. The following functions are available for structured work with several instances of XTR WinControl :

More:

Automatic Program Numeration

Automatic Administration of Initializing Files

User-Defined Main Window Titles


Automatic Program Numeration

The first instance of XTR WinControl works as usual, the second will automatically be given the title " XTR WinControl (2)", the third will be " XTR WinControl (3)" etc. The numbering will continue until the last instance of XTR WinControl has been closed.


Automatic Administration of Initializing Files

Corresponding to the automatic generation of a title, the initializing file will be determined automatically, unless otherwise agreed when starting the program. The second instance will use the file XTRWinControl _2.ini, the third one the file XTRWinControl _3.ini etc.


User-Defined Main Window Titles

It is possible to determine in the corresponding initializing file XTRWinControl.ini or XTRWinControl _n.ini which title is to be shown in the main window and thus in the task bar. Enter Main Title="Desired Name" in the section [Settings]. Empty names are not permitted. The name should not consist of more than 256 characters.

Tip!

Please refer to the chapter find the configuration file to see how to find the configuration file XTRWinControl.ini and other relevant information.


transfer call parameters to a program to be started in case of alarm

XTR WinControl features the option to automatically call a program in case of alarm. The path to the desired program file is entered in the dialog "Alarm Settings", on the register card "Alarm Reactions" into the field "Start a Program".

In the field "Call Parameters" you can enter call parameters for the program to be called in case of alarm. For example, the parameter "C:\Alarm.txt" means for the program c:\windows\notepad.exe that in case of alarm Notepad will open and display the file c:\alarm.

In addition, macros can be entered for call parameters and will be expanded as follows in case of alarm:

Macro | Expansion to | Example
%1 | Channel | 0.2
%2 | Comment | Inside temperature
%3 | Event | Limit exceeded
%4 | Time of Alarm | 24.9.1999, 14:32:00

In case of alarm (e.g. Channel 0.2 has exceeded limit) the call parameters "%1 %2 %3 %4" would be transferred to the program to be called as "0.2 inside temperature limit exceeded 24.9.1999, 14:32:00".

Example:

The database software DatBank captures new alarm entries into its database via the command C:\DatBank\DatBank.exe append <Channel> <Comment> <Event> <Time>

In order to activate these entries via XTR WinControl , the following setting must be made:

In the field "Programm": c:\Datbase\Datbase.exe

In the field "Call Parameter": append %1 %2 %3 %4


automatically send eMails in case of alarm

· In case of an alarm, e-mails can be sent to any number of recipients. A MAPI client must be installed on the PC (Outlook, Outlook Express, Eudora, …), and the PC must have internet connection.

· A sender can be set under "Settings / eMail". The sender must contain a valid name and valid e-mail address.

· Rules must be fixed for sending e-mails in case of an alarm. Any number of rules can be defined, determining when, how and to whom e-mail is to be sent. Rules for alarm situations are fixed under "Settings / Alarm / eMail" (cf.: Register Card "e-Mail").

· You need to determine: a unique name for the rule, at least one sender, at least one trigger by selection of corresponding events and at least one channel.


define a default directory for data files

To save data files at the same location in the directory, enter DefaultSavePath=Target Directory into the initializing file XTRWinControl.ini or another configuration file in the section [Settings].

The Target Directory must be an existing directory, and the complete path must be entered.

Example:

[Settings]

DefaultSavePath = C:\My Files\mydatafiles

If the menu function "File\Save as…" or, for files that have not been saved, "File\Save" is called, a file dialog with the Target Directory will appear, and the user only has to enter the file name.


OLE server registration in Windows 2000

In Windows 2000 and XP, stricter limitations have been implemented for users with simple user rights. As a consequence, an error message might be returned when updating the internal OLE server during XTR WinControl startup.

In order to suppress this message, the registration process can be deactivated. In the section [Settings] of the initializing file XTRWinControl.ini , enter RegisterOLEServer=0. To activate registration, delete this entry or change it to RegisterOLEServer=1.

Following installation (to be carried out by an administrator), the programm should be restarted under the administrator’s account for correct installation of the OLE server. Then the above entry can be made into XTRWinControl.ini and the program run with user rights.


start external programs automatically when starting application

In order to start an external program at the start of XTR WinControl , the entry AutoExec=<program path> has to be made in the section [Settings] of the configuration file XTRWinControl.ini . Should the <program path> contain any blanks, the path has to be framed by inverted commas. Options can be given but must be outside the blanks.

Example:

The program TCP_Serv.exe in directory C:\Own Files\Applications\Server shall be started when starting the program. The entry into XTRWinControl.ini must be:
[Settings]
AutoExec="C:\Own Files\Applications\Server\TCP_Serv.exe"

The program Logbuch.exe in directory D:\LogBuch shall be started when starting the program, with the options –Name="WinControl" –f –s –w.
The entry into XTRWinControl.ini must be:
[Settings]
AutoExec="D:\Logbuch\Logbuch.exe" -Name="WinControl" –f –s –w

XTR WinControl only supports opening of program during start-up. If several external programs are to be started, a corresponding batch file has to be created, into which the desired programs are entered. This batch file is to be added to the AutoExec entry in the configuration file.


start up the software on several processors

XTR WinControl can be used on computers with several processors or multi-core processors without limitation. However, XTR WinControl will be executed on only one processor / core.

Tip!

If XTR WinControl is running on only one processor / core, this will always be on the first processor / core, which is normally called "CPU0".

In some cases it might be desired to execute XTR WinControl on one or all available processors / cores. In order to achieve this, the following entry must be added to the section [Settings] in the configuration file XTRWinControl.ini , which is located in the Windows directory:

RunOnSingleCore=1 / 0

. The value 1 restricts XTR WinControl to run on one processor / core only. Default value is: 1. XTR WinControl must then be started up again in order for the changes to be effective.

Tip!

Please refer to the chapter find the configuration file to see how to find the configuration file XTRWinControl.ini and other relevant information.


change the size of the sample history

The on-line calculation is based on data provided by the set sample history, whose volume is set to 100 samples per channel. This limitation must be taken into consideration in calculations and calculation channel function that require data from the history (e.g. integrals, standard deviations, averages).

In order to use larger volumes, the history must be adapted by adding the following entry to the section [Settings] in the file XTRWinControl.ini prior to starting the program:

HistorySize=Number_of_values

Example:

HistorySize=500

sets the volume of the sample history to 500 samples per channel.


Formulae

More:

Numerical Values

Operands

Functions

Values of other channels

External Functions

Examples

Maximum number of calculation channels

Decimal Separators and Channel Descriptions


Numerical Values

Integer and floating point decimal values are accepted. Floating point decimals may contain decimal points, but not decimal commas. "Pi" can also be used for numerical constants.

Examples

1 1.5 -0.567 4.578e-3


Operands

As well as the standard mathematical operands (+ - * /) you may also use exponentials using the "^" operand.

Examples:

3 * 9 -5 2 ^ 16 17.5 / (12.5 - 7)


Functions

All function names must appear in lower case letters. The following functions can be used:

abs(x)

Absolute value

sqrt(x)

Square root

sin(x)

Sine

cos(x)

Cosine

tan(x)

Tangent

cot(x)

Cotangent

arcsin(x)

Arc Sine

arccos(x)

Arc Cosine

arctan(x)

Arc Tangent

arccot(x)

Arc Cotangent

exp(x)

Exponential function

ln(x)

Logarithm, base e

lg(x)

Logarithm, base 10

sinh(x)

sinhHyperbolic Sine

cosh(x)

Hyperbolic Cosine

tanh(x)

Hyperbolic Tangent

int(x)

Integer of x

bin(x)

1 if greater than (>) 0. Otherwise 0 (zero)

rad(x)

Radiant - Convert an angle from degrees to radians

min(x, y)

Minimum of x and y

max(x, y)

Maximum of x and y

if(Condition; then; else)

If the condition is fulfilled (true), the "then" value is returned, otherwise the "else" value. (cf. Conditional values)

Condition1 and Condition2

Returns the condition "true", if both Condition1 and Condition2 are "true", otherwise "false".

Condition1 or Condition2

Returns the condition "true", if either Condition 1 or Condition or both are "true", otherwise "false".

not Condition1

Returns the reverse of Condition 1: if Condition 1 is "true", the value "false" is returned and vice versa.

m(a, b)

m("Comment")

The value of the channel with the device number a (or 0) and the channel number b. Alternatively, the channel comment can be indicated in double quotation marks, taking capitalization into consideration (cf. Values of other channels).

h(a, b, n)

History, n-latest value of the channel a.b. n=0 returns the latest, n=1 the last but one value etc. (please note: change the size of the sample history)

ht(a, b, n)

Returns the timestamp of the n-latest value of the channel a.b. n=0 returns the timestamp of the latest, n=1 the last but one value etc. The timestamp is a figure which corresponds to the amount of seconds that have passed since 1 January, 2000, 12:00 a.m. (please note: change the size of the sample history)

const("Constant")

Returns the value of a constant, which was defined in menu "Programming/Define Constants…" (cf. Define Constants). Names of constants are case sensitive.

valid(Expression)

Returns "false", if the Expression has a illegal value, otherwise "true". The expression can be each part of a valid formula for calculation channels.

Example:

valid(m(0,2)) returns "true", if channel 0.2 is connected and returns a valid measurement value.

dt(a, b)

Numerical derivative (Dx/Dt) of the two latest values of channel a.b

mean_n(a, b, n)

Returns the floating average of the channel a.b for the last n values. (please note: change the size of the sample history)

mean_t(a, b, t)

Returns the floating average of the channel a.b for the last t seconds. (please note: change the size of the sample history)

s(a, b, t)

Returns the integral for the last t seconds of the channel a.b. (please note: change the size of the sample history)

extnear("File Name", x)

An external function (see below) is read from the file "File Name", consisting of value pairs (a, b) for which the following applies: b = f(a). From these pairs the one with the minimum distance |a-x| and the corresponding value f(a) is chosen.

extinter("File Name", x)

An external function (see below) is read from the file "File Name", consisting of value pairs (a, b) for which the following applies: b = f(a). The value y = f’(x) is returned, with f’ resulting from a linear interpolation of the value pairs.

extfile_count("File Name", a, b)

Out of the XTR file "File name" the number of values for channel a.b is returned (cf.: Use data files in calculation channels)

extfile_value("File Name", a, b, n)

Out of the XTR file "File name" the n-th value for channel a.b is returned. The value “n” can be a number between 0 and extfile_count() minus 1. (cf.: Use data files in calculation channels)

pid(a, b, VP, Vi, VD, t)

Calculates the regulation variable y for the channel a.b with the proportional quota VP, the integral quota VI and the differential quota VD based on the latest time period t. (please note: change the size of the sample history)

sec(hh:mm:ss)

Converts time indicated in hours, minutes and seconds into seconds.

time()

The function time() supplies a figure which corresponds to the amount of seconds that have passed since midnight. The time is calculated based on the clock integrated in the PC, so that a new value is returned every second. Manipulations to the time setting have a direct effect on the value calculated by time()(cf.: Date and Time).

date()

The function date() supplies a figure which corresponds to the amount of days that have passed since 1 January, 2000. The date is calculated based on the date set in the PC. A new value is returned every day. Changes to the date settings on the PC have an effect on the result given by date()(cf.: Date and Time).

days

The function days(YYYY/MM/DD) supplies the number of days between 1 January, 2000 and the date defined by YYYY/MM/DD.

YYYY = Year, four digits between 2000 <= YYYY < 2037

MM = Month, one or two digits between 1 <= MM <= 12

DD = Day, one or two digits between 1 <= DD <= 31

If the values for year, month and day are outside the defined area, the calculation channel in which this function is used will rendered invalid ("Rupture of detector").

alarmactive()

Returns the value TRUE in case of an alarm situation with elapsed delay time, regardless of whether the user has confirmed an alarm. If no alarm situation prevails or the delay of the alarm is not elasped, the value FALSE will be returned.

If the alarm function has not been released, an invalid value will be returned (à detector fraction) to indicate that this function cannot return a meaningful value.

alarmsuppressed()

If the user has confirmed an alarm but the reason for the alarm prevails, the alarm will continue to be active, but will be suppressed until the reason for the alarm has been terminated. Suppressed alarms can be identified in calculation channels. The value TRUE is returned if an alarm is being suppressed. Otherwise the value FALSE will be returned.

If the alarm function has not been released, an invalid value will be returned (à detector fraction) to indicate that this function cannot return a meaningful value.

alarmpending()

Returns the value TRUE in case of an alarm situation, regardless of whether the user has confirmed an alarm or the delay time of the alarm. If no alarm situation prevails, the value FALSE will be returned.

If the alarm function has not been released, an invalid value will be returned (à detector fraction) to indicate that this function cannot return a meaningful value.

stddeviation_n()

Calculates the standard deviation for the last n values. It is a floating calculation, which starts if at least two values are available. (please note: change the size of the sample history)

Syntax:

stddeviation_n(Devicenumber, Channelnumber, Number of Values)

stddeviation_t()

Calculates the standard deviation for the values within the last t seconds. It is a floating calculation, which starts if at least two values are available in the given time range. (please note: change the size of the sample history)

Syntax:

stddeviation_t(Devicenumber, Channelnumber, Time in Seconds)

samplingcycle()

The result is the current sampling rate in seconds. It is useful to create counters with an increment which depends on the sampling rate.

Note: This function may be used in formulas for offline calculations too, but this is not a meaningful application because the result is always the current sampling rate of the system which may differ from the sampling rate used for saving the data!

pollingperiod()

The result is the difference between the time when starting the polling and the current time as a floating point number. The seconds are stored before the decimal point, the milliseconds after.

The result of this function is constant within a sampling cycle and all calls to this function return the same value.

pulse(t)

Delivers the value 1 after the period of time t for a measurement cycle, otherwise 0. If the set cycle is shorter than the period t, the function will return the constant value 1. The period of time t is indicated in seconds.


Values of other channels

It is possible to use values recorded by other channels using the pseudo-function "m(y)", "m(x, y)". Whereby "x" represents the device number and "y", the channel number. If no device number is given, then it will default to 0 (zero). Any expression can be used for device and channel numbers. For example, m(4/3) will be evaluated as m(1).

Alternatively to indicating the device and channel number, the channel comment can be used as well, provided it is unambiguous. Capitalization is to be taken into consideration. Furthermore, the channel comment is to be given in double quotation marks. If channel 1 of device 0 has the comment Kanal, the value of this channel can be referenced by m(1), m(0,1) and m("Kanal").

Calculation channels are capable of accessing the data of other calculation channels. This only functions for descending calculation channels. For example, a calculation channel that has been assigned channel number 110 can read data from a calculation channel with the channel number 100. However, channel 100 cannot read data from channel 110.

Recursions are possible: if the formula of a calculation channel accesses the value of this channel, that value is returned which the calculation last had. This way it is possible to define e.g. counters, sums or averages throughout the measurement. It is important that a starting value is given for recursive formulae. When the measurement starts, the value of the calculation channel is set to this start value in order to obtain a defined status.

When referencing non existent channels, no error message will be displayed. In addition, no values can be calculated.


External Functions

External functions are functions of the form y = f(x), which are saved in the form of value pairs in ASCII files. The following applies for the file format:

· Each line contains a value pair.

· The rules for display of numbers in the file are the same as within the calculation channels themselves (cf. "Numerical Values").

· For increased clarity, empty rows and comment rows are allowed. Comment rows begin with a semicolon (;) and may contain a maximum of 200 characters.

· Outside the defined area of this function, the value "invalid" will be returned.


Examples

More:

Working with one or two channels

Condition 1

Condition 2

Time lag between two values

Derivative

Integral

Average over one minute (smoothing)

External Functions

Use data files in calculation channels

Calculation Function "pid"

Date and Time

Standard Deviation


Working with one or two channels

Average of the channels 1 and 2:

(m(1) + m(2)) / 2

Scaling of a value:

(m(2,6) - 30.5) * 19.7

Minimum of two channels

min( m(0, 10), m(1, 10) )

Counter

m(80, 0) + 1

the formula of the calculation channel 80.0 is defined.

Sum

m(80,1)+m(80,0)

Stipulated for the calculation channel 80.1 as sum of the previous value and the new value of channel 80.0

Maximum of all values of a channel:

max( m(1, 0), m(80, 0) )

Maximum of all values of channel 1.0 throughout the measurement (the formula of the calculation channel 80.0 is defined).


Condition 1

if (valid(m(0,0)); m(0,0); 12)

Returns the value of the channel 0.0 as long as it has a valid value, otherwise the value 12.

If (valid(m(0,1)) and valid(m(0,2)); if (m(0,2) >0 or m(0,2) < 0; m(0,1) / m(0,2); 0); -1): ) If the channels m(0,1) and m(0,2) return valid values, it is tested whether the value of m(0,2) is unequal 0. If that is the case, the result m(0,1)/m(0,2) is returned, otherwise 0. Should only one of the two channels be invalid, the result –1 is returned. This example shows that the if function makes sure that only valid values are contained (here: avoid division by 0) and that this value can signal certain states: -1 if invalid channels are accessed, 0 if division by 0 was avoided.


Condition 2

if (valid(m(0,1)); if (m(0,1) >= 0; sqrt(m(0,1)); -1); -2)

If m(0,1) returns an invalid value, -2 is returned, if m(0,1) is negative, -1 is returned, and if m(0,1) is valid and positive, the square root is returned. The formula can also be formed the other way round:

sqrt(if(valid(m(0,1)); if(m(0,1) >= 0; m(0,1);0);0).

This is to avoid that the square root is formed from a negative number or an invalid channel, however, a status cannot be returned: if there is no positive, valid number behind m(0,1), 0 is taken.


Time lag between two values

Task: The time lag between the current and the last measurement value should be calculated.

Solution: A calculation channel is created with the following formula:

ht(a, b, 0) - ht(a, b, 1)

i.e.: the time of the current value of the channel a.b (in seconds that have passed since 1 January, 2000, 12:00 a.m.) will be reduces by the time of the previoous value of the same channel. The result is the time lag between both values in seconds.

Attention!

The formula results in an error ("sensor error") during first measurement cycle, because there is no previous value in this case. Additionally, the calculation channel outputs an error if the referenced channel a.b does not exist..

If the calculation channel should not result in errors, the formula must be extended with a condition, as following:

if( valid(ht(a, b, 1)); ht(a, b, 0) - ht(a, b, 1); 0)


Derivative

The formula dt (1, 0) delivers a numerical approximate value for the first derivative of the value of the channel 1.0.

Example:

Value of channel 1.0 at the time t0 = 10:00:00 is 3,0

Value of channel 1.0 at the time t1 = 10:00:01 is 6,0

At the time t1, the calculation channel with the formula dt(1.0) returns the value:


Integral

Example 1: general integral

The numerical approximate value is formed for the integral over the last 3 seconds of the channel 1.0:

s(1,0,3)

If the last value of the channel 1.0 has the value 20 at the time t0 and the value of 3 seconds before is 10, the calculation channel with the formula s(1,0,3) returns the value [image] .

Attention!

Only the actual values during this time interval can be used for calculations. That means that any value even only slightly outside this interval and thus the area below the curve between this value and the one that was last used cannot be considered!

Attention!

Please note: change the size of the sample history.


Average over one minute (smoothing)

mean_t(1, 1, 60) oder mean_t(1, 1, sec(00:01:00))

Starting from the time of the current value, all values of the channel 1.1 received within the last 60 seconds are averaged.

Transferring larger time units into seconds:

This function is designed as a help function for such functions that expect indication of time in seconds. In order to avoid having to calculate "manually", the function sec(…) is available.

Hours to seconds: sec(01:00:00) returns 3600

Minutes to seconds: sec(00:10:00) returns 600

Of course, combinations are possible:

sec(01:10:10) returns 4210

sec(00:01:10) returns 70 etc.

Average of 7 values (smoothing):

mean_n(1, 1, 7)

Starting from the current value, the last seven values that have been received from channel 1.1 are averaged.

Provision of values of previous measurement cycles:

This function is designed as a help function for formulae that require access to values of previous measurement cycles.

h(2,1,4)

For the channel 2.1 with the values 1, 2, 3, 4, 5, 6 this function returns the value 2.


External Functions

File Format:

A file with value pairs of external function looks as follows:

; a comment, no more than 200 characters

; in the next row are the actual values

0.1, 2.3

2.0000, 79098.8888

2.0001, -34.9

5, 5

7, 7

;End of file

Calculation Channel Functions:

extnear("F:\Daten\extern.dat", 2)

returns, for the above-mentioned sample file, the value 79098.8888. Any other value can replace the constant 2, as long as it returns a value, e.g: extnear("F:\Daten\extern.dat", m(1))

extinter("F:\Daten\extern.dat", 6)

returns, for the above-mentioned sample file, the value 6.0. In this case, the constant 6 can also be replaced with any other value that returns a value, e.g.: extinter("F:\Daten\extern.dat", m(1,2) * m(2,4) / m(3,1))


Use data files in calculation channels

XTR WinControl enables the use of recorded data in on-line and off-line calculations. The data must be available in XTR file format.

Access functions

Two new calculation channel functions have been defined:

extfile_value("file name", Device no., Channel no., Index)

extfile_count("file name", Device no., Channel no.)

The given file name must contain the complete path to a data file ( .xtr ). Device no. and Channel no. reference a channel (in the file).

The function extfile_count("file name", Device no., Channel no.) delivers the number of values for the given channel in the file, or a sensor break if the file does not exist or the channel given is not contained.

The function extfile_value("file name", Device no., Channel no., Index) delivers the n-th value of the channel "Device no., Channel no." in the given file, with the n-th value corresponding to the index transferred. The index may go up to X in the area 0 (= first value in the file), with X = the result of the function extfile_count (for the same file and the same channel) minus one.

Functioning

During the first access to a file, it will be loaded completely into the memory, which can take some time according to the file volume. Each access to the data relating to one channel will be recorded. If no access is made during 20 measuring cycles, the unused data will be removed from memory.

Examples

Channel 80.0 implements a counter counting from 0 up to the number -1 of the data of channel 0.0 in the file "D:\Data\test.xtr". The counter is increased by one during each measuring cycle. The initial value of the calculation channel must be 0!

if(m(80,0)<extfile_count("D:\Data\test.xtr",0,0)–1;m(80,0)+1;0)

Channel 80.1 delivers the data of channel 0.0 in the file "D:\Data\test.xtr" to the index created by calculation channel 80.0:

extfile_value("D:\Data\test.xtr", 0, 0, m(80,0))

Notes

The number of values of various channels within one file may vary. It is therefore recommended to determine the number separately for each channel used or to ensure that the data file used as data source contains a value for each channel at each time stamp contained.


Calculation Function "pid"

The function "pid" has been implemented for use in the calculation formulae. It represents a PID controller.

It is based on the following formula:

The syntax of the pid function for the calculation channels is:

pid (device, channel, VP, VI, VD, t).

This is the connection between the formula and the pid function:

Function pid | Formula | Explanation
Device = Device number | x | Controlled variable
Channel = Channel number |  |
VP | V P | Factor for proportional quota
V I | V I | Factor for integral quota
V D | V D | Factor for differential quota
t (in Seconds) | t | Time period for integration / differentiation
Result | y | Regulation variable

(Please note: change the size of the sample history)

Example:

pid(80,0, 0.12, 0.5, 4.2, 30) calculates the regulation variable y for channel 80.0 with VP=0,12, VI = 0,5 and VD = 4,2 based on the last 30 seconds.

The function pid can be in a channel alone or can be joined in one formula with different values.


Date and Time

Task: During a long-time measurement, relays have to be switched on at a certain date (31 July 2002). Automatic switch-off is not provided for.

Solution: A calculation channel is created with the following formula:

if(date() >= days(2002/7/31); 1; -1)

i.e.: if the current date is higher than or equal to 31 July 2002, the calculation channel will return the value 1, otherwise (i.e. all days before 31 July 2002) the value –1.

Task: An output relay is to be switched on every day at a certain time (9:00:00) and switched off after a defined period of time (2 hours).

Solution: A calculation channel is created with the following formula:

if(time() >= sec(9:00:00) and time() < sec(11:00:00); 1; -1)

i.e.: as long as the current time is higher than 9:00:00 and lower than 11:00:00 (= 9:00 + 2 hours), the relay is switched on. Before and after that period of time, the relay will be switched off.

Attention!

If an invalid date has been entered (e.g. 31 February 2001), the calculation will be based on the date that corresponds to the number of days in that year.

à 31.02.2001 = 03.03.2001

à 31.04.2002 = 01.05.2002

Tip!

The functions of date and time can be combined with each other and with other functions, e.g. date() + 1, in order to obtain a value for "the day after tomorrow". sin(time()) is also possible, even though it probably won’t be required.

It is not possible, however, to replace numbers in the functions days and sec by function calls. sec(m(80,0):m(80,1):m(80,2)), for example, would result in a syntax error while being entered.


Standard Deviation

The standard deviation can be calculated with the function stddeviation_n for the last n values and with the function stddevaition_t for the values within the last t seconds.

Syntax:

stddeviation_n(device address, channel number, number of values)

stddeviation_t(device address, channel number, time in seconds)

It is a floating calculation which starts if at least two values are available in the given range.

Attention!

Please note chapter: change the size of the sample history.

Examples:

· Calculation of the standard deviation over the last 25 values for channel 0.0: stddeviation_n(0,0, 25)

· Calculation of the standard deviation over the last 5 minutes for channel 0.1: stddeviation_t(0,1, 5 *60)


Maximum number of calculation channels

You can use the device numbers 80 to 85 in the dialog "Add Calculation Channel" to define more then 100 calculation channels. Using this range of device numbers makes it possible to add up to 500 calculation channels.


Decimal Separators and Channel Descriptions

Please note that in the formulae, device number and channel number are separated by a Comma. Decimal separators are given as Periods in the formulae.


Support of Exponential Value Display

XTR WinControl supports the exponential display of numbers (basis ten), in the form "Factor e exponent" (e.g. "23e-5"). This is done automatically by XTR WinControl if there would not be sufficient space for display.


Data formats of the Export Function

More:

Text

Famos

Lotus WK1 (Excel)

Binary

QS-STAT

DIAdem Format


Text

The structure of the ASCII file to be exported can be configured individually. The button Text Format opens the Dialog "Text Format", in which you can determine the precise settings (positioning of values, field separators, decimals, comments, date/time, channel information) for the ASCII file.


Famos

If the format "Famos" is selected, files are exported in the Famos format version 3. The Famos format version 2 is available as an optional version.

To activate it, enter "FamosFormat=0" in the section [settings] of the file XTRWinControl.ini . After starting the program, the old format is available for export.


Lotus WK1 (Excel)

The format WK1 is available for the export of data into a spreadsheet program. This format can be read by all known spreadsheet programs (e.g. Excel, Quattro Pro, Lotus 123).


Binary

Choose this format to export data as pure binary data.


QS-STAT

If you select the format "QS-STAT", data is exported in a format that can be read by the software QS-STAT of the company Q-DAS GmbH, which is frequently used in the automobile industry.


DIAdem Format

If you select the format "DIAdem", data is exported in a format that can be read by the software DIadem of the company GfS Aachen.


Special settings for sending alarm messages via eMail

The following entries can be made in section [MAIL] of the XTRWinControl.ini . These entries are only relevant for sending alarm messages via e-mail.

MailAutoLogoff

· = 1 (Standard): The mailing session is closed after each alarm mail has been sent

· = 0: The first alarm mail creates a mailing session which will remain active until the program is shut down (not recommended for Outlook Express)

MailUserName

If several profiles for message sending have been created on one PC, the entry MailUserName="Profile name" can be made to determine the profile to be applied.

MailPassWord

If the profile in use requires a password, it can be entered here in plain text.


The Password Protection

As a rule, the application is always started in a way that no user is regis-tered and therefore no unauthorized person can execute any function. Irrespective of this, given tasks will be performed if the corresponding settings (e.g. "Automatically start polling", "Continue polling after power failure", "Automatically activate port settings after re-booting" etc.) were made. Please refer to the manual for detailed information.

Attention!

The function "Password Protection" is optional and not available in each version of the programme.

All settings for password protection and user administration can be made via the menu function Settings/Password protection.

For the first start-up of XTR WinControl , only the pre-defined system operator is entered as user. Enter the user name "SysOp" and the password "SysOp" to cancel the lock.

Note: Once XTR WinControl has been installed on a system and password settings were made, these settings continue to be valid; i. e. there might be a different system operator password! Distinctions are made between upper and lower case letters for both names and passwords!

More:

Log-on user

Dialog "Password protection / User administration"

Dialog "Add User"

Dialog "Change Password and Access Rights"

Dialog "Access Rights"


Log-on user

When the software is started with active password protection, or a XTR WinControl user has logged off, a dialog will open for entering a user name and password.

XTR WinControl continues to operate as usual in this status. However, no changes can be made until a user has logged on. Also, exiting XTR WinControl is only possible if an authorized user has logged on beforehand.


Dialog "Password protection / User administration"

Appendix > The Password Protection

Dialog "Password protection / User administration"

A dialog can be opened via the menu "Settings/Password protection".

This dialog lets you create, edit and delete users. This is also where you can administer the settings for automated logoff.

At first start-up, only the user "SysOp" is entered here. It cannot be de-leted, and if only one user is logged into XTR WinControl as SysOp, this person can change the password.

Use the button Add… to add any number of new users to XTR WinControl . Click on the button Change… to open a dialog for the XTR WinControl user selected from the list.

Tip: The first thing you should do after installation is to enter a new password for the system operator SysOp.

Use the button Remove to delete the selected user without prior queries. All changes made, including adding and removing of users, will only become effective when the dialog is confirmed with OK.

Use the option "Activate password protection" to switch password protection on and off. When activating password protection, the current user will automatically be logged off after closing this dialog. In order to continue work with the system, the user then has to log on with his name and password.

Select the option "Auto-logoff" to determine whether the current user is to be automatically logged off, and the programme locked, after a certain time period has expired with no user activity. If this option is activated, a time period of between 1 and 60 minutes has to be entered that is to pass before automated logoff is affected. Regardless of auto-logoff, any user can log off (and lock the programme) by selecting the menu item File/User logoff.


Dialog "Add User"

Use the button "Add…" to add any number of additional new users:

The user name is arbitrary, can contain both letters and figures and has to comprise at least 2 characters. The password has to comprise at least 4 characters and can contain letters, figures and symbols. A distinction is made between capital and lower case letters for both the user name and the password.

Administrators can define the functions accessible to users with limited authorization. Individual user rights can be determined for each user.


Dialog "Change Password and Access Rights"

Click on the button "Change…" to open a dialog for the user selected from the list. First of all, a new password should be entered for the system operator SysOp after installation.

This is where you can change the password and access authorization for each registered user. Click on the button Authorization to adapt access authorization in detail and establish limited user rights.


Dialog "Access Rights"

The Access Rights can be set for every single user, if limited Access Rights are selected. In this dialog the Access Rights for each XTR WinControl menu can be granted or revoked.

The first branch of the tree ("Joint entries") contains the entries that are available in all window types and are used to call the same functions. All other branches are allocated to a corresponding window type and contain the functions that relate to the corresponding window type. For instance, you can determine that only line diagrams are to be printed or only data displays are to be closed. Each branch contains a sub-branch for each menu that contains individual menu entries, with sub-menus being represented by sub-branches. The selection box in front of the branch and entry names can be activated in order to permit access, and it can be deactivated in order to prevent access. If the field of one branch has been activated, all entries and sub-branches contained will automatically be selected as well. The same applies for deactivation of a field.

If only some entries have been activated within a branch, this is indicated by means of a slash (/) instead of a tick (√) in the branch’s selection field. Branches can be distinguished from simple entries by means of a field [+] or [-] in front of them. Clicking on [+] expands the display of the branch by the first level of entries and sub-branches, clicking on [-] will hide all entries and sub-branches. Clicking on OK will save the settings and bring you back to the main dialog, where the new user is visible in the user list.

Note on the issue of authorization:

· The menu item "User logoff" is shown in the dialog for the sake of completeness. However, XTR WinControl ignores this setting. A user can always log off, even if an authorization has been withdrawn!

· You can determine in the branch "Joint entries", sub-item "Windows", whether a user is authorized to change windows (move, adapt its size, change between windows etc.). However, this does not affect the possibility to activate a window by clicking on it with the left mouse button and to position it before another window!

· Each user can be granted the right to access the "Settings/Password protection” function. This means that each user can extend not only his own rights but also change other users’ and administrators’ authorizations (except SysOp!). We therefore recommend not issuing this authorization!

· If a user is granted the right to close windows that contain data files (tables, overviews, line and XY diagrams), but is not granted the right to save the data, these windows will be closed without prior queries without saving the data contained. It is therefore recommended to permit closing of windows of this type only if the user is authorized to save such data.

Note: Closing windows without saving the data contained has no impact on the files generated by automatic saving.

The XTR WinControl password protection uses the ability of Windows NT-based systems to issue user-specific write permissions for individual files or directories. All password protection settings are saved in the file xtr32.access.ini in the Windows directory. Sensitive information (e.g. passwords) is encoded additionally. This file is generated and changed by XTR WinControl if the password protection settings in the programme are changed.

Attention!

After the administrator has installed XTR WinControl , he should take the following steps in order to ensure the effectiveness of the password protection:

· change the password for the system operator

· create XTR WinControl users

· end XTR WinControl

· delete the authorization to write or delete the file xtr32.access.ini for all users except the administrator.

Note: All settings described can only be made if the user is entitled to change the above-mentioned file xtr32.access.ini ; otherwise the system will return a note and the main dialog for password protection settings will not be opened.

XTR WinControl should always be operated under a pure user or main user account in the operating system when running measurement applications. The administrator account should only be used for settings in connection with password protection.

Attention!

Newer operating systems, such as "MS Windows Server 2008" and "MS Windows Vista", can automatically divert certain files into different directories in order to protect important system directories against changes and/or damage.

Therefore, the configuration file xtr32.access.ini can only be saved in the Windows directory if the software is executed on the local administrator account. Otherwise the file xtr32.access.ini will be diverted into a directory within your user directory.

The target directory of the diversion can vary according on the settings in your operating system. Under "MS Windows Server 2008" and "MS Windows Vista", xtr32.access.ini can be found in the following directory if the operating system has the standard configuration: %LocalAppData%\VirtualStore\Windows\

Tip!

For operating system "MS Windows Vista" or higher, programs are started, according to factory setting, with limited user rights, even if the user is logged in with local administrator rights. In order to prevent this, ask your system administrator to deactivate the so-called "User account control".

Tip!

Several older operating systems support the diversion of certain directories; however this is not included in the factory settings. Please inform your system administrator of the properties of your system.


The Test Bench Manager

XTR WinControl offers the possibility to manage and execute several independent automated saving activities.

A comfortable graphic surface is available for the simultaneous operation of several AutoSave managers (automated saving activities). It shows the current status of all AutoSave managers at a glance.

Changing the properties and adding new AutoSave managers only requires a few mouse clicks. In addition, individual managers can be started and stopped independently. Each AutoSave manager has the same setting options as described in the chapter AutoSave, with additional properties available for the test area manager.

Attention!

The Test Bench Manager is optional and not available in each version of the programme.

More:

Window: AutoSave (Test Bench Manager)


Window: AutoSave (Test Bench Manager)

If XTR WinControl is configured for the simultaneous run of various AutoSave managers, there now is a comfortable graphic surface available with which the present status of each auto save manager can be seen in one view. The change of properties as well as the addition of new AutoSave managers can be done with less mouse clicks. Furthermore the single managers can be started and stopped independently.

This window can be opened using the toolbar, the key F8 or the menu "Data/AutoSave". Closing this dialog will not affect the function of AutoSave.

The properties dialog of a selected AutoSave manager can be opened by a click on the button "Properties…" or double click on the entry inside the Test Bench Manager.

By a click on "Add…" a new AutoSave manager will be created. The button "Delete" will remove the currently selected AutoSave manager from the list.

By using the buttons "Start" and "Stop" it is possible to take control of the runtime of each AutoSave manager.

The table "Saving activities" shows all AutoSave managers with their current status, name, minimum, current value, maximum and file name.

The status shows whether an AutoSave manager is active or not. The following states are possible:

· not active

· active, currently saving ( [image] )

· active, awaiting starting time ( [image] )

· active, awaiting starting event ( [image] )

The file name will only be shown for those AutoSave managers that are currently active and are saving data into a file.

The name and the data display can be defined for each AutoSave manager in its properties dialog. Two additional register cards are available in the AutoSave manager’s properties dialog.

More:

Register Card: "Label"

Register Card: "Value Box"


Register Card: "Label"

If the properties of an AutoSave manager are called out off the AutoSave window of the Test Bench Manager, the dialog "AutoSave" with the register card "Label" will be schown.

On this register card you can type in a label, which will be schown in the AutoSave window of the Test Bench Manager.


Register Card: "Value Box"

On the register card "Value Box" you can select a measuring / calculation channel out of a list. The current value, minimum and maximum of this channel will be displayed on the AutoSave window of the Test Bench Manager.

If the check box on this register card is activated, you can click on the triangle on the right of the selection box to set a channel. If this AutoSave manager is activated, the overview will show the current values of this channel in the columns Min, Max and value, as well as the previous minimum and maximum.

Attention!

If the optional Test Bench Manager is activated there is no register card "Keep settings" visible. In this case the Test Bench Manager keeps the settings of each AutoSave action automatically.


The OPC Export

XTR WinControl can operate as an OPC Client and transfer measurement data to an OPC server.

OPC is effected via the existing network. XTR WinControl can transfer data simultaneously to several OPC servers. Starting from one OPC server, such data can be transferred into almost any compatible system.

Attention!

This function is not available for all versions of XTR WinControl . A detailed description will be provided when this function is purchased. It is also available on request.

More:

Requirements

Functioning

Settings

Example: Visualize data in LabView™


Requirements

An OPC server that provides variables according to the standards "OPC Data Access Server 2" or "OPC Data Access Server 3" is available on the PC on which XTR WinControl is operated or within the network.


Functioning

Transfer of data to OPC servers operates similarly to the transfer of date to MS Excel: any number of windows can be open in XTR WinControl , each of which represents the transfer to a server. Settings can be made for each of these windows, stipulating which channel is to be transferred to which server variable.

The status of the transfer is displayed in the window itself. The settings made can be saved in file format and loaded at a later time. If windows with data transfer to OPC servers are active when saving a configuration, and if they have already been saved as separate files, these file names will also be stored in the configuration. When loading the configuration, the windows with data transfer to OPC servers will be recovered.


Settings

A new OPC export can be created via the menu function Measurement data/New OPC export. The window "WinControl OPC Export" will open, which contains some information regarding the export. In addition to the comment, computer name and OPC server to which the data is to be exported, the window also shows the channels and calculation channels to be exported in table format.

Select Start and Stop respectively to begin and interrupt the transfer to Excel. Click on Properties to open the properties dialog for this connection. Keep in mind that the properties dialog can only be opened when the transfer is interrupted. Clicking on Help will show this text.

More:

Dialog "OPC Export Properties"

Dialog "Add OPC Export"


Dialog "OPC Export Properties"

Click on Properties to open the dialog "OPC Export Properties", in which the settings can be made.

Comment

Defines a description of this OPC Export.

Computer name

The name or IP address of the computer on which the requested OPC server is active. Alternatively, open the dialog "Search computer" via the Search button. You can then select the computer from a list of computers available within the network.

Attention!

The dialog "Search computer" shows all computers available within the network. They are not checked for availability of OPC servers.

OPC Server

A single click, with the left mouse button, on the arrow on the right of the entry field will show all OPC servers available on the set computer in table format. Another click on the corresponding entry in the table will select an OPC server.

Note: If the OPC server is operated within the network, completion of the list might take several seconds!

Exported data

The table illustrated here shows all OPC variables of the selected OPC server that are to be described with measurement data by XTR WinControl . Click on the Remove button to delete the selected entry.


Dialog "Add OPC Export"

Click on the Add button to select the variables to which measurement data is to be transferred.

All variables provided by the server are listed under "Available OPC values". Click on the desired variable in order to move it into the field "OPC value". All that is left to do now is to select the channel whose value is to be exported to the variable from the "Channel" list.

Optionally, you can set updates as follows: usually, the value will be exported during each measurement cycle. In order to keep the load to the server and possibly the network as low as possible, export settings can be arranged in a way that values are only transferred if they differ from the most recently transferred value by a set amount that can be freely defined.

Click on Add to take the combination "variable – channel" over into the Properties dialog. You can now allocate the next channel to a further variable.

Note: If you select a variable repeatedly, previous allocations will be erased!

Once all desired settings have been made, the dialog can be closed by clicking on Close. The properties dialog can be closed by clicking on OK. The settings will now be shown in the window "WinControl OPC Export".

Click on the Start button to start the transfer to the server. Click on the Stop button to stop the transfer. In the course of the transfer, the columns "Current value", "Value transferred", "Time of transfer", "State" and, if applicable, "Latest error" are continuously updated.


Example: Visualize data in LabView™

The software LabView™, version 8 or higher, provides an OPC server that integrates data gathered by XTR WinControl and, among other options, can visualize it. The following steps are necessary:

More:

LabView™: OPC Variables

Prepare display

Prepare data transfer


LabView™: OPC Variables

Create a new project under LabView™ or open an existing one. Then click, with the right mouse button on "My computer" and select "New…/Variable" from the context menu.

You can determine the properties of the variable in the dialog box that opens.

What’s important here are a clear and unambiguous name and the correct data type, for which "Double" is recommended.

Depending on the number of channels to be displayed by XTR WinControl in LabView™, the procedure is to be repeated several times, making sure that each variable is allocated a clear and unambiguous name.


Prepare display

In order to display data in LabView™, a VI is required. An existing VI can be opened or a new one created. The latter is executed by clicking, with the right mouse button, on "My Computer" and then selecting "New…/VI".

A suitable tool is to be generated (for each variable created) in the VI’s tool view. In our example we select numerical analogue display for reasons of simplicity.

The display is then switched to block diagram (menu "Window/Display block diagram"). The variable created can now be dragged by mouse from the project box into block view.

The block diagram now contains the display and a reference to the variable – both can now be connected by mouse.

Clicking on the [image] button puts the OPC variables at other applications’ disposal, and the display of received data is activated.

Until data is received from other applications, the set default value of the respective display (normally 0) will be displayed.


Prepare data transfer

As described in the section Settings, XTR WinControl can now add values for data transfer:

· create new OPC connection

· select server: if several OPC servers are available, the LabView™ OPC server must be selected. It comes with the factory setting name:
National Instruments.Variable Engine.1

· allocate variable

· start data transfer and polling

LabView™ now displays the values captured and calculated by XTR WinControl .


Line diagram - Print Protocol

More:

Description of function

Create protocol templates

Settings and Tips


Description of function

XTR WinControl can integrate line diagrams into protocol templates by a mouse click and automatically print the protocols that have been created like this. The protocol templates have to be available as RTF-documents. They may be several pages long, contain any texts and graphics and may be supplied with place holder for diagrams and texts.

The print of the protocols is done with the application on the PC determined for RTF documents.

To start the print of the protocol, a line diagram has to be opened in XTR WinControl and in the menu "File" or in the dialog box the sub-menu "Print protocol" has to be chosen and it has to be clicked on the desired template.


Create protocol templates

More:

Tools

Place holder for Line diagrams

Place holder for texts

Place holder for Channels


Tools

The protocols can be created in RTF-Format with any program that can integrate graphics as Enhanced Metafile.

Successfully tested has been the creation with Wordpad and Microsoft Word. With OpenOffice 1.1 no protocol could be created because graphics are not embedded but saved externally and integrated as a link.


Place holder for Line diagrams

If the protocol contains a special Enhanced Metafile, this Metafile is interpreted as a place holder for a diagram and is substituted with the present line diagram through a Metafile. The line diagram is scaled to the size of the place holder.

To use this functionality, the file protocol.rtf in the directory ReportTpl has to be edited. This file contains place holder as well as sample texts. To create own protocol templates it is recommended to adjust the texts to the own requirements and if necessary move the place holder and/or scale them. Afterwards the file has to be saved under a different name. Alternatively the place holder can be included into an own protocol template through the clip board but it needs to be considered that the format in the place holder graphic is not changed.


Place holder for texts

Place holder of type <par:name> are substituted by the content of the parameter name, that is included in the line diagram. It is distinguished between capitalizations! If the parameter name is not included in the line diagram the place holder remains in the protocol.


Place holder for Channels

Following place holder were added to show the latest value, date and time of an included measurement channel:

<lastval:x.y> | Last value of the measurement channel x.y.
<lastvaldate:x.y> | Date of the last value of the measurement channel x.y.
<lastvaltime:x.y> | Time of the last value of the measurement channel x.y.
<lastvaltimeh:x.y> | Time (including milliseconds) of the last value of the measurement channel x.y.


Settings and Tips

The directory in which patterns are looked for is per pre-setting the directory ReportTpl in the program directory of XTR WinControl . In the initializing file XTRWinControl.ini a different saving place can be determined. For this, in section [Settings] the entry ProtocolTemplateDir=target path has to be included. Target path has to be substituted by a complete path entry.

Example:

[Settings]

ProtocolTemplateDir=C:\My Files\WinControl Protocols

When the automatic print of protocol is activated, XTR WinControl starts the application on the PC set for RTF-Documents and initiates the print order. After completion of the print of the protocol the application automatically is closed. If the protocol shall be revised before the print out or manual changes are desired, the executing operation can be entered into the initializing file XTRWinControl.ini . Enter ProtocolOperation in section [Settings]. As options, print and open are allowed but print is the pre-setting which is even used when no explicit operation is entered.

If open is entered as operation, XTR WinControl starts the application set on the PC for RTF Documents and shows the protocol, the print has to be initiated manually and the application is not closed automatically.

The created protocols which name is made of the protocol pattern as well as date and time, are saved in the temporary directory of the operating system and deleted after one hour or when ending XTR WinControl . If the protocols are used by other applications at this point of time, the delete is not possible and has to be done manually or trough the relevant function of the operating system if necessary.


License administration within the network via hardware copy protection

Within a network, XTR WinControl can be operated on a server via a central dongle. The dongle at the server contains all licensing data as well as the number of licences that can be issued.

When starting XTR WinControl from any workplace within the network, the program makes a connection to the server and reserves a license. XTR WinControl instances can be started as long as all license entries at the servers are occupied. Then one instance of XTR WinControl has to be closed before starting another one somewhere else.


Schedule-controlled connections

A schedule can be drawn up for each connection to measuring devices to automatically activate and deactivate such devices.

The connections dialog shows a corresponding symbol in the “Status“ column if connections are active or a schedule has been determined for them:

The following symbols are available:

· [image] = Connection has been activated manually

· [image] = Connection has been activated automatically via schedule

· [image] = Connection has been deactivated + schedule is available and active

· [image] = Connection has been deactivated + schedule is available and deactivated

If no symbol is displayed behind the connection status, the connection has been deactivated and no schedule has been created.

Click with the right mouse button on a connection to open the context menu for this connection. The context menu lets you (de)activate the connection concerned or (if available) its schedule.

Tip!

The schedule can not be switched on or off if the connection if active! Changes to entries regarding the schedule can be made as long as the activation status of the connection concerned is not changed automatically due to an active schedule while the changes are being made.

Attention!

This function is not available in all versions of the program. In order to use this function, the option “Modem support“, or at least the variant “Professional“ must be activated.

More:

Settings

Notes and rules


Settings

The register card “Schedule“ is available in the dialog “Extended connection settings".

It shows a list of entries for the schedule. Use the buttons “Add” or “Edit” to add new entries or edit existing entries (cf.: Create schedule). Clicking on the button “Delete” will remove the previously selected entry from the schedule.

The list shows for each entry those days on which the entry is to be executed. Each day is symbolized by its first letter, while days for which no start time has been defined are displayed as a dash (-). The display begins with Sunday and ends with Saturday. The list also shows the start time and the duration of entries.

Use the option field “Activate Schedule“ to determine whether the schedule created is to be used for the connection or not. If the field has been activated, at least one entry must be made in the schedule.

The number of entries is indirectly limited to a maximum number of 5040 admissible entries, as entries must not overlap and the minimum duration of each entry is two minutes.

Attention!

Changes to the connection settings cannot be adopted if the connection is automatically (de)activated by the schedule while the changes are being made.

More:

Create schedule


Create schedule

Use the buttons “Add“ or “Edit“ to open a dialog in which the time (00:00 ... 23:59) can be determined at which the connection is activated. You must also determine the duration for which the connection is to remain active. An option field is given for each day of the week. It must be activated in order to execute the start on the respective day.

The button “All days“ is available for simplified use: all days of the week will be activated when you click on this button. If all days of the week have already been activated, you will deactivate all days of the week by clicking on this button.

Click on “OK“ to close the dialog and adopt the entry. The entries are automatically checked for the following:

· The start time must be between 00:00 and 23:59.

· The duration must be at least two minutes.

· At least one day must be selected.

· The entry must not overlap with other entries of the same schedule (e.g. if the frequency is “daily”, the duration must not exceed 24 hours).


Notes and rules

In order to provide consistent functionality that is also guaranteed during unexpected events (e.g. power outage), the following rules are applicable:

· If a connection with an active schedule is activated manually, it also must be deactivated manually. This is to ensure the uninterrupted execution of functions called (e.g. read out memory, program channels,...).

· The schedules will be checked once a minute to determine whether connections are to be activated or deactivated. This need not be carried out on the full minute, so that a connection that is supposed to be activated at 00:00 may not be actually activated until 00:59.

· The software starts checking the set duration after successful activation of the connection. This is to ensure that connections that take longer to build up (e.g. modem connections) still capture data for the set duration.

· Connections that take longer to build up or close down (e.g. modem connections) may experience additional delays when restarted (e.g. after power outage) until the connection has been completely restored.

· In cases of power outage, the program is interrupted unexpectedly, not leaving the software with the information how long the schedule-controlled connection had been active prior to restarting. Therefore, after successfully restoring the connection, it will be activated for the complete duration set.

· Connection properties cannot be changed if connections are automatically activated or deactivated as schedule while the properties dialog is open. In this case, the system will issue a message and change to properties must be made again.

· If a new connection is created with an active schedule, the connection will generally be added as deactivated connection.

· In case of errors occurring during the schedule-controlled activation of a connection (e.g. the device number given is already used by a different connection), a window will open that issues the corresponding message, and activation will be attempted again after one minute has elapsed.

· If the connection could be activated automatically, but problems occurred while accessing the connection resource (e.g. COM port occupied, modem: no reply from remote station, network: connection attempt rejected, …), the software will attempt to build up the connection at the interval set under “Reconnect” (cf.: Register card "Reconnect"). Should this attempt fail for a duration of five minutes, the connection will be deactivated and a corresponding error message will be displayed.

· Once a connection has been successfully activated under schedule-controlled activation, polling will start automatically unless it had already been activated.


The additional protocols

XTR WinControl can use several connections simultaneously.

In addition to the primaryprotocol(s), XTR WinControl also supports further optional protocols, so that measurement devices produced by selected suppliers can be integrated in to one XTR WinControl system.

Tip!

A complete list of all measuring devices and protocols is available on request. Additional protocols can be implemented at any time.

Each connection can communicate with the devices connected by means of various media and protocols.

The desired protocol can be selected from the connection settings (cf.: Connection Settings).

The properties of external channels captured by other protocols can be determined via the dialog "Programming/Channel programming" à register card "External". This is where you can define the comment and the unit as well as the limits.

Settings thus made are saved in the current configuration. The next time the programme is started; these definitions will automatically be available.

External systems are processed by the system regardless of their origin, so that all data can be visualized, saved, exported and processed together.

More:

The SimpleASCII Protocol

The OPC Import Protocol

The Data Server Protocol

The Modbus Protocol


The SimpleASCII Protocol

In addition to the XStream / NGA protocol, this additional module can be purchased to receive measurement data on one (or several) further connection(s) on the basis of a simple ASCII protocol. The following stipulations apply.

More:

Protocol definition / data format

Illustration / representation

Channel properties


Protocol definition / data format

The SimpleASCII protocol is a text-based protocol that transfers data cyclically from a server to a client (in this case XTR WinControl ). The connection can be made via COM port, modem or TCP/IP.

The data format is as follows:

ETX Data STX

with ETX = 0x02 and STX = 0x03. The "data" expected is floating point numbers separated by commas (with decimal point), such as:

ETX 1.2,, 1.3, 1.6, 2.7, 100, 200, 400, 1234.567 STX

ETX 1.2, 2.0, 1.3, 1.6, 2.7, 100, 200, 400, 1234.567 STX

ETX 1.2, 2.0, 1.3, 1.6, 2.7, 100, 200, 400, 1234.567 STX

Two consecutive commas indicate that no data is available for the channel expected at this position. Blanks will be ignored unless they occur within a floating point number, which will trigger an error.


Illustration / representation

XTR WinControl processes data as follows: the device number is allocated manually in the properties dialog. The channel number is derived from the position of the floating point number successfully evaluated: the first number is allocated to channel 0, the second number to channel 1, etc.

If device address 70 had been allocated to the data in the example above, the following measurement data would be produced by XTR WinControl :

70.0 | 70.1 | 70.2 | 70.3 | 70.4 | 70.5 | 70.6 | 70.7 | 70.8
1.2 |  | 1.3 | 1.6 | 2.7 | 100 | 200 | 400 | 1234.567
1.2 | 2.0 | 1.3 | 1.6 | 2.7 | 100 | 200 | 400 | 1234.567
1.2 | 2.0 | 1.3 | 1.6 | 2.7 | 100 | 200 | 400 | 1234.567


Channel properties

The properties of external channels captured via the Simple ASCII protocol can be stipulated in the dialog "Programming/Channel programming"à register card "External". The comment, the unit and the limits can be defined here:

The settings thus made are stored in the current configuration. The respective definitions will automatically be available the next time the program is started.

Note: changing or stipulating values has no impact on the protocol. The validity period can be amended at all times via the relevant dialog, as described above. However, if the device address is changed, the protocol will be re-set, involving a brief separation from the server!


The OPC Import Protocol

The optional OPC Import protocol is available to query values from variables of an OPC server in XTR WinControl .

More:

OPC Import Settings

Assign OPC Channels

OPC Channel Properties


OPC Import Settings

The following steps are required to make a connection to an OPC server:

Create a new connection and select the "OPC Import Protocol".

Enter the name or IP address of the PC on which the OPC server is running into the field “Computer name”. If XTR WinControl and the OPC server run on the same PC, this field can remain empty. Click on “Search” to start a dialog that lets the network use for the requested computer.

The selection field "OPC Server" lists all OPC servers installed on the PC selected above if you click on the arrow to the right of the operating control, allowing for easy selection of the desired server. Alternatively, you can enter the OPC server name into the field.

Use the button OPC values "…" to open a dialog in which you can select which OPC variables are to be imported and under which channel number they are to be integrated into the system (cf. Assign OPC Channels).

A device number must be entered into the field “Device number(s)“ that reflects a virtual device to which OPC channels can be allocated. The device number can range from 0…99, taking into account the following:

· each device number within a measuring system must be clear and unambiguous (irrespective of the connection and protocol types used).

· device numbers 80…85 are reserved for global calculation channels.

· device numbers 90…92 are reserved for global calculation channels and special functions.


Assign OPC Channels

The dialog "OPC items to import" lets you allocated OPC variables to channels:

The left field lists existing allocations. After selecting an entry, you can delete it by clicking on “Remove”. On the right you can see the OPC server selected in a tree structure. Click on [+] and [-] to open or close the variable groups. If a variable has been selected, the software will automatically activate the button “Add” and suggests a channel number. Clicking on this button will add the variable to the list on the left. The channel number will be increased automatically.


OPC Channel Properties

The channels captured via the OPC import protocol will be listed in the channel window. Double-click on a channel to open the properties dialog for external channels, where you can determine the channel comment displayes and the unit as well as define limits.


The Data Server Protocol

XTR WinControl can distribute values to clients as a data server (cf.: WinControl - The Data Server). XTR WinControl can now also act as client itself and integrate the data provided by (another) XTR WinControl on-line. In principle, each XTR WinControl can operate as server and client simultaneously.

More:

Data server connection settings

Register card "WinControl Data Server Protocol"

Data server channel properties


Data server connection settings

The following steps are required to create a connection to a WinControl data server:

Create a new connection and select the "WinControl data server protocol".

You should select the connection type "Network", as the server provides its data via TCP/IP. You must now ender the IP address or the symbolic PC name, on which XTR WinControl runs as data server. The port number is the same as for the WinControl data server. If the WinControl data server is operated in standard configuration, enter the value 10013.

XTR WinControl mirrors the devices of a server in the range 100-999, because:

· each XTR WinControl can use the device numbers 0..99.

· the device numbers within one system must be unambiguous.

· conflicts between local device numbers and data server device numbers are to be prevented.

A maximum number of 100 devices can be connected to each data server. Therefore, the following ranges are available for a maximum number of 9 data servers:

· 100 - 199

· 200 - 299

· ...

· 800 - 899

· 900 - 999

Note: For calculation channels, the calculation will always be executed in the order of channel numbers. Nevertheless, the values captured by the data server can be used the same way as locally captured values, as within one measuring cycle, the data of all connection will be captured first, before the calculation channels are processed.

Click on the button "Advanced" to open a dialog with additional protocol properties, where you will find a further, protocol-specific register card (cf.: Register card "WinControl Data Server Protocol").


Register card "WinControl Data Server Protocol"

This is where you determine the validity period of the data provided by the server:

Each data server operates with its own measuring cycle and sends its data at the end of this cycle. Therefore, the data will reach the client at different times and not necessarily at during the client’s measuring cycle. The client will store the data received until the end of the validity period and during each measuring cycle of the client the data will be treated, for the duration of its validity, as if it had just been received from the server. Should new values be received from the server within the validity period, they will replace the data in interim storage.

Recommendation: In order to obtain consistent data, the validity should be set to at least the same value as the data server’s measuring cycle.

Note: Depending on the connection type selected, further register cards will be available (cf.: Connection Settings/Extended Settings).

Attention!

If XTR WinControl operates both as data server and as client, the channels captured as client cannot be issued directly via the data server interface. In order to transfer data, a detour via calculation channels is required: create a calculation channel for each of these channels, whose formula is m(x,y), with x representing the device number (100…999) and y the corresponding channel number.

Example:

The server captures channels 180.0 and 180.2. They are to be transferred to other clients via the data server interface. Two calculation channels must now be created (e.g. 81.0 and 81.2), into which the formula m(180,0) and m (180,2) respectively is to be entered.


Data server channel properties

The channels captured via the WinControl data server protocol are listed in the channel window. Double-click on a channel to open the properties dialog for external channels, in which channel comment to be displayed and units as well as limits can be defined.


The Modbus Protocol

The Modbus Protocol enables Modbus equipment to be operated together with other devices in one data collection system. To make this possible, the Modbus protocoll has to be selected in the dialog for the properties of the connection.

While the measured values are being read into the system, data are read from user defined registers. These data can be scaled as required and become part of the data of the XTR WinControl System.

XTR WinControl supports the communication protocols "MODBUS RTU" (communication via a serial port) and "MODBUS TCP" (communication via a network). The communications protocol determines automatically which of these will be used for the communication (COM port or network).

Attention!

The device number for Modbus equipment is the slave ID for the Modbus connection as configured in the device itself. Every measurement device which is connected with XTR WinControl must have a unique device number.

More:

Register card "Modbus Protocol"

Change channel properties


Register card "Modbus Protocol"

Using the option "Advanced..." you can open a dialog where one of the options is the register card "Modbus Protocol". In this dialog the user specifies which registers data will be read from and which measurement channels they are assigned to.

Arrangement of the Modbus Register

This consists of a table with the following 4 columns : "Device", "Channel", "Address type", "Address".

Enter the slave id of the Modbus device in the column "Device" and the desired canal number in column "Channel". These two pieces of information will be used to generate the measuring point number which must always be unique in XTR WinControl .

Tip!

The contents of the table are automatically sorted in the order first device number and then channel number.

Enter the type of address in the "Address type" column and the corresponding address in the "Address" column.

XTR WinControl supports the basic types "Bit" (1 Bit) und "Word" (16 Bit) which are found in the internal tables "read only" and "read and write" within the devices so that the following types of addresses can be selected:

· read bit

· read and write bit

· read word

· read and write word

Allowable data ranges are:

· Device: 1 - 247

· Channel: 0 - 99

· Address Type: Selection from the list

· Address: 1…65535

Attention!

The address and address type depend on the device and the manufacturer and are taken from the documentation for each device.

Options available are "Append line", "Remove line" and the following:

· Using the tab key, the cursor springs to the next line. In the last column the cursor springs to the first column of the next line. If there is no next line, a new line will be inserted.

· Whenever a new line is inserted, the device number will be automatically taken from the last line.

· When moving from the column "Device" to the column "channel", the next channel number for this device will be determined and entered automatically.

· Using the combination of the <CTRL> + <Insert> keys a new line can be inserted above the current line.

· Using the combination of the <CTRL> + <Delete> keys the current line can be deleted.

Modbus timeout

Here the timeout which WinControl waits for an answer from the device is defined in milliseconds. Once this time has elapsed, the command can be repeated or the next command sent.

Tip!

Here the timeout which XTR WinControl waits for an answer from the device is defined in milliseconds. Once this time has elapsed, the command can be repeated or the next command sent.


Change channel properties

Once a Modbus connection has been successfully configured, the measuring channels defined are found in the list of measuring channels. By double clicking on any of the measuring channels, a dialog opens where the following further information can be entered:

· Change the comment on the measuring channel (Default: Datentyp @ Adresse).

· Change the unit (Default: none).

· Change the limit values (Default: none).

· Change the factor, offset and accuracy (Default: no information).

Using "Factor", "Offset" and "Precision" the value of a channel can be converted into a measurement value. The following procedure is used for the calculations:

· If a factor has been entered, the value is multiplied with it at first.

· If an offset has been entered, this will now be added.

· If a precision AND a factor is entered, the final activity will be to round to the appropriate number of decimal places after the decimal point.

Note: If no specification is entered for the "Precision", the answer will be rounded to 0 decimal places. If no factor is entered, no rounding of the result will be carried out!

Attention!

Factor, Offset and Precision are not available for all device types. These fields are disabled for all measurement channels related to devices which are not supported.


Glossary

Serial Number

Max Evaluation Time

Remaining Evaluation Time

Unlock Code

Calculation Channel

Context Menu

DDE - Dynamic Data Exchange

Properties Dialog Box

Channel List Window


Appendix

More:

Formulae

Support of Exponential Value Display

Data formats of the Export Function

Special settings for sending alarm messages via eMail

The Password Protection

The Test Bench Manager

The OPC Export

Line diagram - Print Protocol

License administration within the network via hardware copy protection

Schedule-controlled connections

The additional protocols


Calculation Channel

Using the formula editor, you can define the settings for a calculation channel. The polled data can be calculated and displayed both on and offline. A calculation channel can be defined as global (that is it is available to the whole system) or as local (where it is only available in a certain diagram or table).


Channel List Window

A list of all channels that are available to your system. This list is made up of the following components: Comments, device, channel, unit, sensor type, limit values, correction values, plus the icons for showing limit excesses, sensor errors and the AutoSave function.


Context Menu

The most important functions that can be used within an active window can be accessed via the context menu. To open a context menu, click in the window with the right mouse button.


DDE - Dynamic Data Exchange

A method of data transfer that can transfer data from one Windows application to another without having to copy anything to the clipboard or having to save and reload a file.


Max Evaluation Time

In the dialog " XTR WinControl License Information" in this field the max evaluation time is shown.


Properties Dialog Box

Nearly every XTR WinControl window has a properties dialog box. In this dialog box you can view and change a window’s properties.


Remaining Evaluation Time

In the dialog " XTR WinControl License Information" in this field the remaining evaluation time is shown.


Serial Number

In the dialog " XTR WinControl License Information" in this field the serial number is shown. Please refer this number for registering software.


Unlock Code

Enter in the dialog " XTR WinControl License Information" in this field the unlock code. Register the software, to get the unlock code.


How do I...

More:

change the properties of the active window

establish a connection to the measuring devices

set the sampling rate

create a new value display

create a new bar graph

print a bar graph

create a new data table

print a data table

create a project drawing

create a new line diagram

print a line diagram

print line diagrams over several pages

print the channel list

define a global calculation channel

define a local calculation channel

define counters, sums or averages throughout the measurement

create averages for definable time areas (e.g. daily or hourly averages)

analyze a curve

display overlapping characteristic curves

save and use display properties

creating line diagrams from a template

automatically connect files to a standard template when opening

add or amend channel comments

add notes to a measurement data file

insert a WinControl diagram into a text document

save data to a file

save part of a data set

load a saved data file

merge data files with one another

automatically create daily files

automatically store several files onto the hard disk per day

automatically save an event log

export an event log

automatically continue polling after power failure

display my data in a spreadsheet program

transfer data to Excel online

transfer my data to Excel using DDE

receive information about connected devices

find the configuration file XTRWinControl.ini

administer multiple program configurations

automatically load a specific configuration when starting the program

working with several instances of WinControl

transfer call parameters to a program to be started in case of alarm

automatically send eMails in case of alarm

define a default directory for data files

OLE server registration in Windows 2000

start external programs automatically when starting application

start up the software on several processors

change the size of the sample history


The XTR WinControl Menus

More:

The File Menu

The Edit Menu

The View Menu

The Data Menu

The Programming Menu

The Settings Menu

The Window Menu

The Help Menu


XTR WinControl Outline

More:

Installation and starting the program

XTR WinControl Key Points

Integration and networking

Quick Introduction


XTR WinControl - The Data Server

More:

Server Operation

Server Interface

Application Examples


XTR WinControl - Web Server

XTR WinControl – Web Server

More:

Scope of function

Requirements

Functioning of the Web Server

Extended Settings


XTR WinControl Windows

More:

The Main Window

The window "Channels, Devices and Connections"

The Value Display

The Bar Graph

The Analog Instrument

The Line Diagram

The X/Y Diagram

The Data Table

The File Summary Window

The Project Drawing Window

The Event Log